#
#---MACROS.I    Define Caucus "macros" for this interface.
#
#   Notice that many macros (esp "goto" macros and library macros)
#   are unique to CSNAP.
#
#   DO ***NOT*** COPY your normal "macros.i" file here.  If you have
#   macros that you wish to incorporate, you must *add* them to this
#   file.
#
#: CR 10/28/98 12:06 CSNAP 1.0
#==============================================================
#

#===Sub-macros, used by other macros:

#---%js_open_win(name)    Javascript to open a new window
eval $mac_define (js_open_win \
          win = window.open ('', '@1',\
          'resizable=1,toolbar=1,scrollbars=1,menubar=1,location=1,\
          width=\$word(1 \$new_win()),height=\$word(2 \$new_win())'); )

#------------------------------------------
#===Simple text manipulation (HTML) macros:

#---%bold (text), %b(text)
eval $mac_define (bold <B>@@</B>)
eval $mac_define (b    <B>@@</B>)

#---%tt (text)
eval $mac_define (tt <TT>@@</TT>)

#---%blockquote (text)
eval $mac_define (blockquote <BLOCKQUOTE>@@</BLOCKQUOTE>)

#---%italic(text), %i(text)
eval $mac_define (italic <I>@@</I>)
eval $mac_define (i      <I>@@</I>)

#---%big(text)
eval $mac_define (big <BIG>@@</BIG>)

#---%small(text)
eval $mac_define (small <SMALL>@@</SMALL>)

#---%color (colorname text)
eval $mac_define (color <FONT COLOR="@1">\$rest(2 @@)</FONT>)

#------------------------------------------
#==="Goto location" macros:

#---%url (actual_url, text of link)
#eval $mac_define (url <A HREF="@1" \
#           onClick="%js_open_win(fromcau)" TARGET="fromcau"\
#           >\$if (\$empty(@2) @1 \$rest(2 @@))</A>)
eval $mac_define (url <A HREF="@1" TARGET="_blank"\
           >\$if (\$empty(@2) @1 \$rest(2 @@))</A>)

#---%digit4(num)
eval $mac_define (digit4 \$str_sub(0 \$minus(4 \$strlen(@1)) 000)@1)

#---%response (rnum)
eval $mac_define (response <A HREF="\%digit4(\$(cnum))\
                  \%digit4(\$(vi_inum))0000.html#@1">Response @1</A>)

#---%item (inum [rnum])
eval $mac_define (item <A HREF="\%digit4(\$(cnum))\
      \$ifthen (\$empty(@2) \
                  \%digit4(@1)0001.html">Item @1</A>)\
      \$ifthen (\$not_empty(@2) \
                  \%digit4(@1)0000.html#@2">Item @1:@2</A>))

#---%conference (conf_name [inum [rnum]])
eval $mac_define (conference \
           \$set(cthis  \$word(1 \$cl_list(@1)))\
           \$set(ctname \$upper1(\$replace(_ 32 \$cl_name(\$(cthis)))))\
           \$if (\$not (\$cl_access(\$(cthis))) <U>@1</U> \
              \$ifthen(\$empty(@2) \
                 <A HREF="\%digit4(\$(cthis)).html">\$(ctname)</A>)\
              \$ifthen(\$and (\$not_empty(@2) \$empty(@3)) \
                 <A HREF="\%digit4(\$(cthis))\%digit4(@2)0001.html">\
                 \$(ctname) Item @2</A>)\
              \$ifthen(\$and (\$not_empty(@2) \$not_empty(@3)) \
                 <A HREF="\%digit4(\$(cthis))\%digit4(@2)0000.html#@3">\
                 \$(ctname) Item @2:@3</A>)\
           ))

#---%special ([cnum [inum [rnum]]])
eval $mac_define (special \
        \$ifthen (\$empty(@1) index.html)\
        \$ifthen (\$and (\$not_empty(@1) \$empty(@2)) \
           \%digit4(@1).html)\
        \$ifthen (\$and (\$not_empty(@1) \$not_empty(@2) \$not(@3)) \
           \%digit4(@1)\%digit4(@2)0001.html)\
        \$ifthen (\$and (\$not_empty(@1) \$not_empty(@2) @3) \
           \%digit4(@1)\%digit4(@2)0000.html#@3)\
     )

#---%readrange (startitem enditem name)
#   Named link to read range of items in current conference.
#   (CSNAP version does not stop at ENDITEM).
#eval $mac_define (readrange <A HREF="\$(href)/readrange.cml?\$arg(3)+@1+@2">\
#                  \$rest(3 @@)</A>)
eval $mac_define (readrange <A HREF="\%digit4(\$(cnum))\%digit4(@1)0001.html">\
                  \$rest(3 @@)</A>)


#------------------------------------------
#===File upload macros
#
#---%liburl(userid file)   URL of file in library
eval $mac_define (liburl LIB/\$cl_name(\$(cnum))/@1/@2)

#---%libimg(userid file)   IMG file in library
eval $mac_define (libimg <IMG SRC="LIB/\$cl_name(\$(cnum))/@1/@2">)

#---%liblink(userid file)   link to file in library
#eval $mac_define (liblink <A HREF="\%liburl(@1 @2)" \
#                  onClick="%js_open_win(fromcau)" TARGET="fromcau"\
#                  >\%liburl(@1 @2)</A>)
eval $mac_define (liblink <A HREF="\%liburl(@1 @2)" TARGET="_blank"\
                  >\%liburl(@1 @2)</A>)

#---%libname(userid file name)   named link to file in library
#eval $mac_define (libname <A HREF="\%liburl(@1 @2)" \
#                  onClick="%js_open_win(fromcau)" TARGET="fromcau"\
#                  >\$rest (3 @@)</A>)
eval $mac_define (libname <A HREF="\%liburl(@1 @2)" TARGET="_blank"\
                  >\$rest (3 @@)</A>)

#------------------------------------------
#===Other misc macros.

#---%person(userid)
eval $mac_define (person <A HREF="p@1.html">\$per_name(@1)</A>)
               
#---%mailto (email_address Name)
eval $mac_define (mailto <A HREF="mailto:@1" \
           >\$if (\$empty(@2) @1 \$rest(2 @@))</A>)

#---%telnet (host_address Name)
eval $mac_define (telnet <A HREF="telnet://@1" \
	>\$if (\$empty(@2) @1 \$rest(2 @@))</A>)

#===================================================================
