#
#---MKCONF.I     Make conference home page
#
#   Purpose:
#
#   How it works
#
#   Inputs:
#      target     where to write static HTML files
#      inc(1)     conference number
#      inc(2)     number of first existing item in conference
#      inc(3)     name of variable containing list of all item #s
#      inc(4)     name of variable containing list of last page #s
#
#   Notes:
#: CR 10/28/98 12:06 CSNAP 1.0
#
#==========================================================================


#---Get pretty form of conference name.
set vi_cnum $inc(1)
set cname $upper1 ($replace (_ 32 $cl_name($(vi_cnum))))

set fcnum $mac_expand (%digit4($(vi_cnum)))

#---Create conference home page
eval $output ($(target)/temp)

"<HTML>
"<HEAD>
"<TITLE>$(cname) $(home)</TITLE>
include popup.i
"</HEAD>

set bgcolor $word (1 $conf_var ($inc(1) conf_colors) BGCOLOR="#FFFFFF")
"<BODY $(bgcolor)>

set org $co_org($(vi_cnum))
set pagename <FONT SIZE=+2><B>$(cname) $(home)</B></FONT><BR>
if $empty ($per_name($(org)))
   set pagename $(pagename)<FONT SIZE=-1>($(org)), Organizer</FONT>
end
else
   set pagename $(pagename)<FONT SIZE=-1><A HREF="p$(org).html">\
       $per_name($(org))$if ($(show_id) &nbsp;($(org)))</A>, Organizer</FONT>
end

include $(dir)/headtool.i $(fcnum)
 
"<TABLE CELLSPACING=0 CELLPADDING=0 WIDTH=100% BORDER=0>
   "<TR>
   "<TD VALIGN=CENTER><IMG $(src_compass) ALIGN=LEFT>
   "<BR><FONT SIZE=-1><NOBR>
   "<A HREF="index.html">$(center_name)</A>
   "</NOBR>
   
   
   #---Below a conf home page, make conf home page clickable.
   "$(compass_arrow)
   "<A HREF="$(fcnum).html">$(cname)</A>
   
     
   "</FONT></TD>
   "<TD>&nbsp;</TD>
   "<TD ALIGN=right VALIGN=CENTER>
      include $(dir)/youare.i $userid()
   "</TD>
"</TABLE>



#-------------------------------------------------------------
#---Display conference greeting, if any, applying appropriate filtering.
"<BLOCKQUOTE>

set prohibited $(tag_list)
if $not_equal(x$conf_var($(vi_cnum) tag_list_org) x)
   set prohibited $conf_var($(vi_cnum) tag_list_org)
end

set tp $conf_var ($(vi_cnum) greet_tp)

if $empty ($conf_var($(vi_cnum) greet1))
   "This is the central page for the <B>$(cname)</B> conference.
end
elif   $equal ($(tp) cml)
   "$cleanhtml(prohibited \
         $protect($mac_expand($reval($conf_var($(vi_cnum) greet1)))))
   "<BR CLEAR=ALL>
end

elif $equal ($(tp) html)
   "$cleanhtml(prohibited $protect($mac_expand($conf_var($(vi_cnum) greet1))))
   "<BR CLEAR=ALL>
end

elif $equal ($(tp) literal)
   "<PRE>
   "$cleanhtml (prohibited \
       $protect($mac_expand($t2html($conf_var($(vi_cnum) greet1)))))
   "</PRE>
end

elif $equal ($(tp) format)
   "$cleanhtml (prohibited \
        $protect($mac_expand($wrap2html($conf_var($(vi_cnum) greet1)))))
end

else
   "This is the central page for the <B>$(cname)</B> conference.
end
"</BLOCKQUOTE>
"<P>

set finum1 $mac_expand (%digit4($inc(2)))
"You may read 
"<A HREF="$(fcnum)$(finum1)0001.html">all the items</A>,
"or click on item titles listed below to read
"individual items.
"<P>

"<FORM NAME="ikeyf">
"<CENTER>
"<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=2 
"   $if($not_empty($conf_var($(vi_cnum) confcont)) \
       BGCOLOR=$conf_var($(vi_cnum) confcont) $(body_fg))>
"<TR><TD>
   "<TABLE CELLSPACING=0 CELLPADDING=0>
   "<TR>
   "<TD>&nbsp;List&nbsp; </TD>
   "<TD><SELECT NAME="ikey">
   "    <OPTION VALUE="all">All $it_icount($(vi_cnum)) items
   "    </SELECT>&nbsp; </TD>
   "<TD><INPUT TYPE="text" NAME="idata" SIZE=12>&nbsp; </TD>
   "<TD><NOBR>
      "<INPUT TYPE="button" NAME="submit" VALUE="Now"> or&nbsp;
      "<INPUT TYPE="button" NAME="submit" VALUE="Every Time"></NOBR>
   "</TD>
   "</TABLE>
"</TD>
"<TR><TD>
   "<TABLE CELLSPACING=0 CELLPADDING=0 ALIGN=center>
   #---Item Number
   "<TR>
   "<TD></TD>
   "<TD ALIGN=right><B>#</B></TD>
   
   #---Title
   "<TD><NOBR><B>Title</B>
   "<SMALL>&nbsp;&nbsp;&nbsp;
   "(click on column header to sort item list)&nbsp;&nbsp;</SMALL></NOBR></TD>
   "<TD WIDTH=10></TD>
   
   #---Author
   "<TD><B>Author</B></TD>
   
   "<TD WIDTH=10></TD>
   "<TD ALIGN=right><B>New</B></TD>
   "<TD WIDTH=10></TD>
   
   #---Last (Date of last response)
   "<TD ALIGN=right><B>Last</B></TD>
   
   #---Row for each item in '$inc(1)' list.
   set inums $sizeof ($($inc(3)))
   count dex 1 $(inums)
      set inum  $word ($(dex) $($inc(3)))
      set ipage $word ($(dex) $($inc(4)))
      "<TR VALIGN=top>
      "<TD></TD>
  
      #---Item number.
      set finum $mac_expand (%digit4($(inum)))
      "<TD ALIGN=right>
      "<A HREF="$(fcnum)$(finum)0001.html">$(inum)</A>&nbsp;</TD>
  
      #---Item title.
      "<TD><A HREF="$(fcnum)$(finum)0001.html">
      if $it_visib ($(vi_cnum) $(inum))
         "   $t2hbr($re_title($(vi_cnum) $(inum) 0))</A>
      end
      else
         "<I>$t2hbr($re_title($(vi_cnum) $(inum) 0))</I></A>
      end
      "</TD>
      "<TD></TD>

      #---Author.
      set owner $re_owner ($(vi_cnum) $(inum) 0)
      if $empty ($per_name($(owner)))
         set owner _null
      end
      "<TD><A HREF="p$(owner).html"><NOBR>$re_author()</NOBR></A></TD>
      "<TD></TD>
  
      "<TD></TD>

      #---"Last" response (# of responses)
      set finum $mac_expand (%digit4($(inum)))
      set fpnum $mac_expand (%digit4($(ipage)))
      "<TD></TD>
      "<TD ALIGN=right><A HREF="$(fcnum)$(finum)$(fpnum).html#last"
      "   >$it_resps($(vi_cnum) $(inum))</A></TD>
   end
   "</TABLE>

   "<TR><TD>
      "<HR WIDTH=75%>
      "<CENTER>
      "<P>You may mark <B>all</B> the items as
      "<FONT COLOR=blue><U>seen</U></FONT> or as
      "<FONT COLOR=blue><U>new</U></FONT>,
      "or you may manage items
      "<FONT COLOR=blue><U>individually</U></FONT>.&nbsp;
      "</CENTER>
   "</TD>
"</TABLE>
"</CENTER>
"</FORM>

"<P>You may also 
"<FONT COLOR=blue><U>resign</U></FONT>
"from this conference.
"<HR>

"</BODY>
"</HTML>
eval $output()
eval $copyfile ($(target)/temp $(target)/$(fcnum).html 755)
#------------------------------------------------------------
