#
#---DOINDIV.I     Process and send e-notification for a specific 
#                 user that has an individual notification schedule.
#
#   Invoked as:
#      doindiv.i
#
#   Input variables:
#      cnum      conference number
#      uid       userid
#      groups    organizer defined item groups (list of duplets of item 
#                   group T values and item triplet list variable names)
#
#   Purpose:
#
#   How it works:
#
#   Known bugs:
#
#   History of revisions:
#: CR  3/12/99 11:02 First version.
#----------------------------------------------------------------------------

#---Ensure user has e-mail!
if $empty ($user_var ($(uid) e-mail))
#  "
#  "------------------------
#  "No e-mail for $(uid)
   return
end

#---Ensure user still has access to conference
#   (Could be excluded while still a member)
if $less ($cl_access ($(cnum) $(uid)) 1)
#  "
#  "------------------------
#  "No access for $(uid)
   return
end

#---Build list of individually defined item groups that
#   are active at this time.  (duples of item group T
#   values and item triplet variable names)
set mgroups
set mindex 0
set mskip
for eni in $list_user_var ($(uid) en_items_$(cnum)- )
   set dash $str_index (- $(eni))
   set tc   $str_sub   ($plus ($(dash) 1) 1000 $(eni))
   set eni_group $user_var ($(uid) en_items_$(cnum)-$(tc))

   #---Is this item group active?
   if $not ($word (1 $user_var ($(uid) en_items_$(cnum)-$(tc))))
      continue
   end

   #---Is this a notification hour for this group?
   set hours $user_var ($(uid) en_hours_$(cnum)-$(tc))
   if $not ($tablefind ($(hour) $rest(2 $(hours))))
      continue
   end

   #---Is this a notification day for this group?
   set days $user_var ($(uid) en_dates_$(cnum)-$(tc))
   if $word (1 $(days))
      if $tablefind ($(wday) $rest(2 $(days)) )
         set mgroups $(mgroups) $(tc) mlist$(mindex)
      end
   end
   else
      if $tablefind ($(day)  $rest(2 $(days)) )
         set mgroups $(mgroups) $(tc) mlist$(mindex)
      end
   end

   #---This group is active now.  Build its triplet list.
   include tlist.i mlist$(mindex) eni_group
   set mindex $plus ($(mindex) 1)

   #---If this group overrides an organizer defined group, add the
   #   *overridden* group to mskip.
   if $word (5 $(eni_group))
      set mskip $(mskip) $word (5 $(eni_group))
   end
end

#---Send mail for individually defined groups
set mempty
set kind indiv
include sendmail.i mgroups mempty

#---Send mail for conference-wide groups (minus overridden groups)
set kind minus
include sendmail.i groups  mskip

#----------------------------------------------------------------------------
