#
#---SENDMAIL.I   Send e-mail notifications for a list of item groups.
#
#   Invoked as:
#      sendmail.i
#
#   Input variables:
#      inc(1)    name of variable containing duplet list of item groups
#      inc(2)    overriden list -- name of variable containing list 
#                  of item groups to ignore because they were overridden
#      uid       userid
#      tfile     full path to temp file for building messages
#      cnum      conference name
#      sweb      sweb parameter for caucus urls
#      swebsock  swebsock program
#      dir       normal caucus interface directory (e.g. SP41)
#      sendmail  full path to sendmail program
#      sent      counter of number of messages sent
#
#   Purpose:
#
#   How it works:
#
#   Known bugs:
#
#   History of revisions:
#: CR  3/12/99 10:54 First version.
#----------------------------------------------------------------------------

set org_mail $user_var ($co_org($(cnum)) e-mail)
if $empty ($(org_mail))
   set org_mail $userid()
end

#---For each item group that is active *now*...
for tc triplet in $($inc(1))

   #---Skip overridden groups
   if $tablefind ($(tc) $($inc(2)))
      continue
   end

#  set iglist
#  for ic ii ir in $($(triplet))
#     set iglist $(iglist) $(ii)
#  end

   #---Accumulate list of items with new resps, and new items.
   set newitems
   set newresps
   for ic ii ir in $($(triplet))
      set rseen $it_howmuch ($(ic) $(ii) $(uid))

      if   $equal ($(rseen) -2)
         continue
      end
      elif $equal ($(rseen) -1)
         set newitems $(newitems) $(ii)
      end
      elif $greater ($(ir) $(rseen))
         set newresps $(newresps) $(ii) $minus ($(ir) $(rseen))
      end
   end

   #---If there's any new anything, send an e-mail.
   if $not_empty ($(newitems) $(newresps))
      eval $output ($(tfile) 644)
      set cname $upper1 ($replace (_ 32 $cl_name($(cnum))))
      "Subject: $(cname) conference: new material
      "To: $user_var ($(uid) e-mail)
      "
      "Dear $per_name($(uid)):
      "
      "There is new material in the conference "$(cname)"
      "at: http://$host()/caucus/$cl_name($(cnum))
      "
      "You can read all of this material immediately by going to this link:
      "    http://$host()/$(sweb)/$(swebsock)/0/0/$(dir)/anew.cml?0+0+$(cnum)
      "
      "(kind='$(kind)')
      "(debug triplet: $($(triplet)))

      if $not_empty ($(newresps))
         "
         "There are new responses on items:
         for ii ir in $(newresps)
            set title $str_sub (0 60 $re_title ($(cnum) $(ii) 0) $pad(60))
            "$pad($minus (4 $strlen($(ii))))$(ii) $(title) ($(ir) new)
         end
      end

      if $not_empty ($(newitems))
         "
         "There are $sizeof ($(newitems)) new items:
         for ii in $(newitems)
            set title $str_sub (0 60 $re_title ($(cnum) $(ii) 0) $pad(60))
            "$pad($minus (4 $strlen($(ii))))$(ii) $(title) \
                 ($it_resps($(cnum) $(ii)) resps)
         end
      end

      eval $output()
      eval $xshell (0 1 1 $(sendmail) -f$(org_mail) \
                    $user_var ($(uid) e-mail) <$(tfile) )
      set sent $plus ($(sent) 1)
   end

end

#----------------------------------------------------------------------------
