#
#---TLIST.I    Build a triplet list of items from an item group description.
#
#   Invoked as:
#      tlist.i  tlistname   item_group_var
#
#   Input variables:
#      inc(1)    name of tlist variable to put triplet list in
#      inc(2)    name of variable containing item group
#      cnum      conference number
#
#   Purpose:
#      Given an e-notify item group description, build the
#      equivalent triplet list of items for that group.
#      Set the response number of each triplet to the last
#      undeleted response for that item.
#
#   How it works:
#
#   Known bugs:
#
#   History of revisions:
#: CR  3/07/99 16:16 First version.
#----------------------------------------------------------------------------


#---Parse the list of items; add on newly created items if requested.
#set en_items $conf_var ($(cnum) $inc(2))
set en_items $($inc(2))
set en_list  $rest (6 $(en_items))
if $equal ($(en_list) All)
   set en_list 1-$it_last($(cnum))
end
set trip1    $it_parse ($(cnum) $(en_list))
if $word (2 $(en_items))
   count ii $plus ($word (4 $(en_items)) 1) $it_last($(cnum))
      set trip1 $(trip1) $(cnum) $(ii) 0
   end
end

set trip2
for ic ii ir in $(trip1)
   set rlast $it_lastresp ($(ic) $(ii))
   if $gt_equal ($(rlast) 0)
      set trip2 $(trip2) $(ic) $(ii) $(rlast)
   end
end

set $inc(1) $(trip2)

#----------------------------------------------------------------------------
