#
#---POPUP.JS     General pop-up window handler.
#
#   Provides three functions:
#
#   pop_up (type, arg)    creates a pop-up window of 'type' with arguments arg.
#                         Pre-defined types are:
#                              help  goto  tutor  indv  upld  
#
#   pop_close (type)      Closes window 'type'.  pop_close('all') closes all
#                         windows opened by pop_up().
#
#   pop_gone (type)       Notify parent window that window 'type' has been
#                         explicitly closed, usually by code within the
#                         pop-up window.
#
#   pop_reload()          Force parent window to reload itself (Useful when
#                         pop up detects a timed-out server)
# 
#   Depends on several CML variables (usually set in startup.i)
#      href             base HREF for CML pages
#      is_netscape3     Is this netscape 3 (or higher)?
#      is_netscape2     Is this netscape 2?
#      is_explorer3     Is this Internet Explorer 3 (or higher)?
#      help_buttons     Display browser button bar on 'help' windows?
#
#   Note: the following properties are available for the "opt=" part
#   when opening any of these windows.  Typically we use the minimum
#   necessary list of properties, but you may want some of the others
#   for debugging purposes:
#
#   Property          Values           Means
#     toolbar           1, 0 (on, off)   (back,forward buttons, etc)
#     location          1, 0             (current URL field)
#     directories       1, 0             (directory buttons - ugh)
#     status            1, 0             (status line at bottom)
#     menubar           1, 0             (menu bar - file, edit, view etc.)
#     scrollbars        1, 0             (enables scroll bars when needed)
#     resizable         1, 0             (resize windows? note spelling!)
#     width             pixels           (initial width of window)
#     height            pixels           (initial height of window)
#-----------------------------------------------------------------

"pop = new Object;

"function pop_up (type, arg) {
"   var url, opt, name;
"   if (pop[type] != null) {
"      if ($(is_netscape3)  &&  pop[type].win.closed)  pop[type].is_open = 0;
"      if (pop[type].is_open) {
"         if ($(is_netscape3))  pop[type].win.focus();
"         return;
"      }
"   }
"   else  pop[type] = new Object;

"   name = "win_" + type;
"   if (type == "help") {
"      url = "$(help)/helper.cml?" + arg;
"      opt = "toolbar=$(help_buttons)," +
"                "location=1,resizable=1,scrollbars=1,width=380,height=280";
"   }
"   else if (type == "goto") {
"      url = "$(href)/goto.cml?" + "$arg(3)+$(nxt)+$unique()#top";
"      opt = "resizable=1,width=410,height=200";
"   }
"   else if (type == "tutor") {
"      url = "$(help)/helpt1.cml?0+0+x+x+x+x+x";
"      opt = "toolbar=1,resizable=1,scrollbars=1,width=500,height=380";
"   }
"   else if (type == "indv") {
"      url = "$(href)/indvresp.cml?$unique()+$(vi_cnum)+$(vi_inum)+0#top"
"      opt = "toolbar=$(help_buttons),resizable=1,scrollbars=1," +
"            "$(acton_size)";
"   }
"   else if (type == "upld") {
"      url = "$(href)/upbox.cml";
"      opt = "toolbar=0,resizable=0,scrollbars=0,width=250,height=150";
"   }
"   else {
"      url = "$(href)/unknown.cml?" + type;
"      opt = "width=200,height=100";
"   }

"   pop[type].win = window.open (url, name, opt);
"   pop[type].win.location.href = url;
"   pop[type].is_open = 1;
"   if ($(is_netscape2) > 0)  pop[type].win.opener = self;
"   return;
"}


"function pop_close (type) {
"   if (type == "all") {
"      for (wtype in pop) pop_close (wtype);
"   }
"   else {
"      if (pop[type].is_open != null  &&  pop[type].is_open) {
#         ---Explorer can't tell if the help window was closed ("X" button)
#         ---by the user.
"         if      ($(is_explorer3))              pop[type].win.close();
"         else if (pop[type].win.opener != null) pop[type].win.close();
"         pop[type].is_open = 0;
"      }
"   }
"   return;
"}

"function pop_gone (type) {
"   if (window.pop[type].is_open != null)
"       window.pop[type].is_open  = 0;
"   return;
"}

"function pop_reload() {
"   wls = window.location.search;
"   window.location.search = "?1" + wls.substring(1, wls.length-1);
"   return;
"}
#-----------------------------------------------------------------
