#
#--- USERLIST.I
#
# Generates input fields for modifying a conference user list.
#
# $(cnum) and $(maxfields) are inherited from CUSTOM_USERS.CML
#

#-- Replace spaces with underscores so that each line will be a single
#-- CML "word"

set userlist $replace(32 _ $co_userlist($(cnum)))

#-- $(width) is the number of input fields per row.

set width 4
"<TABLE><TR>

set fcount 0
for line in $(userlist)

   #---If the line starts with :, it's a category heading. Make a menu.
   if $equal(: $str_sub(0 1 $(line)))
      if $not_equal(0 $(fcount)) 
          "</TEXTAREA></TD>
          "$if ($equal($mult($(width) $divide($(fcount) $(width))) \
                       $(fcount)) </TR><TR>)
      end
      set fcount $plus($(fcount) 1)
      "<TD ALIGN=BOTTOM> <SELECT NAME="label$(fcount)">
      "<OPTION VALUE="empty">(not used)
      for category in organizer include readonly exclude
         "<OPTION 
         "$if ($not_equal(-1 $str_index($(category) $(line))) SELECTED)
         " VALUE="$(category)">$(category)</OPTION>
      end
      "</SELECT>
      "<BR><TEXTAREA NAME="ulist$(fcount)" ROWS=10 COLS=15>
   end

   #---If the line starts with anything else, it's part of a list. Write it out.
   else
      "$t2esc($(line))
   end
end

if $not_equal(0 $(fcount))
   "</TEXTAREA></TD>
   "$if ($equal($mult($(width) $divide($(fcount) $(width))) \
                $(fcount)) </TR><TR>)
end


#-- Fill out the required number of entry boxes with empties.

count i $plus($(fcount) 1) $(maxfields)
   "<TD ALIGN=BOTTOM> <SELECT NAME="label$(i)">
   "<OPTION VALUE="empty" SELECTED>(not used)
   "<OPTION VALUE="organizer">organizer
   "<OPTION VALUE="include">include
   "<OPTION VALUE="readonly">readonly
   "<OPTION VALUE="exclude">exclude
   "</SELECT>
   "<BR><TEXTAREA NAME="ulist$(i)" ROWS=10 COLS=15></TEXTAREA></TD>
   "$if ($equal($mult($(width) $divide($(i) $(width))) $(i)) </TR><TR>)
end

"</TR></TABLE>

#-----------------------------------------------------------------------
