/*** MERGE_CLIST.   Merge two Clist's.
/
/    merge_clist (al, bl);
/
/    Parameters:
/       Clist     al;       (main Clist)
/       Clist     bl;       (secondary Clist)
/
/    Purpose:
/       Merge Clist BL into Clist AL.   BL may be freed after the call.
/
/    How it works:
/
/    Returns: 
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  UI
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  api/mergecl.c
/ */

/*** Copyright (C) 1995 Camber-Roth.  All rights reserved. */

/*: CR 10/16/95 14:09 New function. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  merge_clist (Clist al, Clist bl)
{
   Clist  ap, bp, save;
   int    result;

   ap = al;
   bp = bl->next;

   while (bp != (Clist) NULL) {

      /*** Got to the end of AL, just hook remaining part of BL to it. */
      if (ap->next == (Clist) NULL) {
         ap->next = bp;
         break;
      }

      /*** If this B node < this A node, hook in just this B node. */
      result = chxcompare (bp->lname, ap->next->lname, ALLCHARS);
      if (result < 0) {
         save     = ap->next;
         ap->next = bp;
         bp       = bp->next;
         ap       = ap->next;
         ap->next = save;
      }

      /*** Discard identical matches. */
      else if (result == 0) {
         save = bp;
         bp   = bp->next;
         save->next = (Clist) NULL;
         a_fre_clist (save);
      }

      else ap = ap->next;
   }

   bl->next = (Clist) NULL;
   return;
}
