/*** SCAN_CLIST.   Scan a CLIST for a particular conference name.
/
/    this = scan_clist (clist, name);
/
/    Parameters:
/       Clist     this;     (returned pointer)
/       Clist     clist;    (clist to scan...)
/       Chix      name;     (...for this name)
/
/    Purpose:
/       Scan a Clist for a particular conference name.
/
/    How it works:
/       Scans each element of CLIST for NAME.  (NAME must be a unique
/       initial substring of a conference name in CLIST).
/
/    Returns: Node of CLIST that contains conference NAME.
/             NULL if no such node.
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  UI
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  api/scanclis.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: CR 11/19/92 19:27 New function. */
/*: CR 12/07/92  0:41 Make Lint happier. */
/*: CR 12/10/92 15:27 chxindex 2nd arg is int4. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  Clist scan_clist (Clist clist, Chix name)
{
   Clist  this;

   this = (Clist) NULL;
   if (clist == (Clist) NULL)  return (this);

   for (clist=clist->next;   clist!=(Clist) NULL;   clist=clist->next) {
      if (chxindex (clist->lname, L(0), name) != 0)  continue;

      if (this != (Clist) NULL)  return ( (Clist) NULL);

      this = clist;
   }

   return (this);
}
