
/*** VARTAB_ADD.   Add a new value for a variable to a variable table.
/
/    vartab_add (vt, name, value);
/   
/    Parameters:
/       Vartab  vt;       (variable table)
/       Chix    name;     (variable name)
/       Chix    value;    (new value for variable)
/
/    Purpose:
/       Change the value of variable NAME to VALUE.  (If NAME does
/       not already exist in the variable list VARS, first add it.)
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Known bugs:
/
/    Home:  api/vartadd.c
/ */

/*** Copyright (C) 1996 Screen Porch LLC.  All rights reserved. */

/*: CR  9/09/96 16:03 New function (based on old sweb/varadd) */

#include <stdio.h>
#include "chixuse.h"
#include "api.h"
#include "null.h"

FUNCTION  void vartab_add (Vartab vt, Chix name, Chix value)
{
   int    slot;

   slot = vartab_find (vt, name);
   if (slot >= 0)  chxcpy (vt->value[slot], value);

   return;
}
