
/*** CARVCHEK.
/
/    Invoked as:
/      CARVCHEK  status1  status2  new1  new2  conflict
/ */

/*: CR 03/01/89 14:57 Always convert file names to lower case. */
/*: CR  3/01/89 15:56 Take out extra #include <stdio>'s. */
/*: CR 11/09/90 18:58 Expand sizes of lines with MAXLINE. */
/*: CR 11/16/92 11:24 Raise MAXLINE to 1000. */

#include <stdio.h>
#define  NOT   !
#define  MAXLINE  1000

main (argc, argv)
   int   argc;
   char *argv[];
{
   FILE *s1, *s2, *n1, *n2, *cf, *fopen();
   short get1, get2, got1, got2, compare, i, equal, empty1, empty2;
   char  line1[MAXLINE+2], line2[MAXLINE+2], 
         name1[MAXLINE+2], name2[MAXLINE+2],
         rest1[MAXLINE+2], rest2[MAXLINE+2];
   char  init1[100], init2[100];
   char *strtoken();

   if (argc < 6) {
      printf ("Usage:  CARVCHEK  status1 status2 new1 new2 conflict\n");
      exit   (1);
   }

   if ( (s1 = fopen (argv[1], "r")) == NULL) {
      printf ("Can't open status1 file '%s'\n", argv[1]);
      exit   (1);
   }

   if ( (s2 = fopen (argv[2], "r")) == NULL) {
      printf ("Can't open status2 file '%s'\n", argv[2]);
      exit   (1);
   }

   if ( (n1 = fopen (argv[3], "w")) == NULL  ||
        (n2 = fopen (argv[4], "w")) == NULL  ||
        (cf = fopen (argv[5], "w")) == NULL) {
      printf ("Can't open one of new1, new2, or conflict files.\n");
      exit   (1);
   }

   get1 = get2 = 1;
   while (1) {
      if (get1)  got1 = fgets (line1, MAXLINE, s1) != NULL;
      if (get2)  got2 = fgets (line2, MAXLINE, s2) != NULL;
      if (NOT got1  &&  NOT got2)  break;

      if (NOT got1)  strcpy (line1, "zzzzzzz:");
      if (NOT got2)  strcpy (line2, "zzzzzzz:");

      strlower (line1);
      strlower (line2);
      strbreak (line1, name1, rest1, ":");    nlstrip (rest1);
      strbreak (line2, name2, rest2, ":");    nlstrip (rest2);

      compare = strcmp (name1, name2);
      get1 = get2 = 0;

      if (compare < 0) {
         fprintf (n1, "%s\n", name1);
         get1 = 1;
      }

      if (compare > 0) {
         fprintf (n2, "%s\n", name2);
         get2 = 1;
      }

      if (compare == 0) {
         get1 = get2 = 1;
         for (i=1;   (1);   ++i) {
            empty1 = strtoken (init1, i, rest1) == NULL;
            empty2 = strtoken (init2, i, rest2) == NULL;
            equal  = streq    (init1, init2);

            if (equal  &&  empty1)  break;
            if (equal)              continue;

            if      (NOT empty1  &&  NOT empty2)  fprintf (cf, "%s\n", name1);
            else if (NOT empty1)                  fprintf (n1, "%s\n", name1);
            else if (NOT empty2)                  fprintf (n2, "%s\n", name2);
            break;
         }
      }
   }
   fclose (n1);
   fclose (n2);
   fclose (s1);
   fclose (s2);
   fclose (cf);
}

/*-------------------------------------------------------*/
nlstrip (file)
   char  file[];
{
   int   i;

   /*** Remove trailing newlines, blanks, and tabs. */
   for (i = strlen (file);
        file[i-1]=='\n'  ||  file[i-1]==' '  ||  file[i-1]=='\t';
        --i) ;
   file[i] = '\0';
}

/*-------------------------------------------------------*/

streq (a, b)
   char  *a, *b;
{
   while (*a == *b) {
      if (NOT *a)  return (1);
      ++a;
      ++b;
   }
   return (0);
}

/*-------------------------------------------------------*/

/*** STRTOKEN.  Find the POS'th token in a string.
/
/    STRTOKEN finds the POS'th token in the string LINE, and returns it
/    in WORD.  A token is a sequence of nonblank characters.  The first
/    token in a string is number 1.
/
/    STRTOKEN returns a pointer to the beginning of the found token in 
/    LINE.  If no such token was found, STRTOKEN returns NULL. */

#define FALSE 0
#define TRUE  1

char *strtoken (word, pos, line)
   char    word[], line[];
   int     pos;
{
   int   between, i, len;
   char  buf[100];
   char  *w, *start;

   /*** BETWEEN means we are between tokens (in the white space).  */
   between  = TRUE;
   len = strlen (line);

   for (i=0;   i<=len;   i++) {

      if (line[i]==' '  ||  line[i]=='\0') {
         if (NOT between) {
            *w = '\0';
            if ((--pos) <= 0) { strcpy (word, buf);    return (start); }
         }
         between = TRUE;
      }

      else {
         if (between)  {
            w       = buf;
            start   = line + i;
            between = FALSE;
         }
         *w++ = line[i];
      }
   }

   word[0] = '\0';
   return (NULL);
}

/*-------------------------------------------------------*/

/* STRing BREAK.  Break STR around PAT.  Find PAT in STR, and return 
/  everything to the left of PAT, in FORE; and everything to the right
/  in AFT.  Normally, STRBREAK will have a return value of 1.
/
/  If PAT is not found, STRBREAK returns 0, all of STR in FORE, and the
/  null string in AFT. */

strbreak (str, fore, aft, pat)
   char *str, *fore, *aft, *pat;
{
   int  patlen, patpos, i;
   char *s;

   patlen = strlen   (pat);
   patpos = strindex (str, pat);

   if (patpos == -1) {
      strcpy (fore, str);
      aft[0] = '\0';
      return (0);
   }

   s = str;
   for (i=0;  i<patpos;  ++i)  *fore++ = *s++;
   *fore = '\0';

   s = str + patpos + patlen;
   while (*aft++ = *s++) ;

   return (1);
}

/*-------------------------------------------------------*/

/*** STRINDEX.  Return starting position in string S of string T. */

strindex (s, t)
   char  s[], t[];
{
   register int  i, j, k;

   for (i=0;  s[i] != '\0';  i++) {
      for (j=i, k=0;  t[k] != '\0' && s[j]==t[k];  j++, k++) ;
      if (t[k] == '\0')  return (i);
   }
   return (-1);
}

/*-------------------------------------------------------*/

/*** STRLOWER.  Convert string S to all lower case letters. */

strlower (s)
   char  *s;
{
   for (;   *s;   ++s)    if (*s>='A'  &&  *s<='Z')    *s += ('a' - 'A');

   return (1);
}
