/*** CEDINFILE.  Caucus EDitor INsert FILE contents.
/
/    CEDINFILE reads a line at a time from the text file open on IN,
/    and inserts them at the current mark in the CED editor file. 
/
/    Returns 1 on success, 0 if file cannot fit.
/  */

/*** Copyright (C) 1984 Camber-Roth.  All rights reserved. */

/*: AA  7/29/88 17:32 Source code master starting point */
/*: CW  5/18/89 15:20 Add XW unit codes. */
/*: JX  3/28/92 10:00 Rewrite to use memory instead of disk. Chixify. */
/*: JX  5/16/92 16:09 Fix Chix. */
/*: CK  9/20/93 16:37 Add failure/success return. */

#include "caucus.h"
#include "chixuse.h"
#include "ced.h"

extern union null_t  null;

FUNCTION  cedinfile (ced, in)
   int   in;
   Ced  *ced;
{
   Chix   str;
   int    success;

   ENTRY ("cedinfile", "");

   str = chxalloc (L(100), THIN, "cedinfile str");

   while (1) {

      /*** Make sure we haven't overflowed max number of lines. */
      if (ced->size >= MAXCED-200) {
         mdwrite (XWER, "ced_Tmaxlin", null.md);
         FAIL;
      }

      /*** Get the next line */
      if (NOT unit_read (in, str, L(0)))  break;
      sysclean(str);
      fixtabs (str);

      cedinline (ced, str);
   }
   SUCCEED;

done:
   chxfree (str);
   RETURN  (success);
}
