/*** CEDINLINE.  Caucus EDitor INsert LINE.
/
/    Insert the line of text in STR into the CED file right after the 
/    "current" line, as indicated in the status structure CED. */

/*** Copyright (C) 1984 Camber-Roth.  All rights reserved. */

/*: AA  7/29/88 17:32 Source code master starting point */
/*: JX  3/28/31 10:00 Rewrite to use memory instead of disk. Chixify. */
/*: JX  5/16/92 16:10 Fix Chix. */

#include "caucus.h"
#include "chixuse.h"
#include "ced.h"

FUNCTION  cedinline (ced, str)
   Ced  *ced;
   Chix  str;
{
   int  i;

   ENTRY ("cedinline", "");

   /*** Increment the MARK, and shift all the following lines up one. */
   ++ced->mark;
   for (i=ced->size;   i>ced->mark;   --i)  ced->line[i] = ced->line[i-1];
   ++ced->size;

   /*** Allocate the new chix and copy the line into it. */
   ced->line[ced->mark] = chxalloc (L(100), THIN, "ced line");
   chxcpy (ced->line[ced->mark], str);
   RETURN (1);
}
