/*** FIXTABS.  Expand any tabs in LINE.
/
/  fixtabs (line)
/
/  Parameters:
/     Chix   line;
/
/  Purpose:
/    FIXTABS replaces any tabs in LINE with the appropriate number
/    of spaces.  A tab stop is set at every USER.TABLENGTH characters;
/    FIXTABS figures the position of the next tab stop, and replaces
/    the tab character with the proper number of spaces.
/
/  How it works:
/
/  Returns:
/
/  Error Conditions:
/
/  Side Effects:
/
/  Related to:
/
/  Called by: 
/
/  Home: 
*/

/*** Copyright (C) 1987-1992 Camber-Roth.  All rights reserved. */

/*: AA  7/29/88 17:32 Source code master starting point */
/*: CR 12/30/88 13:31 Remove {}'s from initialization of BLANKS. */
/*: JX  3/28/92 11:30 Chixify. */
/*: JX  5/16/92 16:46 Fix Chix. */
/*: CR 12/10/92 15:02 Chxalter arg int4. */
/*: CL 12/11/92 13:46 Long Chxvalue N. */

#include "caucus.h"
#include "chixuse.h"

extern Userreg thisuser;

static char blanks[] = "                    ";

FUNCTION  fixtabs (line)
   Chix   line;
{
   int4   i, b;
   Chix   tab;

   ENTRY ("fixtabs", "");

   tab = chxquick ("\t", 3);
   
   for (i=0;   chxvalue (line, L(i));   ++i)   if (chxvalue (line, L(i)) == '\t') {
      b = 20 - (thisuser->tablength - i % thisuser->tablength);
      chxalter (line, i, tab, CQ(&blanks[b]));
   }
   RETURN (1);
}
