/*** TEXTTRUNC.   Truncate text.
/
/    TEXTTRUNC reads lines of text from stream IN, and writes them
/    out to stream OT.  If any of the lines are overint4 (>77), 
/    TEXTTRUNC prompts the user to see if s/he *really* wants to
/    truncate them.  If the answer is yes, the lines are truncated,
/    and TEXTTRUNC returns 0 when it is finished.
/
/    If the user chooses to Reformat or Edit the text instead,
/    TEXTTRUNC returns 1 or 2, respectively, immediately. */

/*: AA  7/29/88 17:32 Source code master starting point */
/*: AM  2/07/89 10:24 Jcaucus changes*/
/*: CW  5/18/89 15:20 Add XW unit codes. */
/*: CR 10/30/89 12:01 Remove prompt[]. */
/*: JX  3/28/92 15:00 Chixify. */
/*: JX  5/16/92 17:06 Fixify. */
/*: CL 12/11/92 11:13 Long Chxcatsub args. */

#include "caucus.h"
#include "chixuse.h"
#include <stdio.h>

extern Userreg          thisuser;
extern union  null_t    null;

FUNCTION  texttrunc (in, ot, str, editor)
   int    in, ot;
   Chix   str, editor;
{
   static Chix trunctab;
   short  pick, question;
   Chix   answer, tempstr;
   int    success;

   ENTRY ("texttrunc", "");

   answer = chxalloc (L(60), THIN, "textt answer");
   tempstr= chxalloc (L(80), THIN, "textt tempstr");

   for (question=1;   unit_read (in, str, L(0)); ) {
      sysclean(str);
      fixtabs (str);
      chxtrim (str);

      if (question  &&  chxlen (str) > 77) {
         mdwrite (XWTX, "ced_Ttrunc", null.md);
         mdtable ("ced_Atrunc", &trunctab);
         while ( (pick = mdprompter ("ced_Ptrunc", trunctab, 2, "ced_Htrunc", 
                                   50, answer, nullchix)) == -2) ;
         iseditreq (answer, nullchix, thisuser->editor, editor);
         if (pick <= -3)  pick = 1;
         if (pick >   0)  {success = pick; goto done; }
         question = 0;
      }

      chxclear (tempstr);
      chxcatsub (tempstr, str, L(0), L(77));
      chxcpy (str, tempstr);
      unit_write (ot, str);
      unit_write (ot, CQ("\n"));
   }
   success = 0;

done:
   chxfree (answer);
   chxfree (tempstr);
   RETURN (success);
}
