
/*** CHXCLEAR.  Clear a chix, that is set it to the "empty" string.
/
/    chxclear (x);
/
/    Parameters:
/       Chix  x;
/
/    Purpose:
/       Clear a chix, that is set it to the "empty" string.
/
/    How it works:
/       Each byte in the first character is set to 0.
/
/    Returns: 1
/
/    Error Conditions:  none
/  
/    Side effects:      none
/
/    Related functions:
/
/    Called by:  Application
/
/    Operating system dependencies: none
/
/    Known bugs:      none
/
/    Home:  chx/chxclear.c.
/ */

/*** Copyright (C) 1990 Camber-Roth.  All rights reserved. */

/*: CX 12/10/90 23:36 New function. */

#include <stdio.h>
#include "chixdef.h"

FUNCTION  chxclear (x)
   Chix   x;
{
   int    i;

   ENTRY ("chxclear", "");

   if (NOT chxcheck (x, "chxclear"))  RETURN (1);
   
   for (i=0;   i<x->type;   ++i)  x->p[i] = '\0';
   x->actlen = L(0);

   RETURN  (1);
}
