
/*** ADD.  Add (create) something: item, response, subject... */

/*** Copyright (C) 1987 Camber-Roth.  All rights reserved. */

/*: AA  7/29/88 17:38 Source code master starting point*/
/*: JV  9/15/89 18:03 Added _beg_add and _end_add AFM's */
/*: CW  5/17/89 16:21 Use XW unitcodes in place of XITT.*/
/*: CR 10/17/89 15:17 Replace 2nd arg of FIRE_ARM with "". */
/*: CX 11/11/91 22:34 Chixify. */
/*: CX  3/17/92 15:44 Replace FIRE_AFM with fire_afm(). */
/*: JX  5/19/92 19:44 Fix Chix. */
/*: CI 10/06/92 12:49 Chix Integration. */
/*: CN  5/15/93 15:20 Remove items_flagged. */
/*: CP  8/09/93 23:50 Use parse_rin(). */
/*: CK 10/14/93 13:50 ADD, ADD ITEM, ADD RESP all go through addresp(). */

#include <stdio.h>
#include "caucus.h"
#include "redirect.h"

extern struct master_template master;
extern struct partic_t        thisconf;
extern struct fresh_template  fresh;
extern union  null_t          null;
extern Chix                   objectable;
extern Chix                   afm_name;

FUNCTION  add (command)
   Chix   command;
{
   Chix      object, newconf;
   int       success;
   short     choice;
   Redirect  red;

   ENTRY ("add", "");
   
   newconf = chxalloc (L(30), THIN, "add newconf");
   object  = chxalloc (L(40), THIN, "add object");
   success = 0;

   /* First fire off the initial Auto-Fire Macro. */
   fire_afm ("_beg_add", nullchix, newconf);
   
   parse_rin (&red, command, XIRE);

   if (chxtoken (object, null.chx, 2, command) < 0) {
      unit_unlk  (red.unit);
      unit_write (XWTX, NEWCPAGE);
      mdwrite    (XWTX, "add_Enoarg", null.md);
      FAIL;
   }

   jixreduce (object);
   choice = tablematch (objectable, object);

   switch (choice) {
      case (-2):  mdwrite (XWER, "add_Eambig",  null.md);    break;

      case ( 5):  mdwrite (XWER, "add_Ebadcom", null.md);    break;

      case ( 0):
      case (-1):
      case ( 1):  addresp (&red, command);                   break;

      case ( 2):  addmess (&red, command);                   break;

      case ( 3):  addsubj (&red, command, 0);                break; /* SUBJ */

      case ( 4):  addsubj (&red, command, 1);                break; /* MYSUB */
   }

   if (red.locked)  unit_unlk (red.unit);

   /* Finally fire the closing AFM...*/
   fire_afm ("_end_add", nullchix, newconf);
   SUCCEED;

done:
   chxfree (newconf);
   chxfree (object);
   RETURN  (success);
}
