/*** ARRANGE.  Arrange a command in VERB OBJECT INSTANCE form. 
/
/    ARRANGE hunts through command line COM for an OBJECT.  If it
/    finds one (before the 1st quoted string), it removes it and
/    replaces it as the new second word.   */

/*** Copyright (C) 1988 Camber-Roth.  All rights reserved. */

/*: AA  7/29/88 17:38 Source code master starting point*/
/*: CR  7/06/89 22:46 Expand size of verb[] and args[]. */
/*: CW  5/17/89 16:21 Use XW unitcodes in place of XITT.*/
/*: CX 11/12/91 14:34 Chixify. */
/*: DE  3/26/92 16:33 Patched chxindex w/ 0, */
/*: CR 12/10/92 15:03 chxalter arg int4. */
/*: CL 12/10/92 15:22 Long chxindex args. */

#include <stdio.h>
#include "caucus.h"

extern union null_t null;
extern Chix         objectable;
extern Chix         ss_qt1, ss_qt2;

FUNCTION  arrange (com)
   Chix   com;
{
   Chix   verb, args, word;
   int    success;
   int4   ptr;
   short  i;

   ENTRY ("arrange", "");

   verb = chxalloc (L(80), THIN, "arrange verb");
   args = chxalloc (L(80), THIN, "arrange args");
   word = chxalloc (L(80), THIN, "arrange word");

   chxbreak (com, verb, args, CQ(" "));

   for (i=1;   (ptr = chxtoken (word, null.chx, i, args)) >= 0;   ++i) {
      if (chxindex (word, L(0), ss_qt1) == 0  ||
          chxindex (word, L(0), ss_qt2) == 0 )  SUCCEED;

      if (tablematch (objectable, word) >= 0)  break;
   }

   if (ptr >= 0) {
      chxalter (args, ptr, word, CQ(""));
      chxconc  (com, verb, CQ(" "));
      chxcat   (com, word);
      chxcat   (com, CQ(" "));
      chxcat   (com, args);
   }
   SUCCEED;

done:
   chxfree (word);
   chxfree (args);
   chxfree (verb);
   RETURN  (success);
}
