/*** DEL.  Delete the object(s) listed in the command line.
/
/    Possible formats:
/      DELETE MESSAGES  [range]  [NEW  BRIEF]
/      DELETE SUBJECTS  [names]
/      DELETE MYSUBJECTS  [names]
/      DELETE ITEMS     [..]
/      DELETE RESPONSES  [...]
/      DELETE PERSON
/
*/

/*** Copyright (C) 1987 Camber-Roth.  All rights reserved.  */

/*: AA  7/29/88 17:38 Source code master starting point*/
/*: CW  5/17/89 16:21 Use XW unitcodes in place of XITT.*/
/*: CX 11/12/91 14:33 Chixify. */
/*: JX  6/08/92 13:16 Chxreduce->jixreduce. */
/*: CP  6/30/93 17:41 Hook in new del_resp(). */

#include <stdio.h>
#include "caucus.h"

extern Chix objectable;
extern union  null_t          null;

FUNCTION  del (command, leave)
   Chix    command;
   int    *leave;
{
   Chix   range, object;
   int    success;
   short  choice;

   ENTRY ("del", "");

   range  = chxalloc (L(40), THIN, "del object");
   object = chxalloc (L(40), THIN, "del object");

   jixreduce (command);
   arrange   (command);

   if (chxtoken (object, range, 2, command) < 0) {
      unit_write (XWTX, NEWCPAGE);
      mdwrite    (XWTX, "del_Enoarg", null.md);
      SUCCEED;
   }

   choice = tablematch (objectable, object);

   switch (choice) {

      case (-2):   mdwrite (XWER, "del_Eambobj", null.md);   break;

      case (-1):
      case ( 0):
      case ( 1):   del_response (range);                 break;

      case ( 2):   delmess (command);                    break;

      case ( 3):   delsubj (command, 0);                 break;
      case ( 4):   delsubj (command, 1);                 break;

      case ( 5):   *leave = delperson (command);         break;
   }
   SUCCEED;

done:
   chxfree (range);
   chxfree (object);
   RETURN  (success);
}
