/*** DESCRIBE.  Describe the object(s) listed in the command line.
/
/    Possible formats:
/      DESCRIBE MESSAGES  [range]  [NEW  BRIEF]
/      DESCRIBE SUBJECTS  [names]
/      DESCRIBE MYSUBJECTS  [names]
/      DESCRIBE ITEMS     [..]
/      DESCRIBE RESPONSES  [...]
/      DESCRIBE PARTICIPANTS  [names]
/
*/

/*** Copyright (C) 1987 Camber-Roth.  All rights reserved.  */

/*: AA  7/29/88 17:38 Source code master starting point*/
/*: CW  5/17/89 16:22 Use XW unitcodes in place of XITT.*/
/*: JV  3/27/90 12:53 Removed declrtion's of 'used' & 'fresh'. */
/*: CR  6/28/90 15:30 Parse output redirection before strlower(). */
/*: CX 11/12/91 18:24 Chixify. */
/*: JX  5/13/92 11:52 Add confnum to descitem() call. */
/*: CL 12/10/92 14:52 Long chxalter args. */
/*: CN  5/15/93 15:20 Remove items_flagged. */
/*: CP  7/01/93 10:50 Call to descitem() uses RANGE. */
/*: CP  8/10/93 13:37 Use new Redirect object in handling redirection. */
/*: CK  8/20/93 14:10 Replace 'out' with 'red.unit'. */

#include <stdio.h>
#include "caucus.h"
#include "redirect.h"

extern struct master_template  master;
extern struct partic_t         thisconf;
extern union  null_t           null;
extern short                   confnum;
extern Chix                    objectable;

FUNCTION  describe (command)
   Chix   command;
{
   short    choice;
   int      success;
   Chix     object, range;
   Redirect red;

   ENTRY ("describe", "");

   object = chxalloc (L(80), THIN, "describe object");
   range  = chxalloc (L(80), THIN, "describe range");

   if (chxtoken (object, null.chx, 2, command) < 0) {
      unit_write (XWTX, NEWCPAGE);
      mdwrite    (XWTX, "des_Enoarg", null.md);
      SUCCEED;
   }

   parse_rout (&red, command);
   jixreduce  (command);
   arrange    (command);

   chxtoken (object, range, 2, command);
   choice = tablematch (objectable, object);

   switch (choice) {

      case (-2):   mdwrite (XWER, "des_Eambobj", null.md);   break;

      /*** Items and Responses. */
      case (-1):
      case ( 0):
      case ( 1):   descitem   (confnum, &red, range);       break;

      case ( 2):   descmess   (&red, command);              break;

      case ( 3):   descsubj   (&red, command, 0);           break;
      case ( 4):   descsubj   (&red, command, 1);           break;

      case ( 5):   showperson (&red, command, 0);           break;
   }

   if (red.locked) {
      unit_close (red.unit);
      unit_unlk  (red.unit);
   }
   SUCCEED;

done:
   chxfree (object);
   chxfree (range);
   RETURN  (success);
}
