/*** Show.  SHOW the object(s) listed in the command line.
/
/    Possible formats:
/      SHOW  MESSAGES  [range]  [NEW  BRIEF]
/      SHOW  SUBJECTS  [names]
/      SHOW  MYSUBJECTS  [names]
/      SHOW  ITEMS     [..]
/      SHOW  RESPONSES  [...]
/      SHOW  PARTICIPANTS  [names]
/
*/

/*** Copyright (C) 1987 Camber-Roth.  All rights reserved.  */

/*: AA  7/29/88 17:38 Source code master starting point*/
/*: CW  5/17/89 16:22 Use XW unitcodes in place of XITT.*/
/*: CR  6/28/90 15:30 Parse output redirection before strlower(). */
/*: JX  5/13/92 11:54 strlower() --> jixreduce(). */
/*: CL 12/10/92 14:52 Long chxalter args. */
/*: CR  2/08/93 14:07 chxfree stuff! */
/*: CN  5/15/93 15:20 Remove items_flagged. */
/*: CP  7/01/93 19:12 Remove complaint if no ITEM/RESP keyword. */
/*: CP  8/09/93 15:34 Use Redirect object. */

#include <stdio.h>
#include "caucus.h"
#include "redirect.h"

extern struct master_template  master;
extern struct partic_t         thisconf;
extern struct fresh_template   fresh;
extern union  null_t           null;
extern Chix                    objectable;

FUNCTION  show (command)
   Chix    command;
{
   Chix   object;
   int    success;
   short  choice;
   Redirect red;

   ENTRY ("show", "");

   object = chxalloc (L(80), THIN, "show object");

   if (chxtoken (object, nullchix, 2, command) == -1) {
      unit_write (XWTX, NEWCPAGE);
      mdwrite    (XWTX, "sho_Enoarg", null.md);
      FAIL;
   }

   parse_rout (&red, command);

   jixreduce (command);
   arrange   (command);

   chxtoken (object, nullchix, 2, command);
   choice = tablematch (objectable, object);

/* unit_write (out, NEWCPAGE); */

   switch (choice) {

      case (-2):   mdwrite (XWER, "sho_Eambobj", null.md);   break;

      /*** Items and Responses. */
      case (-1):
      case ( 0):
      case ( 1):   showitem (&red, command);              break;

      case ( 2):   showmess (&red, command);              break;

      case ( 3):   showsubj (&red, command, 0);           break;
      case ( 4):   showsubj (&red, command, 1);           break;

      case ( 5):   showperson (&red, command, 1);         break;
   }

   if (red.locked) {
      unit_close (red.unit);
      unit_unlk  (red.unit);
   }
   SUCCEED;

done:
   chxfree (object);

   RETURN  (success);
}
