/*** EDITCOM.   Handle the EDIT command at AND NOW. 
/
/    editcom (command)
/
/  Parameters:
/     Chix  command   (the command line)
/
/  Purpose:
/
/  How it works:
/
/  Returns:
/
/  Error Conditions:
/
/  Side Effects:
/
/  Related to:
/
/  Called by: 
/
/  Home:  cmd2/editcom.c
*/

/*** Copyright (C) 1990-1992 Camber-Roth.  All rights reserved. */

/*: CR  1/25/90 12:55 New function. */
/*: CR  3/26/90 20:40 Use syspluck() to get filename for EDIT command. */
/*: CR  6/14/90 14:41 Take out unnecessary SYSPRV stuff. */
/*: CR  9/26/90 10:23 Unused "success"? */
/*: CJ 11/22/90 17:27 Allow use of EDIT command only if flag.editcom on. */
/*: CR  4/08/91 18:49 Add new unit_lock argument. */
/*: UL 12/11/91 18:42 Make unit_lock args 3-6 int4.*/
/*: JX  2/22/92 14:00 Chixify, add header. */
/*: JX  5/26/92 19:58 Fixify. */
/*: CR 10/15/92 12:40 Use new version of syspluck(). */
/*: CR 12/10/92 15:17 syspluck 2nd arg is int4. */

#include "caucus.h"
#include <stdio.h>
#include "chixuse.h"
#include "done.h"

extern struct flag_template flag;
extern union  null_t        null;
extern Userreg        thisuser;
extern Chix           ss_inred;

FUNCTION  editcom (command)
   Chix   command;
{
   int    success; 
   Chix   temp, filename, rest;

   ENTRY ("editcom", "");

   temp = chxalloc (L(100), THIN, "temp");
   rest = chxalloc (L(100), THIN, "rest");
   filename = chxalloc (L(100), THIN, "filename");

   if (NOT flag.editcom) {
      mdwrite (XWTX, "new_Eeditno", null.md);
      FAIL;
   }

   if ( (chxtoken (temp, rest, 2, command)) == -1) {
      mdwrite (XWTX, "new_Eeditnoarg", null.md);
      FAIL;
   }

   /*** Pluck the filename off the command line.  Syspluck() knows how to
   /    do this for all operating systems if we put a "<" in front of
   /    it. So what if it's a hack. */
   chxcpy   (temp, ss_inred);
   chxcat   (temp, rest);
   syspluck (temp, L(0), filename);

   /*** System privilege automatically gets turned off during reading
   /    or writing XIRE, so we're OK. */
   if (unit_lock (XIRE, WRITE, L(0), L(0), L(0), L(0), filename)) {
/*    success = */  editfile (XIRE, thisuser->editor, 0);
      unit_unlk  (XIRE);
   }
/* else success = 0; */

/* if (NOT success)  mdwrite (XWTX, "new_Eeditfail", null.md); */

   SUCCEED;

done:
   chxfree (temp);
   chxfree (rest);
   chxfree (filename);
   RETURN (success);
}
