/*** ELAPSED.   Return elapsed time since Caucus started, in seconds.
/
/    seconds = elapsed();
/
/    Parameters:
/       int   seconds;   (return # seconds since 1st call)
/
/    Purpose:
/       Many applications (see status_format) of Caucus would like to
/       have elapsed time for Caucus session.
/
/    How it works:
/
/    Returns: elapsed time in seconds
/
/    Error Conditions:
/  
/    Side effects:
/
/    Related functions:
/
/    Called by:  main(), status_format()
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  cmd2/elapsed.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved.  */

/*: CR  8/25/92  4:32 New function. */

#include <stdio.h>
#include "caucus.h"

FUNCTION  elapsed()
{
   static int4 time0 = -1;
   int4   systime();

   ENTRY ("elapsed", "");

   if (time0 == -1)  time0 = systime();

   RETURN (systime() - time0);
}
