/*** LOGGER_CMD.   Parse & process the "_log" command.  */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: CR  9/09/92 17:18 New function.  */
/*: CI 10/07/92 17:07 Chixify. */
/*: CL 12/11/92 11:13 Long Chxcatsub args. */

#include <stdio.h>
#include "caucus.h"

FUNCTION  logger_cmd (command)
   Chix   command;
{
   int4   ivalue, starttime, count, size;
   int4   pos;
   int    i;
   Chix   feature, svalue, temp;

   ENTRY ("logger_cmd", "");

   feature = chxalloc (L(10), THIN, "logger_cmd feature");
   svalue  = chxalloc (L(10), THIN, "logger_cmd svalue");
   temp    = chxalloc (L(10), THIN, "logger_cmd temp");

   /*** Pluck off the arguments from _log: 
   /       feature, svalue, ivalue, starttime, count, size. */
   ivalue = starttime = count = size = L(0);
   for (i=2;   i<8;   ++i) {
      if (chxtoken (temp, nullchix, i, command) == -1)  break;
      
      pos = 0;
      switch (i) {
         case (2):   chxcatsub (feature, temp, L(0),  L(8));     break;
         case (3):   chxcatsub (svalue,  temp, L(0), L(12));     break;
         case (4):   ivalue    = chxint4 (temp, &pos);     break;
         case (5):   starttime = chxint4 (temp, &pos);     break;
         case (6):   count     = chxint4 (temp, &pos);     break;
         case (7):   size      = chxint4 (temp, &pos);     break;
      }
   }

   logfeature (feature, svalue, ivalue, starttime, count, size);

   chxfree (feature);
   chxfree (svalue);
   chxfree (temp);
   RETURN  (1);
}
