
/*** MDPROMPTER.  Master Dictionary interface to PROMPTER.
/
/    MDPROMPTER acts the same as prompter, except that the first
/    argument is a Master Dictionary index string.  */

/*: AA  7/29/88 17:41 Source code master starting point*/
/*: CX 10/20/91 17:09 Chixify. */
/*: CP  9/10/93 11:12 Add support for "prompt macros". */
/*: CK  9/20/93 12:33 Move prompt macro stuff to run_prompt_macro(). */

#include <stdio.h>
#include "caucus.h"

extern union null_t null;
extern Chix         confname;
extern Userreg      thisuser;

FUNCTION  mdprompter (mdindex, table, mode, helpmess, maxlen, 
                      reply, defanswer)
   char  *mdindex, *helpmess;
   Chix   table, reply, defanswer;
   int    mode, maxlen;
{
   Chix   temp;
   int    success;

   ENTRY  ("mdprompter", "");

   temp = chxalloc (L(200), THIN, "mdprompt temp");

   /*** Run the prompt macro for this string (if any). */
   run_prompt_macro (mdindex, thisuser->dict, confname);

   /*** Get prompt string from dictionary, and ask user for input. */
   mdstr (temp, mdindex, null.md);
   success = prompter (temp, table, mode, helpmess, maxlen, reply, defanswer);

   chxfree (temp);
   RETURN  (success);
}
