
/*** LOADMDIR.   Load message directory. */

/*: AA  7/29/88 17:48 Source code master starting point */
/*: CR  8/31/89 14:49 Detect MSG_RRR flag while loading. */
/*: CR  6/28/91 12:32 Limit # message to MAXMESS. */
/*: DE  3/26/92 13:20 Changed ( char flags[] ) to ( Flag flags ) */
/*: CN  5/15/93 21:02 Make 'flags' short. */
/*: CR  2/10/95 17:13 Failure to view XUMD should be impossible.  Report it. */

#include <stdio.h>
#include "caucus.h"

FUNCTION  loadmdir (highest, flags)
   int    highest;
   short  flags[];
{
   short  newhigh, m, msg[2];

   ENTRY ("loadmdir", "");

   if (NOT unit_view (XUMD)) {
      buglist ("Loadmdir cannot unit_view(XUMD)!");
      RETURN (0);
   }

   unit_short (XUMD, &newhigh, 1);
   if  (newhigh >= MAXMESS)  newhigh = MAXMESS - 1;
   for (m=highest+1;   m<=newhigh;   ++m)  flags[m] = 0;

   while (unit_short (XUMD, msg, 2))
      if (msg[0] > highest)
         flags[msg[0]] = MSG_NEW | (msg[1] ? MSG_RRR : 0);

   unit_close (XUMD);

   RETURN (newhigh);
}
