
/*** MESSLIST.   Describe the messages marked in MESSDIR.
/
/    MESSLIST does the dirty work of actually describing on OUT a set
/    of messages.  All of the messages to be described are marked
/    with MSG_SEE in the message directory table MESSDIR.
/
/    If BRIEF is true, the messages are described one
/    line per message; otherwise the full 3 lines are used. */

/*** Copyright (C) 1987 Camber-Roth.  All rights reserved. */

/*: AA  7/29/88 17:48 Source code master starting point */
/*: CR  9/02/88 15:10 Change call to getmline() to 4 arguments. */
/*: AM  2/07/89 10:30 Jcaucus changes*/
/*: CR  3/20/90 20:29 Use message_t mess. */
/*: JV  7/22/90 17:49 Change def of BRIEF to match invocation. */
/*: JV  8/29/91 14:50 Lintify */
/*: CR  1/10/92 23:09 Use messheader() to translate message headers. */
/*: CR  7/23/92 18:25 Use mess_format() for tailorable display. */
/*: CI 10/08/92 13:55 Chixify. */
/*: CN  5/15/93 21:02 Make 'flags' short. */

#include <stdio.h>
#include "caucus.h"

extern struct message_t  mess;
extern union  null_t     null;
extern Userreg           thisuser;

FUNCTION  messlist (out, flags, highest, brief)
   int    out, highest;
   short  flags[], brief;
{
   int    m, line;
   Chix   formstr, subject;
   Chix   mline;
   Chix   getmline();

   ENTRY ("messlist", "");

   unit_write (out, NEWCPAGE);
   sysbrkclear();

   formstr = chxalloc (L(200), THIN, "messlist formstr");
   subject = chxalloc (L(200), THIN, "messlist subject");

   mdstr (formstr, (brief ? "mes_Flistbr" : "mes_Flistlg"), null.md);

   for (m=highest;   m>0;   --m)  if (flags[m] & MSG_SEE) {

      /*** Make sure the message exists, and get the subject. */
      if ( (mline = getmline (thisuser->id, m, 2, 1)) == null.chx)  continue;
      chxtoken (null.chx, subject, 2, mline);

      line = 1;
      mess_format (out, m, thisuser->id, &line, formstr, 
                        subject, flags[m] & MSG_NEW);

      flags[m] &= (~ MSG_SEE);
      mess.high_seen = max (mess.high_seen, m);

      if (sysbrktest())  {sysbrkclear();   break;}
   }

   chxfree (formstr);
   chxfree (subject);
   RETURN  (1);
}
