
/*** MESS_VIEW.  Display message M on output stream OUT. */

/*** Copyright (C) 1987 Camber-Roth.  All rights reserved. */

/*: AA  7/29/88 17:49 Source code master starting point */
/*: CR  9/02/88 15:10 Change call to getmline() to 4 arguments. */
/*: JV  9/15/89 18:29 Add _beg_showmess and _end_showmess AFM's. */
/*: CR 10/17/89 15:17 Replace 2nd arg of FIRE_ARM with "". */
/*: CR  3/20/90 20:30 Use message_t mess. */
/*: CR  1/10/92 23:11 Use messheader() to translate message headers. */
/*: CR  7/23/92 12:09 Replace code with mess_format() calls. */
/*: CR 10/08/92  0:39 Chixify. */
/*: JX 10/08/92 13:00 Fixify 2nd fire_afm(). */

#include <stdio.h>
#include "caucus.h"

extern struct message_t  mess;
extern union  null_t     null;
extern Chix   afm_name;

FUNCTION  mess_view (out, m)
   int    out, m;
{
   int    line, more, success;
   Chix   subject, formstr, newconf, id;
   Chix   mline;
   Chix   getmline();

   ENTRY ("messview", "");

   subject = chxalloc (L(40), THIN, "mess_view subject");
   formstr = chxalloc (L(40), THIN, "mess_view formstr");
   newconf = chxalloc (L(40), THIN, "mess_view newconf");
   id      = chxalloc (L(40), THIN, "mess_view id");

   /* First fire off the initial AFM. */
   fire_afm ("_beg_showmess", null.chx, newconf);
   
   sysbrkclear();
   sysuserid (id);

   /*** Make sure the message exists, and get the subject. */
   if ( (mline = getmline (id, m, 2, 1))   == null.chx)  FAIL;
   chxtoken (nullchix, subject, 2, mline);

   /*** Display the message header. */
   line = 1;
   mdstr (formstr, "mes_Fshowhd", null.md);
   mess_format (out, m, id, &line, formstr, subject, 0);

   /*** For each message part, display the part, and if there
   /    are MORE parts, display the divider also. */
   for (line=3;   (1);   ) {
      mdstr (formstr, "mes_Fshowpt", null.md);
      more = mess_format (out, m, id, &line, formstr, subject, 0);
      if (NOT more)  break;
      mdstr (formstr, "mes_Fshowdv", null.md);
      mess_format (out, m, id, &line, formstr, subject, 0);
   }

   /*** Display the message trailer. */
   line = 1;
   mdstr (formstr, "mes_Fshowtr", null.md);
   mess_format (out, m, id, &line, formstr, subject, 0);
   
   mess.high_seen = max (mess.high_seen, m);

   /* Finally fire off the closing AFM. */
   fire_afm ("_end_showmess", nullchix, newconf);
   SUCCEED;

done:
   chxfree (subject);
   chxfree (formstr);
   chxfree (newconf);
   chxfree (id);
   RETURN  (success);
}
