
/*** NEWMESS.   Print the range of new message numbers. */

/*** Copyright (C) 1987 Camber-Roth.  All rights reserved.  */

/*: AA  7/29/88 17:49 Source code master starting point */
/*: CR  3/20/90 15:57 Update new_messages. */
/*: CR  4/08/91 18:49 Add new unit_lock argument. */
/*: UL 12/11/91 18:43 Make unit_lock args 3-6 int4.*/
/*: DE  3/30/92 13:53 Chixified */
/*: CN  5/15/93 21:59 Map message directory into printrange map. */

#include <stdio.h>
#include "caucus.h"

extern struct message_t    mess;
extern Userreg             thisuser;
extern union  null_t       null;

FUNCTION  newmess (out)
   int    out;
{
   short  m, count;
   short *temp;
   int    success;
   char  *sysmem();

   ENTRY ("newmess", "");

   /*** Load the current message directory. */
   unit_lock (XUMD, READ, L(0), L(0), L(0), L(0), thisuser->id);
   mess.highest   = loadmdir (0, mess.num);
   mess.high_seen = mess.highest;
   unit_unlk (XUMD);

   temp = (short *) sysmem (L(sizeof(short)) * L(mess.highest+2));
   if (temp == (short *) NULL)  RETURN (0);

   /*** Count the number of new messages.  Turn the message directory
   /    into a TEMP map that can be run through printrange(). */
   for (m=1, count=0;   m<=mess.highest;   ++m) {
      temp[m] = -1;
      if (mess.num[m] & MSG_NEW) { ++count;   temp[m] = 0; }
   }
   if (count == 0)  FAIL;

   /*** Prepare to print the list of new messages. */
   mdwrite (out, (count==1 ? "mes_Tnew1" : "mes_Tnew2"), null.md);

   printrange (out, temp, mess.highest, 4);
   SUCCEED;

done:
   sysfree ( (char *) temp);
   RETURN  (success);
}
