
/*** ALL_USERS.  All userids that match arg.
/
/    all_users (result, arg, conf);
/   
/    Parameters:
/       Chix                result;  (append resulting value here)
/       Chix                arg;     (function argument)
/       SWconf              conf;
/
/    Purpose:
/       Evaluate $all_users(arg).
/
/    How it works:
/       If ARG is empty, produces a list of all userids registered
/       with Caucus.  Otherwise, it produces a list of all userids
/       that ARG is an initial substring of.
/
/       The list is not necessarily in any order.
/
/    Returns:
/
/    Known bugs:
/
/    Home:  allusers.c
/ */

/*** Copyright (C) 1997 Screen Porch LLC.  All rights reserved. */

/*: CR 10/20/97 12:42 New function. */

#include <stdio.h>
#include "chixuse.h"
#include "sweb.h"
#include "api.h"

FUNCTION  all_users (Chix result, Chix arg, SWconf conf)
{
   char   match[100], userdir[512], fname[256];
   int    len, success, start, error, usernnn;
   ENTRY ("all_users", "");

   ascofchx (match, arg, L(0), L(100));
   if (match[0]) {
      len = strlen (match) - 1;
      if (match[len] == '*')  match[len] = '0';
   }

   for (usernnn=1;   (1);   ++usernnn) {
      sprintf (userdir, "%s/USER%03d", conf->caucus_path, usernnn);

      for (start=1;   sysgfdir(userdir, fname, start, &error) == 1;   start=0) {
         if (NOT match[0]  ||  strindex (fname, match) == 0) {
            strcat (fname, " ");
            chxcat (result, CQ(fname));
         }
      }

      if (start == 1)  break;

   }

   RETURN (1);
}
