
/*** CML_GLOBALS.  Define and initialize global data caches for CML.
/
/    cml_globals();
/   
/    Parameters:
/
/    Purpose:
/       Initialize and define place for common global API caches.
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Known bugs:
/
/    Home:  cmlglobals.c
/ */

/*** Copyright (C) 1995 Camber-Roth.  All rights reserved. */

/*: CR  4/08/95 22:23 New function. */

#include <stdio.h>
#include "chixuse.h"
#include "sweb.h"
#include "api.h"

Clist  g_cllist = (Clist)  NULL;     /* current list of available conf's. */
Clist  g_clp    = (Clist)  NULL;     /* pointer to current node in g_cllist. */
Person g_person = (Person) NULL;     /* current cached Person. */
Cstat  g_cstat  = (Cstat)  NULL;     /* current conf status. */
Pstat  g_pstat  = (Pstat)  NULL;     /* current personal status. */
Pstat  g_pstat2 = (Pstat)  NULL;     /* secondary pers status. */
Vartab g_icache = (Vartab) NULL;     /* item title & owner cache. */
int    g_wrap   =             0;     /* default word-wrap value. */
int    g_mytext =             0;     /* how to treat "my" text? */

FUNCTION  cml_globals(void)
{
   static short first_call = 1;
   Chix         word1, word2;
   ENTRY ("cml_globals", "");

   if (first_call) {
      first_call = 0;
      word1 = chxalloc (L(20), THIN, "cml_glob word1");
      word2 = chxalloc (L(20), THIN, "cml_glob word2");

      g_cllist = a_mak_clist  ("cml_glob g_cllist");
      g_person = a_mak_person ("cml_glob g_person");
      g_cstat  = a_mak_cstat  ("cml_glob g_cstat");
      g_pstat  = a_mak_pstat  ("cml_glob g_pstat");
      g_pstat2 = a_mak_pstat  ("cml_glob g_pstat");
      g_icache = a_mak_vartab ("cml_glob g_icache");

      func_my (word1, "my_text", word2);

      chxfree (word1);
      chxfree (word2);
   }

   RETURN (1);
}
