
/*** FUNC_IT.   Return the resulting value of a it_xxx() function.
/
/    func_it (result, what, arg, conf)
/   
/    Parameters:
/       Chix    result;  (append resulting value here)
/       char   *what;    (function name)
/       Chix    arg;     (function argument)
/       SWconf  conf;
/
/    Purpose:
/       Append value of it_xxx() function WHAT with arguments ARG to RESULT.
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Known bugs:
/
/    Home:  funcit.c
/ */

/*** Copyright (C) 1995 Camber-Roth.  All rights reserved. */

/*: CR  3/31/95 15:29 New function. */

#include <stdio.h>
#include "chixuse.h"
#include "sweb.h"
#include "api.h"

extern Cstat g_cstat;
extern Pstat g_pstat, g_pstat2;
extern Clist g_clp;

extern FILE *sublog;
extern int   cml_debug;

FUNCTION  func_it (Chix result, char *what, Chix arg, SWconf conf)
{
   static Resp  resp  = (Resp)  NULL;
   static Namex namex = (Namex) NULL;
   static Chix  word  = nullchix;
   Rlist  rl;
   char   temp[200];
   static int4 cnum = 0;
   static int4 inum;
   static int4 rnum;
   Pstat       pstat;
   int4   pos, pos1, cnew;
   int    yes, new, this, sum, rlast, status;
   ENTRY ("func_it", "");

   if (resp  == (Resp)  NULL)  resp  = a_mak_resp  ("func_it resp");
   if (namex == (Namex) NULL)  namex = a_mak_namex ("func_it namex");
   if (word  == nullchix)      word  = chxalloc (L(30), THIN, "func_it word");

   /*** All it_xxx() functions take a conference number (and often
   /    an item number) as argument(s).  Decode them. */
   pos  = L(0);
   cnew = chxint4 (arg, &pos);
   pos1 = pos;

   /*** If no args, try to use same ones as last call. */
   if (pos == L(0)  &&  cnum == 0)   { BAD("NO CNUM");    RETURN(1); }
   if (pos != L(0)) {
      cnum = cnew;
      inum = chxint4 (arg, &pos);
      if (pos == pos1)  inum = 0;
      rnum = chxint4 (arg, &pos);
   }

   if (NOT touch_it (cnum, conf->reload, conf->cache_timeout)) 
                                     { BAD("NO CONF");    RETURN(1); }

   /*** $IT_HOWMUCH (cnum inum uid) */
   else if (streq (what, "it_howmuch")) {
      chxtoken  (word, nullchix, 3, arg);
      if (chxeq (word, g_pstat->owner))  pstat = g_pstat;
      else {
         if (NOT chxeq (word, g_pstat2->owner)  ||  g_pstat2->cnum != cnum) {
            chxcpy (g_pstat2->owner, word);
            g_pstat2->cnum  = cnum;
            g_pstat2->items = 0;
            if (a_get_pstat (g_pstat2, P_EVERY, A_WAIT) != A_OK)  
               g_pstat2->items = -1;
         }
         pstat = g_pstat2;
      }

      if (inum <= pstat->items)  this = pstat->resps[inum];
      else                       this = -1;

      sprintf (temp, "%d", this);
      chxcat  (result, CQ(temp));
   }

   /*** $IT_MEMBER(cnum). */
   if      (streq (what, "it_member"))
      chxcatval (result, THIN, L(g_pstat->items < 0 ? '0' : '1'));

   /*** $IT_JOIN(cnum).   Join conference if (a) not already a member,
   /    and (b) access is allowed. */
   else if (streq (what, "it_join")) {
      yes = 1;
      if (g_pstat->items < 0) {
         touch_cl (cnum);
         if ( (int) g_clp->access > 0)   
              yes = (a_add_pstat (g_pstat, P_EVERY, A_WAIT) == A_OK);
         else yes = 0;
      }
      chxcatval (result, THIN, L(yes ? '1' : '0'));
   }

   /*** $IT_RESIGN(cnum [userid]).  Resign from the conference if a member. */
   else if (streq (what, "it_resign")) {
      chxtoken (word, nullchix, 2, arg);
      if (chxvalue (word, 0L) == 0  ||  chxeq (word, g_pstat->owner)) {
         if (g_pstat->items >= 0) {
            a_del_pstat (g_pstat, P_EVERY, A_WAIT);
            g_pstat->items = -1;
         }
      }
      else {
         pstat = a_mak_pstat ("it_resign");
         pstat->cnum = cnew;
         chxcpy (pstat->owner, word);
         a_del_pstat (pstat, P_EVERY, A_WAIT);
         a_fre_pstat (pstat);
      }
      g_pstat2->cnum = -1;
   }

   /*** $IT_LAST(cnum). */
   else if (streq (what, "it_last")) {
      this = (g_pstat->items >= 0 ? g_cstat->items : 0);
      sprintf (temp, "%d", this);
      chxcat  (result, CQ(temp));
   }

   /*** $IT_INEW(cnum). */
   else if (streq (what, "it_inew")) {
      sum = 0;
      if (g_pstat->items >= 0) {
         for (this=g_pstat->items + 1;  this <= g_cstat->items;  ++this) {
            if (g_cstat->resps[this] < 0)  continue;
            ++sum;
         }
      }
      sprintf (temp, "%d", sum);
      chxcat  (result, CQ(temp));
   }

   /*** $IT_IUNSEEN(cnum). */
   else if (streq (what, "it_iunseen")) {
      sum = 0;
      for (this=1;  this <= g_pstat->items;  ++this) {
         if (g_cstat->resps[this]  <  0)  continue;
         if (g_pstat->resps[this] != -1)  continue;
         ++sum;
      }
      sprintf (temp, "%d", sum);
      chxcat  (result, CQ(temp));
   }

   /*** $IT_ICOUNT(cnum). */
   else if (streq (what, "it_icount")) {
      for (sum=0, this=1;   this <= g_cstat->items;   ++this) {
         if (g_cstat->resps[this] >= 0)  ++sum;
      }
      sprintf (temp, "%d", sum);
      chxcat  (result, CQ(temp));
   }

   /*** $IT_IFORGOT(cnum). */
   else if (streq (what, "it_iforgot")) {
      for (sum=0, this=1;   this <= g_pstat->items;   ++this) {
         if (g_pstat->resps[this] == -2)  ++sum;
      }
      sprintf (temp, "%d", sum);
      chxcat  (result, CQ(temp));
   }

   /*** $IT_RNEW(cnum). */
   else if (streq (what, "it_rnew")) {
      for (sum=0, this=1;   this <= g_pstat->items;   ++this) {
         if (g_cstat->resps[this] < 0)  continue;
         if (g_pstat->resps[this] < 0)  continue;

         sum += (g_cstat->resps[this] - g_pstat->resps[this]);
         /* what about 'back' elements? */
      }
      sprintf (temp, "%d", sum);
      chxcat  (result, CQ(temp));
   }

   /*** $IT_WNEW(cnum). */
   else if (streq (what, "it_wnew")) {
      for (sum=0, this=1;   this <= g_pstat->items;   ++this) {
         if (g_cstat->resps[this] < 0)                     continue;
         if (g_pstat->resps[this] < 0)                     continue;
         if (g_pstat->resps[this] < g_cstat->resps[this])  ++sum;
         /* what about 'back' elements? */
      }
      sprintf (temp, "%d", sum);
      chxcat  (result, CQ(temp));
   }

   /*** $IT_LISTINEW(cnum). */
   else if (streq (what, "it_listinew")) {
      if (g_pstat->items >= 0) {
         for (this=g_pstat->items + 1;  this <= g_cstat->items;  ++this) {
            if (g_cstat->resps[this] < 0)  continue;
            sprintf (temp, "%d %d 0 ", cnum, this);
            chxcat  (result, CQ(temp));
         }
      }
   }

   /*** $IT_LISTIUNSEEN(cnum). */
   else if (streq (what, "it_listiunseen")) {
      if (g_pstat->items >= 0) {
         for (this=1;  this <= g_pstat->items;  ++this) {
            if (g_cstat->resps[this]  <  0)  continue;
            if (g_pstat->resps[this] != -1)  continue;
            sprintf (temp, "%d %d 0 ", cnum, this);
            chxcat  (result, CQ(temp));
         }
      }
   }

   /*** $IT_LISTRNEW(cnum). */
   else if (streq (what, "it_listrnew")) {
      for (this=1;   this <= g_pstat->items;   ++this) {
         if (g_cstat->resps[this] <  0)                     continue;
         if (g_pstat->resps[this] <  0)                     continue;
         if (g_pstat->resps[this] >= g_cstat->resps[this])  continue;
         sprintf (temp, "%d %d %d ", cnum, this, g_pstat->resps[this] + 1);
         chxcat  (result, CQ(temp));
         /* what about 'back' elements? */
      }
   }

   /*** $IT_LISTTITLE(cnum title_words) */
   else if (streq (what, "it_listtitle")) {
      namex->cnum = cnum;
      chxclear  (namex->namepart);
      chxcatsub (namex->namepart, arg, pos1, ALLCHARS);
      if (chxvalue (namex->namepart, L(0)) != 0  &&  
          a_get_namex (namex, P_TITLE, A_WAIT) == A_OK) {
         for (rl=namex->rlist->next;   rl != (Rlist) NULL;   rl=rl->next) {
            for (this=rl->i0;   this<=rl->i1;   ++this) {
               sprintf (temp, "%d %d 0 ", cnum, this);
               chxcat  (result, CQ(temp));
            }
         }
      }
   }

   /*** $IT_PARSE(cnum item_range). */
   else if (streq (what, "it_parse"))   it_parse (result, arg);

   /*** $IT_PACK (cnum item_range). */
   else if (streq (what, "it_pack" ))   it_pack  (result, arg);
  

   /*** $IT_EXISTS(cnum inum). */
   else if (streq (what, "it_exists")) {
      yes = (g_pstat->items       >=  0   &&  inum <= g_cstat->items  &&
             g_cstat->resps[inum] >=  0);
      chxcatval (result, THIN, L(yes ? '1' : '0'));
   }

   /*** $IT_VISIB(cnum inum). */
   else if (streq (what, "it_visib")) {
      yes = (g_pstat->items       >=  0    &&    /* user allowed in conf */
             g_cstat->items       >= inum  &&    /* item # exists */
             g_cstat->resps[inum] >=  0    &&    /* item not deleted */
            (g_pstat->items < inum  ||           /* new item or not forgotten */
             g_pstat->resps[inum] >= -1 ));
      chxcatval (result, THIN, L(yes ? '1' : '0'));
   }

   /*** $IT_FROZEN(cnum inum). */
   else if (streq (what, "it_frozen")) {
      resp->cnum = cnum;
      resp->inum = inum;
      resp->rnum = 0;
      a_get_resp (resp, P_FROZEN, A_WAIT);
      chxcatval  (result, THIN, L(resp->frozen ? '1' : '0'));
   }

   /*** $SET_IT_FROZEN(cnum inum flag). */
   else if (streq (what, "set_it_frozen")) {
      resp->cnum   = cnum;
      resp->inum   = inum;
      resp->rnum   = 0;
      resp->frozen = rnum;
      yes = (a_chg_resp (resp, P_FROZEN, A_WAIT) == A_OK);
      chxcatval (result, THIN, L(yes ? '1' : '0'));
   }

   /*** $IT_NEW(cnum inum). */
   else if (streq (what, "it_new")) {
      yes = (inum > g_pstat->items);
      chxcatval (result, THIN, L(yes ? '1' : '0'));
   }

   /*** $IT_UNSEEN(cnum inum). */
   else if (streq (what, "it_unseen")) {
      yes = (inum <= g_pstat->items  &&  g_pstat->resps[inum] < 0);
      chxcatval (result, THIN, L(yes ? '1' : '0'));
   }

   /*** $IT_RESPS(cnum inum). */
   else if (streq (what, "it_resps")) {
      sprintf (temp, "%d", (inum > g_cstat->items ? -1 : g_cstat->resps[inum]));
      chxcat  (result, CQ(temp));
   }

   /*** $IT_LASTRESP (cnum inum) */
   else if (streq (what, "it_lastresp")) {
      if (inum > g_cstat->items  || g_cstat->resps[inum] < 0)  rlast = -1;
      else for (rlast = g_cstat->resps[inum];   rlast >= 0;   --rlast) {
         resp->cnum = cnum;
         resp->inum = inum;
         resp->rnum = rlast;

         status = a_get_resp (resp, 0, A_WAIT);
         if (status                      != A_OK)  continue;
         if (chxvalue (resp->date, L(0)) ==    0)  continue;
         break;
      }
      sprintf (temp, "%d", rlast);
      chxcat  (result, CQ(temp));
   }

   /*** $IT_NEWR(cnum inum).   # of 1st new response. */
   else if (streq (what, "it_newr")) {
      if      (inum > g_cstat->items)     new = 0;   /* error */
      else if (inum > g_pstat->items)     new = 0;   /* new item */
      else if (g_cstat->resps[inum] < 0)  new = 0;   /* deleted item */
      else if (g_pstat->resps[inum] < 0)  new = 0;   /* unseen item */
      else if (g_pstat->resps[inum] < g_cstat->resps[inum])
                                          new = g_pstat->resps[inum] + 1;
      else                                new = g_cstat->resps[inum] + 1;
      sprintf (temp, "%d", new);
      chxcat  (result, CQ(temp));
   }

   /*** $SET_IT_SEEN(cnum inum rnum).  Set rnum as "seen". */
   else if (streq (what, "set_it_seen")) {
      if (mod_mark_pstat (g_pstat, (int) inum, (int) rnum)) {
         a_chg_pstat (g_pstat, P_EVERY, A_WAIT);
      }
   }


   RETURN(1);
}
