
/*** FUNC_PEO.   Return the resulting value of a peo_xxx() function.
/
/    func_peo (result, what, arg);
/   
/    Parameters:
/       Chix                result;  (append resulting value here)
/       char               *what;    (function name)
/       Chix                arg;     (function argument)
/
/    Purpose:
/       Append value of peo_xxx() function WHAT with arguments ARG to RESULT.
/
/    How it works:
/       $peo_members(num)     list of userids of members of conf CNUM
/       $peo_name(num, names...)  list of people
/
/    Returns:
/
/    Error Conditions:
/  
/    Known bugs:
/
/    Home:  funcpeo.c
/ */

/*** Copyright (C) 1995 Camber-Roth.  All rights reserved. */

/*: CR  3/30/95 13:12 New function. */

#include <stdio.h>
#include "chixuse.h"
#include "sweb.h"
#include "api.h"

FUNCTION  func_peo (Chix result, char *what, Chix arg)
{
   static People  plist = (People) NULL;
   Person         person;
   Namelist       nl;
   int4           which, pos;
   ENTRY ("func_peo", "");

   /*** Initialization. */
   if (plist == (People) NULL)   plist = a_mak_people ("func_per plist");

   /*** $PEO_MEMBERS(cnum) */
   if      (streq (what, "peo_members")) {
      if (NOT chxnum (arg, &which))           { BAD("NO-CNUM");    RETURN(1); }
      plist->cnum = which;
      chxclear (plist->namepart);
      if (a_get_people (plist, P_EVERY, A_WAIT) != A_OK)
                                              { BAD("DB ERR");     RETURN(1); }

      for (nl = plist->ids->next;   nl != (Namelist) NULL;   nl = nl->next) {
         chxcat    (result, nl->str);
         chxcatval (result, THIN, L(' '));
      }
   }

   /*** $PEO_NAMES(cnum nameparts) */
   else if (streq (what, "peo_names")) {
      pos = L(0);
      plist->cnum = chxint4 (arg, &pos);
      chxclear  (plist->namepart);
      chxcatsub (plist->namepart, arg, pos, ALLCHARS);

      if (a_get_people (plist, P_EVERY, A_WAIT) != A_OK)
                                              { BAD("DB ERR");     RETURN(1); }

      for (nl = plist->ids->next;   nl != (Namelist) NULL;   nl = nl->next) {
         chxcat    (result, nl->str);
         chxcatval (result, THIN, L(' '));
      }
   }

   RETURN(1);
}
