
/*** TOUCH_CL.  Ensure CL globals are up to date.
/
/    ok = touch_cl (cnum);
/   
/    Parameters:
/       int4        cnum;    (conf number)
/
/    Purpose:
/
/    How it works:
/
/    Returns: 1 on success
/             0 if CNUM not relevant
/
/    Error Conditions:
/  
/    Known bugs:
/
/    Home:  touchcl.c
/ */

/*** Copyright (C) 1995 Camber-Roth.  All rights reserved. */

/*: CR  4/09/95 15:18 New function. */

#include <stdio.h>
#include "chixuse.h"
#include "sweb.h"
#include "api.h"

extern Clist g_cllist, g_clp;

FUNCTION  touch_cl (int4 cnum)
{
   Conf   conf;
   ENTRY ("touch_cl", "");

   /*** If we got here w/o ever calling $cl_list(), dig up the name
   /    of conference CNUM, and call $cl_list() ourselves! */
   if (g_cllist->next == (Clist) NULL) {
      conf = a_mak_conf ("touch_cl conf");
      conf->cnum = cnum;
      a_get_conf (conf, P_NAME, A_WAIT);
      func_cl (conf->owner, "cl_list", conf->lname);
      a_fre_conf (conf);
   }

   /*** Normal scan through g_cllist to find conference CNUM. */
   if (g_clp == (Clist) NULL  ||  g_clp->cnum != cnum) {
      for (g_clp=g_cllist->next;   g_clp!=(Clist) NULL;   g_clp=g_clp->next) {
         if (g_clp->cnum == cnum)  RETURN (1);
      }
      g_clp = g_cllist->next;
      RETURN (0);
   }

   RETURN (1);
}
