
/*** SYSUSERID.  Copies the account name of the current user
/                over the string supplied. */

/*** Copyright (C) 1983 Camber-Roth.  All rights reserved.  */
/*** Copyright (C) 1996 Screen Porch LLC.  All rights reserved. */

/*: AA  7/29/88 17:46 Source code master starting point */
/*: NT  4/08/97 16:00 Revamp for Caucus 3.2. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"
#include "sysexit.h"

#if WIN32
#include <windows.h>
#include <iostream.h>
#endif

#if UNIX
#include <unistd.h>
#endif

extern struct flag_template flag;

FUNCTION  sysuserid (str_chx)
   Chix     str_chx;
{
   char   *s;
   char    str[160];


/*-------------------------------All Unix besides SV---------------------*/
#if SYSV | HPXA9 | SUN41 | LNX12
   static  char save_userid[40];
   char  *p;

   ENTRY ("sysuserid", "");
   if (flag.login)  strcpy (str, flag.userid);
   else {
      if (NULLSTR (save_userid)) {
         sysprv (0);
         p = cuserid( (char *) NULL);
         sysprv (1);
         if (p == NULL  ||  NULLSTR(p))  sysexit (EXIT_NOUID);

         strcpy (save_userid, p);
      }
      strcpy (str, save_userid);
   }
#endif

/*-------------------------------Unisys SV Unix--------------------------*/
#if BSD21 | NUT40 | FBS22
   static char save_userid[40];
   char  *ptr, *getlogin();

   ENTRY ("sysuserid", "");

   if (flag.login)  strcpy (str, flag.userid);
   else {
      if (NULLSTR (save_userid)) {
         sysprv (0);
         if ( (ptr = getlogin()) == NULL  ||  NULLSTR(ptr)) {
            printf ("Bad return from getlogin()!\n");
            exit   (9);
         }
         strcpy   (save_userid, ptr);
         sysprv (1);
      }
      strcpy (str, save_userid);
   }
#endif

/*-------------------------------WIN32 NT--------------------------*/
#if WIN32
#define  SULEN 40
   static char save_userid[40];
   int         sulen = SULEN;
   char  *ptr;

   ENTRY ("sysuserid", "");

   if (flag.login)  strcpy (str, flag.userid);
   else {
      if (NULLSTR (save_userid))   GetUserName (save_userid, &sulen);
      strcpy (str, save_userid);
   }
#endif

#if UNIX | NUT40 | WIN32
   for (s=str;   *s;   ++s)    if (cf_upper(*s))    *s += ('a' - 'A');
#endif

   if (flag.underscore  &&  NOT flag.login)  strcat (str, "_");
   chxofascii (str_chx, str);

   RETURN (1);
}
