
/*** MDNAME.  Make names for various master dictionary files.
/
/    MDNAME contains the system-dependent code that assembles
/    the name for four different kinds of files used by the
/    MAKEMD program.  MDNAME puts the assembled name into NAME.
/    The input arguments are:
/
/    TYPE:  1:  dictionary text file 
/           2:  temporary output file for dictionary
/           3:  actual XSMD dictionary file
/           4:  dictionary ":<" include file
/
/    STR1:  "dictionary root path", i.e. "/usr/caucus/MISC"
/
/    STR2:  input file name (type 1 or 4) or temporary name (type 2)
/
/    NUM:   dictionary number.
/ */

/*** Copyright (C) 1989 Camber-Roth.  All rights reserved. */

/*: AA  7/29/88 17:57 Source code master starting point */
/*: CR  1/12/89 11:31 New function for makemd program. */
/*: CR  9/24/90 14:14 Add type 4, rewrite header comments. */

#include <stdio.h>
#include "caucus.h"
#include "systype.h"

FUNCTION  mdname (name, type, str1, str2, num)
   char   name[], str1[], str2[];
   int    type, num;
{

#if UNIX | NUT40 | WIN32
   switch (type) {
      case (1):
      case (4):   strcpy  (name, str2);                  break;
      case (2):   sprintf (name, "%s%03d", str2, num);   break;
      case (3):   sprintf (name, "%s%03d", str1, num);   break;
   }
#endif

}
