
/* STRing BREAK.  Break STR around PAT.  Find PAT in STR, and RETURN 
/  everything to the left of PAT, in FORE; and everything to the right
/  in AFT.  Normally, STRBREAK will have a RETURN value of 1.
/
/  If PAT is not found, STRBREAK RETURNs 0, all of STR in FORE, and the
/  null string in AFT. */

/*: AA  7/29/88 17:53 Source code master starting point */
#include "caucus.h"

FUNCTION  strbreak (str, fore, aft, pat)
   char *str, *fore, *aft, *pat;
{
   int  patlen, patpos, i;
   char *s;

   ENTRY ("strbreak.c", "");
   patlen = strlen   (pat);
   patpos = strindex (str, pat);

   if (patpos == -1) {
      strcpy (fore, str);
      aft[0] = '\0';
      RETURN (0);
   }

   s = str;
   for (i=0;  i<patpos;  ++i)  *fore++ = *s++;
   *fore = '\0';

   s = str + patpos + patlen;
   while (*aft++ = *s++) ;

   RETURN (1);
}
