
/*** CI_ABORT.   Abort Caucus installation and do cleanup.
/
/    ci_abort (vars);
/
/    Arguments:
/       struct vars_t *vars;   (state variables)
/
/    Purpose:
/       Abort Caucus installation and cleanup.  (Shutdown web server,
/       remove temporary directory and files.)
/
/    How it works:
/
/    Exit status:
/
/    Known bugs:      none
/
/    Home:  xins/ciabort.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/30/98 14:28 extracted from original ins2.c. */

#include <stdio.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <windows.h>
#include <iostream.h>
#include "ins.h"

FUNCTION ci_abort (struct vars_t *vars )
{
   char   cleanup[1000];
   char  *valueof();

   htop   (0, "Caucus Installation Aborted", "");
   printf ("<P><BLOCKQUOTE>"
           "If you attempt to install Caucus again, please wait at least two "
           "minutes, so that the automatic clean-up function can complete.\n");
   printf ("<P>child='%s'<BR>\n", valueof("child", vars));
   printf ( "tempdir='%s'<BR>\n", valueof("tempdir", vars));
                                           
   printf ("</BLOCKQUOTE>\n");
   printf ("</BODY>\n");
   printf ("</HTML>\n");
   fclose (stdout);
   Sleep  (4000);

   /*** Launch cleantemp to kill web server and delete temp directory. */
   sprintf   (cleanup, "%s/cleantemp.exe %s %s", valueof("tempdir", vars),
                 valueof("child", vars), valueof("tempdir", vars));
   syslaunch (cleanup, 0, 0);
   exit      (0);
}
