
/*** CI_BAD.   Caucus Install: no such page code.
/
/    ci_host (page, vars, str);
/
/    Arguments:
/       int            page;   (page code)
/       struct vars_t *vars;   (state variables)
/       char          *str;    (arbitrary error string)
/
/    Purpose:
/       Report an invalid page code.  (For debugging during development.)
/
/    How it works:
/
/    Exit status:
/
/    Known bugs:      none
/
/    Home:  xins/cibad.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 12/27/98 14:28 New function. */

#include <stdio.h>
#include "ins.h"

FUNCTION  ci_bad (int page, struct vars_t *vars, char *str)
{
   char   temp[200];
   char  *valueof();
   int    slot;

   sprintf (temp, "Unknown Page Code (%d)", page);
   htop    (page, temp, "");

   printf ("<P><BLOCKQUOTE>\n");
   printf ("There is no code for this page number.<P>\n");
   printf ("The debugging string is '%s'.\n", str);
   printf ("<P>\n");

   for (slot=0;   slot < vars->used;   ++slot)
      printf ("%s=%s<BR>\n", vars->name[slot], vars->value[slot]);

   printf ("<P><FORM METHOD=POST ACTION=\"/cgi-bin/ins2.exe?101\" "
           "NAME=activator>\n");
   hvars  (vars, "submit");
   printf ("<INPUT TYPE=SUBMIT NAME=submit VALUE=\"Abort\">\n");
   printf ("</FORM>\n");
   printf ("<P></BLOCKQUOTE></BODY>\n");
   printf ("</HTML>\n");
   exit   (0);
}
