
/*** CI_BROWSE.   Caucus Install: browse for (new) caucus home directory.
/
/    ci_browse (page, vars, bpath, is_ie);
/
/    Arguments:
/       int            page;
/       struct vars_t *vars    (state variables)
/       char          *bpath   (browsed "path" so far)
/       int            is_ie;  (is browser IE?)
/
/    Purpose:
/       Handle "browse for home directory" pop-up page.
/
/    How it works:
/
/    Exit status:
/
/    Known bugs:      none
/
/    Home:  xins/cibrowse.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/30/98 14:28 extracted from original ins2.c. */

#include <stdio.h>
#include "ins.h"

FUNCTION ci_browse (int page, struct vars_t *vars, char *bpath, int is_ie)
{
   char  *valueof();
   char   bcode  [400];
   char   drives[80];
   int    freesp[80];
   char   folder[200], fpath[200], add[20], fname[400], fullname[400];
   char   newfolder[400], dletter;
   int    level, j, lc, error, start, ok, ct;

   /*** If a new folder was chosen, create it now. */
   strcpy (newfolder, valueof("newfolder", vars));
   if (newfolder[0]) {
      strcpy (fullname, bpath);
      if (fullname[strlen(fullname)-1] != '\\')  strcat (fullname, "\\");
      strcat   (fullname, newfolder);
      if (sysmkdir (fullname, 0711)) {
         strcpy (bpath, fullname);
      }
   }

   qencode (bcode, bpath);   /* URL encoded form of query string. */

   printf ("Content-type: text/html\n\n");
   printf ("<HTML>\n");
   printf ("<HEAD><TITLE>Browse</TITLE>\n");
   printf ("<SCRIPT LANGUAGE='JavaScript'>\n");
   printf ("function valid() {\n");
   printf (" if (document.bpath.newfolder.value == '')  return false;\n");
   printf (" for (j=0;   (cj = document.bpath.newfolder.value.charAt(j))"
           "   != '';   ++j) {\n");
   printf ("  if ('/\\\\*:\\\"<>?'.indexOf(cj) >=0) {\n");
   printf ("   alert ('New Folder name may not contain any ' +\n");
   printf ("          'of the characters / \\\\ * : \\\" < > or ?');\n");
   printf ("   return false;\n");
   printf ("  }\n");
   printf (" }\n");
   printf (" return true;\n");
   printf ("}\n");
   printf ("</SCRIPT>\n");
   printf ("</HEAD>\n\n");
   printf ("<BODY BGCOLOR='#FFFFFF'>\n");
   printf ("<P><FORM METHOD=POST ACTION='/cgi-bin/ins2.exe?900+%s' "
           "NAME='bpath' onsubmit='return valid();'>\n\n", bcode);

   printf ("<TABLE CELLSPACING=0 CELLPADDING=%d>\n", (is_ie ? 2 : 0));

   /*** My Computer */
   printf ("<TR><TD><TABLE CELLSPACING=0 CELLPADDING=0>\n"
           "    <TR><TD><A HREF='http://localhost:8022/cgi-bin/ins2.exe?900+'\n"
           "       ><IMG SRC='/mycomp.gif' BORDER=0></A></TD>\n"
           "        <TD><A HREF='http://localhost:8022/cgi-bin/ins2.exe?900+'\n"
           "            >My Computer</A>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </TD>\n"
           "        </TABLE></TD>\n");
   printf ("<TD><INPUT TYPE=BUTTON VALUE='Close' "
           "onClick='self.close();'></TD>\n");

   /*** Parse BPATH to display each level on a new line with appropriate
   /    icon.  FOLDER is current folder name; FPATH is full path "so far",
   /    i.e. to current FOLDER.  */
   folder[0] = '\0';
   fpath [0] = '\0';
   add   [1] = '\0';
   if (bpath[0])  for (level=0, j=0;   (1);   ++j) {
      add[0] = bpath[j];

      /*** When we get to the end of a folder name, display it. */
      if (bpath[j]=='/' || bpath[j]=='\\' || bpath[j]==0) {
         printf ("\n<TR><TD><TABLE CELLSPACING=0 CELLPADDING=0>\n  <TR><TD>");
         ++level;
         for (lc=0;   lc<level;   ++lc)  printf ("&nbsp;&nbsp;&nbsp;");
         printf ("</TD>\n"
           "<TD><A HREF='http://localhost:8022/cgi-bin/ins2.exe?900+%s'\n"
           "   ><IMG SRC='%s' BORDER=0></A></TD>\n"
           "<TD><A HREF='http://localhost:8022/cgi-bin/ins2.exe?900+%s'\n"
           "   >%s</A>&nbsp;</TD>\n  </TABLE></TD>\n",
           fpath, (level==1 ? "/mydisk.gif" : "/myopen.gif"), 
           fpath, folder);
         folder[0] = '\0';
         if (bpath[j] == 0)  break;
      }
      else  strcat (folder, add);

      strcat (fpath, add);
   }

   strcat (fpath, "/"); 
   ++level;
   ++level;

   /*** From "My Computer", show all NTFS drives. */
   if (bpath[0] == 0) {
      get_ntfs (drives, freesp);
      for (ct=0;   drives[ct];   ++ct) {
         printf ("\n<TR><TD><TABLE CELLSPACING=0 CELLPADDING=0>\n  <TD>\n");
         for (lc=0;   lc<level;   ++lc)  printf ("&nbsp;&nbsp;&nbsp;");
         dletter = drives[ct] + 'A' - 'a';
         printf ("</TD>\n"
            "<TD><A HREF='http://localhost:8022/cgi-bin/ins2.exe?900+%c:'"
            "   ><IMG SRC='/mydisk.gif' ALIGN=middle BORDER=0></TD>\n"
            "<TD><A HREF='http://localhost:8022/cgi-bin/ins2.exe?900+%c:'"
            "   >%c:</A></TD></TABLE></TD>\n", 
            dletter, dletter, dletter);
      }
   }

   /*** From anywhere else, show all folders under current BPATH. */
   else {
      for (start=1;   sysgfdir (fpath, fname, start, &error) == 1;  
           start=0) {
         strcpy (fullname, fpath);
         if (fullname[strlen(fullname)-1] != '/') strcat (fullname, "/");
         strcat (fullname, fname);
         if (NOT sysisdir (fullname))  continue;
         printf ("<TR><TD><TABLE CELLSPACING=0 CELLPADDING=0> <TR><TD>\n");
         for (lc=0;   lc<level;   ++lc)  printf ("&nbsp;&nbsp;&nbsp;");
         printf ("</TD>\n"
            "<TD><A HREF='http://localhost:8022/cgi-bin/ins2.exe?900+%s\\%s'"
            "   ><IMG SRC='/myfold.gif' ALIGN=middle BORDER=0></A></TD>\n"
            "<TD><A HREF='http://localhost:8022/cgi-bin/ins2.exe?900+%s\\%s'"
            "   >%s</A></TD></TABLE></TD>\n", 
            bcode, fname, bcode, fname, fname);
      }
   }

   /*** Option to make a new folder. */
   if (bpath[0]) {
      printf ("<TR><TD><TABLE CELLSPACING=0 CELLPADDING=0> <TR><TD>\n");
      for (lc=0;   lc<level;   ++lc)  printf ("&nbsp;&nbsp;&nbsp;");
      printf ("</TD>\n"
         "<TD><IMG SRC='/myfold.gif'></TD>\n");
      printf ("<TD><INPUT TYPE=TEXT NAME=newfolder SIZE=15>&nbsp;</TD>\n");
      printf ("</TABLE></TD>\n");
      printf ("<TD><INPUT TYPE=SUBMIT NAME=submit VALUE='New Folder'"
              "></TD>");
   }

   /*** If there's a directory specified, put up "Install" button. */
   if (strindex (bpath, "\\") > 0) {
      printf ("<TR><TD>&nbsp;</TD>\n");

      printf ("<TR VALIGN=top>\n");
      printf ("<TD>Install Caucus in:<BR>&nbsp;&nbsp;&nbsp;\n");
      printf ("<B>%s</B></TD>\n", bpath);
      printf ("<TD><INPUT TYPE=BUTTON VALUE='Install' onClick="
              "'opener.document.whatuid.home.value=\"%s\";   "
              "window.close();'></TD>\n", 
                dblslash (bpath));
   }
   printf ("</TABLE>\n");
   printf ("</FORM>\n");
   printf ("</BODY></HTML>\n");
   exit   (0);
}
