
/*** CI_CREATE.   Caucus Install: put up "create new account" page.
/
/    ci_create (page, vars);
/
/    Arguments:
/       int            page;
/       struct vars_t *vars;   (state variables)
/
/    Purpose:
/
/    How it works:
/
/    Exit status:
/
/    Known bugs:      none
/
/    Home:  xins/cicreate.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 12/27/98 14:28 New function. */

#include <stdio.h>
#include "ins.h"

FUNCTION ci_create (int page, struct vars_t *vars )
{
   char  *valueof();
   char   users[10000];
   char   drives[40], drivelist[200], *drv, temp[200], sampledrv;
   int    freesp[40];

   printf ("Content-type: text/html\n\n");
   printf ("<HTML>\n");
   printf ("<HEAD><TITLE>%d.%d Create new NT account</TITLE></HEAD>\n",
            page/100, (page%100)/10);

   /*** Build the list of users and NTFS drives; we'll slip them into
   /    the javascript that verifies that all of the installer's
   /    choices are valid. */
   nt_users (users, 10000);
   get_ntfs (drives, freesp);
   drivelist[0] = '\0';
   for (drv=drives;   *drv;   ++drv) {
      sprintf (temp, "%c %c ", *drv, *drv + 'A' - 'a');
      strcat  (drivelist, temp);
   }
   sampledrv = drivelist[2];

   /*** Write javascript functions: browser (to open another window to
   /    "browse" the NT file system for a caucus home dir), and
   /    check_values (verify all installers values are legal). */
   printf ("<SCRIPT LANGUAGE=\"JavaScript\">\n");
   printf ("users = '%s';\n", users);

   printf ("bwin = new Object;\n");
   printf ("function browser() {\n");
   printf ("   bwin = window.open('http://localhost:8022/cgi-bin/"
              "ins2.exe?900+',\n");
   printf ("   'bwin',\n");
   printf ("   'menubar=1,toolbar=1,resizable=1,scrollbars=1,"
              "width=400,height=300');\n");
   printf ("   bwin.location.href='http://localhost:8022/cgi-bin/"
               "ins2.exe?900+';\n");
   printf ("   return false;\n");
   printf ("}\n");

   printf ("function check_values() {\n");
   printf ("   if      (document.whatuid.uid.value == '')\n");
   printf ("      alert ('You must supply an account name.');\n");
   printf ("   else if (users.indexOf(document.whatuid.uid.value + ' ') "
           " >= 0)\n");
   printf ("      alert ('That account already exists.');\n");
   printf ("   else if (document.whatuid.home.value == '')\n");
   printf ("      alert ('You must supply a home directory.');\n");
   printf ("   else if (document.whatuid.home.value.charAt(1) != ':')\n");
   printf ("      alert ('Home directory must include drive letter, "
              "as in \"D:\\\".');\n");

   printf ("   else if ('%s'.indexOf(document.whatuid.home.value.charAt(0)) "
              "< 0)\n", drivelist); 
   printf ("      alert ('Drive must be an NTFS drive (such as %c).');\n",
               sampledrv);
   printf ("   else if (document.whatuid.passwd.value == '')\n");
   printf ("      alert ('You must enter a password.');\n");
   printf ("   else return true;\n");
   printf ("   return false;\n");
   printf ("}\n");
   printf ("</SCRIPT>\n");

   printf ("</HEAD>\n");
   printf ("<BODY BGCOLOR=\"#FFFFFF\">\n");

   printf ("<TABLE WIDTH='100%%' CELLSPACING=0 CELLPADDING=0>\n");
   printf ("<TR><TD><FONT SIZE=+2><B>%d.%d Create new NT account</B>"
           "</FONT></TD>\n", page/100, (page%100)/10);
   printf ("<TD ALIGN=right><A HREF='http://caucussystems.com' TARGET='_blank'>"
           "<IMG SRC='/lcaucus3.gif'\n"
           " WIDTH=192 HEIGHT=50 ALIGN=right BORDER=0></A></TD>\n");
   printf ("</TABLE>\n");


   printf ("<BLOCKQUOTE>\n");
   printf ("Create a new NT user account for Caucus.\n");
   printf ("<P>\n");
   printf ("<FORM METHOD=POST ACTION='/cgi-bin/ins2.exe?%d' NAME=whatuid>\n",
             page+1);

   printf ("<TABLE WIDTH='75%%'>\n");
   printf ("<TR VALIGN=top>\n");
   printf ("  <TD><B>1. </B></TD>\n");
   printf ("  <TD>Type name of new account.&nbsp;  (\"Caucus\" is often a "
              " good choice.)</TD>\n\n");

   printf ("<TR>\n");
   printf ("  <TD></TD>\n");
   printf ("  <TD><INPUT TYPE=TEXT NAME=uid SIZE=22 VALUE='%s'>&nbsp;</TD>\n",
               valueof("uid", vars));

   printf ("<TR><TD>&nbsp;</TD>\n");
   printf ("<TR VALIGN=top>\n");
   printf ("  <TD><B>2. </B></TD>\n");
   printf ("  <TD>Type the full name of the new Caucus home directory\n");
   printf ("         (including the disk drive letter)\n");
   printf ("         in the box below, or click on <B>Browse</B>.</TD>\n");
   printf ("<TR><TD></TD>\n");
   printf ("  <TD><INPUT TYPE=TEXT NAME=home SIZE=22 VALUE='%s'>&nbsp;\n",
              valueof("home", vars));
   printf ("      <INPUT TYPE=BUTTON VALUE='Browse' "
               " onClick='return browser();'></TD>\n");

   printf ("<TR><TD>&nbsp;</TD>\n");
   printf ("<TR VALIGN=top>\n");
   printf ("  <TD><B>3. </B></TD>\n");
   printf ("  <TD>Type the password for the new account:</TD>\n");
   printf ("<TR><TD></TD>\n");
   printf ("  <TD><INPUT TYPE=TEXT NAME=passwd SIZE=22 VALUE='%s'></TD>\n",
              valueof("passwd", vars));

   printf ("<TR><TD>&nbsp;</TD>\n");
   printf ("<TR><TD><B>4. </B></TD>\n");
   printf ("  <TD><TABLE><TR><TD><INPUT TYPE=SUBMIT NAME=submit VALUE='Create'"
           "    onClick='return check_values();'>&nbsp;</TD>\n"
            "  <TD>new account, or</TD></TABLE></TD>\n");
   printf ("<TR><TD></TD><TD><TABLE><TD><INPUT TYPE=SUBMIT NAME=submit \n"
           "VALUE='Abort'>"
              " </TD><TD>(cancel Caucus installation).</TD>\n");
   printf ("  </TABLE></TD>\n");
   printf ("</TABLE>\n");
   printf ("\n");
   hvars  (vars, "submit uid home passwd");
   printf ("</FORM>\n");
   printf ("</BLOCKQUOTE>\n");
   printf ("</BODY>\n");
   printf ("</HTML>\n");

/*
   printf ("</HEAD>\n");
   printf ("<BODY BGCOLOR=\"#FFFFFF\">\n");
   printf ("<H2>Caucus Installation: Page 2c</H2>\n");

   printf ("<P><FORM METHOD=POST ACTION=\"/cgi-bin/ins2.exe?100\" "
           "NAME=activator>\n");
   hvars  (vars, "submit");
   printf ("<INPUT TYPE=SUBMIT NAME=submit VALUE=\"Abort\">\n");
   printf ("</FORM>\n");
   printf ("<P></BLOCKQUOTE></BODY>\n");
   printf ("</HTML>\n");
*/

   exit   (0);
}
