
/*** CI_FOUND.   Caucus Install: found a prev caucus; use it?
/
/    ci_found (page, vars, where);
/
/    Arguments:
/       int            page;
/       struct vars_t *vars    (state variables)
/       char          *where   (pairs of userid/homedir where caucus was found)
/
/    Purpose:
/       A previous caucus installation was found.  Install over top of it?
/
/    How it works:
/
/    Exit status:
/
/    Known bugs:      none
/
/    Home:  xins/cifound.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/30/98 14:28 New function. */

#include <stdio.h>
#include "ins.h"

FUNCTION ci_found (int page, struct vars_t *vars, char *where)
{
   char   uid[100], home[200], temp[200];
   int    token, multiple;
   char  *valueof();
   char  *strtoken();
   
   multiple = strtoken (uid, 3, where) != NULL;
   strtoken (uid,  1, where);
   strtoken (home, 2, where);

   htop    (page, "Use Previous Caucus Installation?", "");

   printf ("<BLOCKQUOTE>\n");
   if (multiple) {
      printf ("It appears that Caucus has already been installed several "
              "times, in different NT user accounts.&nbsp;\n");
      printf ("<P>Do you wish to install your Caucus upgrade \"over top of\" "
              "one of these accounts?&nbsp;\n");
      printf ("(This is probably a good idea.&nbsp; Any conferences you\n"
              "previously created in the selected account will remain, "
              "unharmed.\n");
   }
   else {
      printf ("Caucus was previously installed under the account \n"
              "<B>%s</B>, in the directory <B>%s</B>.\n", uid, home);
      printf ("<P>Do you wish to install your Caucus upgrade \"over top of\"\n"
              "the previous version, in the same directory?&nbsp;\n");
      printf ("(This is the usual case.&nbsp; Any conferences you\n"
              "previously created will remain, unharmed.)\n");
   }

   printf ("<P>\n");
   printf ("<FORM METHOD=POST ACTION=\"/cgi-bin/ins2.exe?%d\" "
                 "NAME=found>\n", page+1);
   hvars  (vars, "submit");

   printf ("<INPUT TYPE=HIDDEN NAME=home VALUE=\"%s\">\n", home);
   printf ("<INPUT TYPE=HIDDEN NAME=uid  VALUE=\"%s\">\n", uid);
    
   printf ("<UL><TABLE>\n");
   for (token=1;   strtoken (uid, token, where) != NULL;   token += 2) {
      strtoken (home, token+1, where);
      printf ("<TR><TD><INPUT TYPE=SUBMIT NAME=submit VALUE='Yes'\n"
              "onClick=\"document.found.home.value='%s'; "
                        "document.found.uid.value='%s'; return true;\"></TD>\n",
                  dblslash(home), uid);
      printf ("<TD>Install in account <B>%s</B>, directory <B>%s</B></TD>\n",
               uid, home);
   }

   printf ("<TR><TD><INPUT TYPE=SUBMIT NAME=submit VALUE='No'></TD>"
               "<TD>Let me choose a new account</TD>\n");

   printf ("<TR><TD>&nbsp;</TD>\n");
   printf ("<TR><TD><INPUT TYPE=SUBMIT NAME=submit VALUE='Abort'></TD>\n"
               "<TD>Cancel Caucus installation</TD>\n");

   printf ("</TABLE></UL>\n");
   printf ("</FORM>\n");

   printf ("<P></BLOCKQUOTE></BODY>\n");
   printf ("</HTML>\n");
   exit   (0);
}
