
/*** CI_INSUF.   Caucus Install: complain, insufficient disk space to
/                create account.
/
/    ci_insuf (page, vars, freedisk, drivelet, mindisk);
/
/    Arguments:
/       int            page;
/       struct vars_t *vars;      (state variables)
/       int            freedisk;  (free space in KB)
/       char           drivelet;  (drive letter)
/       int            mindisk;   (minimum required disk)
/
/    Purpose:
/
/    How it works:
/
/    Exit status:
/
/    Known bugs:      none
/
/    Home:  xins/cinospace.c
/ */

/*** Copyright (C) 1999 Screen Porch LLC.  All rights reserved. */

/*: CR  2/20/99 13:36 New function. */

#include <stdio.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <windows.h>
#include <iostream.h>
#include "ins.h"

FUNCTION ci_insuf (int page, struct vars_t *vars, int freedisk, 
                   char drivelet, int mindisk)
{
   char  *valueof();

   htop   (page, "Insufficient Free Disk", "");

   printf ("<BLOCKQUOTE>\n");
   printf ("<B><FONT COLOR=RED>There is not enough free disk space "
           "on drive %c:\\.&nbsp;</FONT></B>\n", drivelet);

   printf ("There is currently %d meg free on drive %c:\\.&nbsp;\n",
            freedisk/1000, drivelet);
   printf ("Caucus requires at least %d meg of free space to install.\n",
            mindisk/1000);

   printf ("<P><FORM METHOD=POST ACTION=\"/cgi-bin/ins2.exe?%d\" "
           "NAME=activator>\n", page+1);
   hvars  (vars, "submit");

   printf ("<TABLE><TR>\n");
   printf ("<TD><INPUT TYPE=SUBMIT NAME=submit VALUE=\"Try Again\"></TD>\n");
   printf ("<TD>&nbsp;&nbsp;</TD>\n");
   printf ("<TD>Remove unneeded files from drive %c:, or select a "
           "different drive.</TD>\n", drivelet);
   printf ("<TR><TD>&nbsp;</TD>\n");
   printf ("<TR><TD><INPUT TYPE=SUBMIT NAME=submit VALUE=\"Abort\"></TD>\n");
   printf ("<TD>&nbsp;&nbsp;</TD>\n");
   printf ("<TD>Cancel Caucus installation.</TD>\n");
   printf ("</TABLE>\n");

   printf ("</FORM>\n");
   printf ("<P></BLOCKQUOTE></BODY>\n");
   printf ("</HTML>\n");
   exit   (0);
}
