
/*** CI_USEOLD.   Caucus Install: use an existing id.  Show list.
/
/    ci_useold (page, vars);
/
/    Arguments:
/       int            page;
/       struct vars_t *vars    (state variables)
/
/    Purpose:
/
/    How it works:
/
/    Exit status:
/
/    Known bugs:      none
/
/    Home:  xins/ciuseold.c
/ */

/*** Copyright (C) 1999 Screen Porch LLC.  All rights reserved. */

/*: CR  2/21/99 22:42 New function. */

#include <stdio.h>
#include "ins.h"

#define  MAXUSERS  10000

FUNCTION ci_useold (int page, struct vars_t *vars)
{
   char  *valueof();
   char  *strtoken();

   int    token, is_nt, ct;
   char   users[MAXUSERS];
   char   good [MAXUSERS];
   char   word [200], home[200];
   char   drives[80], drivelet;
   int    freesp[80];


   /*** Get the list of GOOD users, i.e. ones with homedirs that are
   /    on an NTFS drive. */
   good[0] = '\0';
   get_ntfs (drives, freesp);
   nt_users (users, MAXUSERS);
   for (token=1;   strtoken (word, token, users) != NULL;   ++token) {
      strlower  (word);
      if (streq (word, "administrator"))                continue;
      if (NOT nt_uinfo (word, "home directory", home))  continue;
      if (NOT home[0])                                  continue;

      drivelet = home[0];
      if (drivelet >= 'A'  &&  drivelet <= 'Z')  drivelet += ('a' - 'A');
      for (is_nt=ct=0;   drives[ct];   ++ct)
         if (drivelet == drives[ct])  is_nt = 1;

      if (NOT is_nt)  continue;
      strcat (good, word);
      strcat (good, " ");
   }

   /*** Show list of accounts (w homedirs on NTFS drives). */
   if (good[0]) {
      htop   (page, "Use an existing account", "");

      printf ("<BLOCKQUOTE>\n");
      printf ("<FORM METHOD=POST ACTION='/cgi-bin/ins2.exe?%d' NAME=useold>\n",
               page+1);
      printf ("Please select one of the accounts in the pull-down list.&nbsp;"
              " All of them have home directories on NTFS drives.\n");
   
      printf ("<TABLE>\n");
      printf ("<TR><TD COLSPAN=3>\n");
      printf ("<SELECT NAME=uid>\n");
      for (token=1;   strtoken (word, token, good) != NULL;   ++token) {
         printf ("   <OPTION>%s</OPTION>\n", word);
      }
      printf ("</SELECT></TD>\n");

      printf ("<TR><TD>&nbsp;</TD>\n");
      printf ("<TR><TD><INPUT TYPE=SUBMIT NAME=submit VALUE='Accept'></TD>\n");

      printf ("<TD>&nbsp;&nbsp;</TD>\n");
      printf ("<TD>Install Caucus in the NT account selected above.</TD>\n");
      printf ("<TR><TD>&nbsp;</TD>\n");
   }

   /*** Otherwise, complain. */
   else {
      htop (page, "No existing accounts", "");
      printf ("<P><BLOCKQUOTE>\n");
      printf ("There are no existing NT user accounts that have "
              "a home directory on an NTFS drive.\n");
      printf ("<FORM METHOD=POST ACTION='/cgi-bin/ins2.exe?%d' NAME=useold>\n",
                page+1);
      printf ("<P><TABLE>\n");
   }

   /*** Both forms end with "Back" and "Abort" options. */
   printf ("<TR><TD><INPUT TYPE=SUBMIT NAME=submit VALUE='Back'></TD>\n");
   printf ("<TD>&nbsp;&nbsp;</TD>\n");
   printf ("<TD>Go back to Caucus account selection.</TD>\n");

   printf ("<TR><TD>&nbsp;</TD>\n");
   printf ("<TR><TD><INPUT TYPE=SUBMIT NAME=submit VALUE='Abort'></TD>\n");
   printf ("<TD></TD>\n");
   printf ("<TD>Cancel Caucus installation.</TD>\n");
   printf ("</TABLE>\n");
   hvars  (vars, "submit");

   printf ("</FORM>\n");
   printf ("</BLOCKQUOTE>\n");
   printf ("</BODY></HTML>\n");

   exit   (0);
}
