
/*** CLEANTEMP.    Clean up the caucus installation temporary area.
/
/    Invoked as:
/       cleantemp.exe  procid  tempdir
/
/    Arguments:
/       procid     id number installation web server
/       tempdir    full pathname of caucus installation temporary directory
/
/    Purpose:
/       Cleanup after a Caucus installation, or after an abort.
/
/    How it works:
/       Terminates the installation web server process.
/       Deletes the entire caucus temp directory and all subdirs.
/
/    Exit status:
/
/    Known bugs:      none
/
/    Home:  xins/cleanup.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/11/98 17:45 1st version. */

#include <stdio.h>
#include <windows.h>
#include <iostream.h>
#include <time.h>
#include "ins.h"

FUNCTION main (int argc, char *argv[])
{
   HANDLE hChild;
   int    pid;
   char   tempdir[300], cleanup[400];
   char   comspec[300];
   char  *p;
   struct tm *tmnow;
   int        now, thour, tmin;

   if (argc < 2)  exit (1);

   /*** Make sure the scheduler is running. */
/*
   env_var (comspec, "ComSpec");
   sprintf (cleanup, "%s /c \"net start schedule\"", comspec);
   syslaunch (cleanup, 1, 0);
*/
   system ("net start schedule");

   /*** Wait for the CGI process that started us to complete. */
   mysleep (10);

   /*** Kill the web server, and wait for it to wrap-up. */
   sscanf (argv[1], "%d", &pid);
   hChild = OpenProcess (PROCESS_TERMINATE, FALSE, pid);
   TerminateProcess (hChild, 0);
   mysleep (15);

   /*** Get the current time, and add two minutes.  */
   now   = time(NULL);
   tmnow = localtime (&now);
   thour = tmnow->tm_hour;
   tmin  = tmnow->tm_min + 2;
   if (tmin > 59) { tmin = tmin - 60;   thour = (thour + 1) % 24; }

   /*** Schedule the TEMPDIR to be deleted then. */
   strcpy (tempdir, argv[2]);
   for (p=tempdir;   *p;   ++p)  if (*p=='/')  *p = '\\';
   sprintf (cleanup, "at %02d:%02d cmd /c \"rmdir %s /s /q\"",
            thour, tmin, tempdir);
   system  (cleanup);

   exit (0);
}

FUNCTION  mysleep (int n)
{
   int    t0;

   for (t0=time(NULL);   (1);   ) {
      Sleep (2000);
      if (time(NULL) - t0 >= n)  return (1);
   }
}
