
/*** QDECODE.   Decode query strings.
/
/    qdecode (plain, coded);
/
/    Parameters:
/       char   *plain;     (put decoded result here)
/       char   *coded;     (original encoded string)
/
/    Purpose:
/
/    How it works:
/
/    Returns: 1
/
/    Known bugs:      none
/
/    Home:  xins/qdecode.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/20/98 12:03 New function. */

#include <stdio.h>
#include "ins.h"
#define  UCHAR  unsigned char

FUNCTION  qdecode (char *plain, char *coded)
{
   static UCHAR dehex[256];
   static UCHAR first = 1;
   UCHAR       *in, *out, b0, b1;
   int          p;

   if (first) {
      first = 0;
      for (p= 0;    p< 256;   ++p)  dehex[p] = 0;
      for (p='a';   p<='f';   ++p)  dehex[p] = p - 'a' + 10;
      for (p='A';   p<='F';   ++p)  dehex[p] = p - 'A' + 10;
      for (p='0';   p<='9';   ++p)  dehex[p] = p - '0';
   }
  
   for (out=plain, in=coded;   *in;   ++in) {
      if (*in == '%') {
         b0 = *++in;
         b1 = *++in;
         *out++ = (16 * dehex[b0]) + dehex[b1];
      }
      else *out++ = *in;
   }

   return (1);
}
