
/*** QENCODE.   Encode query strings.
/
/    qencode (coded, original);
/
/    Parameters:
/       char   *coded;     (put encoded result here)
/       char   *original;  (string to be encoded)
/
/    Purpose:
/
/    How it works:
/
/    Returns: 1
/
/    Known bugs:      none
/
/    Home:  xins/qencode.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/20/98 12:03 New function. */

#include <stdio.h>
#include "ins.h"
#define  UCHAR  unsigned char

static UCHAR hexof[] = {'0', '1', '2', '3', '4', '5', '6', '7',
                        '8', '9', 'A', 'B', 'C', 'D', 'E', 'F' };

FUNCTION  qencode (char *coded, char *original)
{
   UCHAR *in, *out;

   for (out=coded, in=original;   *in;   ++in) {
      if (special_char (*in)) {
         *out++ = '%';
         *out++ = hexof[*in / 16];
         *out++ = hexof[*in % 16];
      }
      else *out++ = *in;
   }

   *out = '\0';
   return (1);
}


FUNCTION  special_char (UCHAR x)
{
   static UCHAR  first = 1;
   static UCHAR  special[256];
   UCHAR        *c;
   int           p;

   if (first) {
      first = 0;
      for (p=0;                             p<256;   ++p)  special[ p] = 0;
      for (c=";/?:@=&<>\"#%{}|\\^~[]` \t";  *c;      ++c)  special[*c] = 1;
   }

   return (special[x]);
}
