
/*** SHELL.  Run a program and get the output.
/
/    shell (result, resmax, command)
/ 
/    Parameters:
/       char  *result;    (place output of COMMAND here)
/       int    resmax;    (max size of RESULT)
/       char  *command;   (command to run)
/
/    Purpose:
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/ 
/    Known bugs:
/
/    Home:  xins/shell.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/25/98 10:28 New function, based on stripped-down funcshell(). */

#include "ins.h"
#include <stdio.h>
#include <stdlib.h>
#include <io.h>
#include <fcntl.h>
#include <process.h>
#include <windows.h>
#include <iostream.h>

#define  MAXTEMP  2048

FUNCTION  shell (char *result, int maxres, char *command)
{
   int    tube[2], got, child_pid, init;
   char   temp[MAXTEMP+2];

   STARTUPINFO          startup;
   PROCESS_INFORMATION  procinfo;
   BOOL                 success;
   HANDLE               rpipe, wpipe, in_bucket, out_bucket;
   SECURITY_ATTRIBUTES  sa;
   int                  xfer, lang;
   int                  pos;
   int                  wait4, lasterr;
   char                *prog;
   char                 cmdline[512], program[256];

   GetStartupInfo (&startup);
   startup.dwFlags = startup.dwFlags | STARTF_USESTDHANDLES;

   /*** Define a security attribute that allows inheritance. */
   sa.nLength = sizeof (SECURITY_ATTRIBUTES);
   sa.lpSecurityDescriptor = 0;
   sa.bInheritHandle       = TRUE;

   out_bucket = CreateFile ("NUL", GENERIC_WRITE, 0, &sa, OPEN_ALWAYS, 0, 0);
   in_bucket  = CreateFile ("NUL", GENERIC_READ,  0, &sa, OPEN_ALWAYS, 0, 0);
   if (in_bucket == INVALID_HANDLE_VALUE)  return (0);
   startup.hStdError = out_bucket;
   startup.hStdInput = in_bucket;

   CreatePipe (&rpipe, &wpipe, &sa, 0);
   startup.hStdOutput = wpipe;
  

   /*** Get the program name and command line. */
   strtoken    (program, 1, command);
/* nt_filename (program); */

   /*** Run it as a detached process, inheriting the changed stdout. */
   prog = (program[1]==':' ? program : NULL);
   success = CreateProcess (prog, command,
      0, 0, TRUE,
/*    DETACHED_PROCESS,  */
      CREATE_NEW_CONSOLE,
      0, /* environment */
      0, /* current directory */
      &startup,
      &procinfo);


   wait4 = WaitForSingleObject (procinfo.hProcess, INFINITE);

   /*** Read the output and store in RESULT. */
   result[0] = '\0';
   CloseHandle (wpipe);
   ReadFile (rpipe, result, maxres, &xfer, (LPOVERLAPPED) NULL);
   if (xfer >= 0)  result[xfer] = '\0';
   lasterr = GetLastError();
   CloseHandle (rpipe);

   CloseHandle (in_bucket);
   CloseHandle (out_bucket);

   return (1);
}
