
/*** SYSISDIR.  Is DIR a directory?
/
/    ok = sysisdir (dir);
/
/    Parameters:
/       int    ok;             (success?)
/       char  *dir;            (directory name)
/
/    Purpose:
/       Determine if DIR exists and is a directory.
/
/    How it works:
/       
/    Returns: 1 if DIR is a directory, 0 otherwise
/
/    Operating system dependencies: heavy
/
/    Known bugs:
/
/    Home:  sys1/sysisdir.c
/ */

/*** Copyright (C) 1997 Screen Porch LLC.  All rights reserved. */

/*: CR  6/16/97 17:00 New function. */

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include "ins.h"

FUNCTION  sysisdir (char *dir)
{
   struct _stat statbuf;

   if (_stat (dir, &statbuf) != 0)             return (0);
   if (NOT (statbuf.st_mode & _S_IFDIR))       return (0);
   return (1);
}
