
/*** SYSISFILE.  Is FILE a directory?
/
/    ok = sysisfile (file);
/
/    Parameters:
/       int    ok;             (success?)
/       char  *file;           (file name)
/
/    Purpose:
/       Determine if FILE exists and is a regular file.
/
/    How it works:
/       
/    Returns: 1 if FILE is a file, 0 otherwise
/
/    Operating system dependencies: heavy
/
/    Known bugs:
/
/    Home:  sys1/sysisfile.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR 11/30/98 17:00 New function. */

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include "ins.h"

FUNCTION  sysisfile (char *file)
{
   struct _stat statbuf;

   if (_stat (file, &statbuf) != 0)            return (0);
   if (NOT (statbuf.st_mode & _S_IFREG))       return (0);
   return (1);
}
