/*** SYSDATE.  Convert time in seconds to "dd-MMM-yy hh:mm". */

/*** Copyright (C) 1983 Camber-Roth.  All rights reserved.  */

/*: CR  1/24/93 12:03 1st carvmark */
/*: CR  2/24/93 13:02 Add U4 to SYSV code. */
/*: CR 12/08/94 14:53 Add LX. */
/*: CR  1/17/95  8:44 Add U5. */

#include <stdio.h>
#include "lice41.h"
#include "systype.h"
#include "int4.h"

#if SYSV | HPXA9 | BSD21 | LNX12 | NUT40 | WIN32 | FBS22
#include <time.h>
#endif

#if SUN41
#include <sys/time.h>
#endif

FUNCTION  sysdate (char *str, int4 seconds)
{
   struct tm *now;
   time_t     secs;
   static char *m[] = {"JAN", "FEB", "MAR", "APR", "MAY", "JUN",
                       "JUL", "AUG", "SEP", "OCT", "NOV", "DEC" };

   secs = seconds;
   now  = localtime (&secs);
   if (now == NULL)   strcpy (str, "DD-MMM-YY HH:MM");
   else {
      sprintf  (str, "%02d-%s-%2d %2d:%02d", now->tm_mday, m[now->tm_mon],
                      now->tm_year, now->tm_hour, now->tm_min);
   }
   return (1);
}
