
/*** CPASSWD.  Maintenance for CAUCUS login shell passwords & users. */

/*** Copyright (C) 1988 Camber-Roth.  All rights reserved.  */

/*: AA  7/29/88 17:59 Source code master starting point */
/*: CW  7/20/89 15:26 Add XW unit codes. */
/*: JV  2/23/90 05:00 Changed sysecho() to turn_echo(). */
/*: CR  4/09/90 17:43 Replace turn_echo() with systurn(). */
/*: CR  9/11/90 15:35 Use MAXPASS. */
/*: CJ 11/22/90 22:35 Use new form of systurn() call. */
/*: CJ 11/26/90 17:18 Add new OS_ECHO systurn() stuff. */
/*: CR  7/24/91 22:21 Remove unused variables. */
/*: CR  8/02/91 12:44 Add NOPUNCT as new last arg to modnames() call. */
/*: JV 12/16/91 16:45 Remove pdir def. */
/*: DE  6/08/92 15:53 Chixified */
/*: CP  5/06/92 12:41 Add L(0) as 'item' arg to modnames() call. */

#include "caucus.h"

extern struct termstate_t   term_in_caucus;
extern Chix                 confid, confname;
extern union  null_t        null;
extern short                confnum;

FUNCTION  cpasswd()
{
   struct namlist_t *add, *del, *nlnode();
   static Chix npwtab;
   Chix   com, name, name2, pw1, pw2, pw3, pwstr, id;
   short  choice, status, c, n1;
   int4   pass;
   int4   mycrypt();

   ENTRY ("cpasswd", "");

   com      = chxalloc (L(80), THIN, "cpasswd com");
   name     = chxalloc (L(30), THIN, "cpasswd name");
   name2    = chxalloc (L(30), THIN, "cpasswd name2");
   pw1      = chxalloc (L(MAXPASS+2), THIN, "cpasswd pw1");
   pw2      = chxalloc (L(MAXPASS+2), THIN, "cpasswd pw2");
   pw3      = chxalloc (L(MAXPASS+2), THIN, "cpasswd pw3");
   pwstr    = chxalloc (L(80), THIN, "cpasswd pwstr");
   id       = chxalloc (L(40), THIN, "cpasswd id");

   /*** Tell the user what's going on. */
   unit_write (XWTX, chxquick(NEWPAGE,0));
   mdwrite    (XWTX, "pas_Tintro", null.md);

   /*** Let the manager add or change multiple users. */
   mdtable ("pas_Acom", &npwtab);
   while (1) {

      choice = mdprompter ("pas_Pwhat", npwtab, 2, "pas_Hwhat", 10, com, 
               null.chx);

      if (choice <  0   ||  choice > 2)   break;

      /*** NEWUSER: create a new user id. */
      if (choice == 0)  while (1) {
         status = mdprompter ("pas_Pname", null.chx, 0, "pas_Hname", 20, name, 
                              null.chx);
      
         jixreduce (name);
         chxcpy    (name2, name);
         sysdfname (name2);

         if      (status <= -2)      break;
         else if (bad_name (name))   continue;
         else if (pwfind (name, &pass) > 0  ||  pwfind (name2, &pass) > 0) {
            mdwrite (XWTX, "log_Tinuse", null.md);
            continue;
         }

         /*** Get the password twice and make sure they match. */
         mdwrite (XWTX, "log_Tgetpass", null.md);
         systurn (&term_in_caucus, CAUCUS_ECHO + OS_ECHO, OFF);
         choice = mdprompter ("log_Pgetp1", null.chx, 0, "log_Hgetp1", MAXPASS,
                              pw1, null.chx);
         choice = mdprompter ("log_Pgetp2", null.chx, 0, "log_Hgetp2", MAXPASS,
                              pw2, null.chx);
         systurn (&term_in_caucus, CAUCUS_ECHO + OS_ECHO, ON);
         if (choice < -2)  break;
         if (NOT chxeq (pw1, pw2)) {
            mdwrite (XWTX, "log_Tnomatch", null.md);
            continue;
         }

         /*** Ok.  We've got a good password.  Add this person's login name
         /    and encrypted password to the system password file. */
         chxclear  (pwstr);
         chxformat (pwstr, CQ("%s %d"), mycrypt(pw1), L(0), name2, null.chx);
         add = nlnode(1);
         del = nlnode(1);
         nladd (add, pwstr, 0);
         modnames (XSPD, XSPN, null.chx, (int) confnum, L(0), add, del, NOPUNCT);
         nlfree (add);
         nlfree (del);
         break;
      }


      /*** CAUPASS: Change password of a user. */
      else if (choice == 1)  while (1) {

         /*** Find out NAME of user to be changed. */
         status = mdprompter ("pas_Pchgwho", null.chx, 0, "pas_Hchgwho", 20, 
                                                     name, null.chx);
         jixreduce (name);
         chxcpy    (name2, name);
         sysdfname (name2);

         /*** Make sure NAME is good and really exists. */
         if (status <= -2)   break;
         if (bad_name (name)  || ( (n1 = pwfind (name,  &pass)) == 0    && 
                                         pwfind (name2, &pass)  == 0) ) {
            mdwrite (XWTX, "pas_Enouser", null.md);
            continue;
         }

         /*** Get new password twice, and make sure they match. */
         systurn (&term_in_caucus, CAUCUS_ECHO + OS_ECHO, OFF);
         c = mdprompter ("chg_Pnewpass", null.chx, 0, "chg_Hnewpass", MAXPASS, 
                         pw2, null.chx);
         if (c < -2)
            { systurn (&term_in_caucus, CAUCUS_ECHO + OS_ECHO, ON);   break; }
         c = mdprompter ("chg_Pnewpass2", null.chx, 0, "chg_Hnewpass2", 
                         MAXPASS, pw3, null.chx);
         systurn (&term_in_caucus, CAUCUS_ECHO + OS_ECHO, ON);
         if (c < -2)                   break;
         unit_write (XWTX, CQ("\n"));
         if (NOT chxeq (pw2, pw3)) { 
            mdwrite (XWTX, "chg_Tnomatch", null.md);
            break;
         }
      
         /*** Replace user's old entry in password file. */
         chxcpy (id, n1 ? name : name2);
         pwfind (id, &pass);
         add = nlnode(1);
         del = nlnode(1);
         chxclear  (pwstr);
         chxformat (pwstr, CQ("%s %d"), pass, L(0), id, null.chx);
         nladd    (del, pwstr, 0);
         chxclear  (pwstr);
         chxformat (pwstr, CQ("%s %d"), mycrypt(pw2), L(0), id, null.chx);
         nladd    (add, pwstr, 0);
         modnames (XSPD, XSPN, null.chx, (int) confnum, L(0), add, del, NOPUNCT);
         nlfree   (add);
         nlfree   (del);
         mdwrite  (XWTX, "pas_Tchanged", null.md);
      }


      /*** MARK: Mark user as same as regular host operating system user. */
      if (choice == 2)  while (1) {
         status = mdprompter ("pas_Pmark", null.chx, 0, "pas_Hmark", 20, 
                              name, null.chx);
         jixreduce (name);
         chxcpy    (name2, name);
         sysdfname (name2);

         if (status <= -2)  break;
         if (bad_name (name)  ||  pwfind (name2, &pass) == 0) {
            mdwrite (XWTX, "pas_Enouser", null.md);
            continue;
         }

         /*** Change user's name to name of regular o.s. user. */
         pwfind (name2, &pass);
         add = nlnode(1);
         del = nlnode(1);
         chxclear  (pwstr);
         chxformat (pwstr, CQ("%s %d"), pass, L(0), name2, null.chx);
         nladd    (del, pwstr, 0);
         chxclear  (pwstr);
         chxformat (pwstr, CQ("%s %d"), pass, L(0), name, null.chx);
         nladd    (add, pwstr, 0);
         modnames (XSPD, XSPN, null.chx, (int) confnum, L(0), add, del, NOPUNCT);
         nlfree   (add);
         nlfree   (del);
         break;
      }
   }

   chxfree (com);
   chxfree (name);
   chxfree (name2);
   chxfree (pw1);
   chxfree (pw2);
   chxfree (pw3);
   chxfree (pwstr);
   chxfree (id);

   RETURN (1);
}
