
/*** NTFE.  Text-based front-end to Caucus/NT installation program.
/
/    Invoked as:
/       ntfe
/
/    Arguments:
/
/    Purpose:
/       Text-based interface to ask all the questions needed to
/       install Caucus on NT.
/
/    How it works:
/
/    Exit status: 
/
/    Error Conditions:
/  
/    Known bugs:
/
/    Home:  ntfe.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR  1/18/98 23:13 New program. */

#include <stdio.h>

#define   FUNCTION
#define   NOT    !

FUNCTION  main (int argc, char *argv[])
{
   void   pget();
   char   userid[100], homedir[256], service[100], hostname[256], 
          email[256], admin[100], temp[1024];

   printf ("\nWelcome to the Caucus installer for NT.\n");

   printf ("\nCaucus requires its own NT userid for proper security.\n"
           "This program will create the userid if needed.\n");
   pget   ("Userid for Caucus: ", userid, "caucus");

   printf ("\n\nThe %s userid must have its own home directory,\n"
           "such as 'C:\\%s'.\n", userid, userid);
   pget   ("What should that directory be? ", homedir, "");

   printf ("\n\nCaucus runs as an NT 'service', and must have a name.\n"
           "Typically, it is called 'caucus'.\n");
   pget   ("Name of service? ", service, "caucus");

   printf ("\n\nWhat is the World-Wide-Web hostname for your system?  Include\n"
           "the site name and port number, if needed.\n\n"
              "Examples: www.xyz.com\n"
              "          hal.state_univ.edu:8000\n\n");
   pget   ("WWW hostname? ", hostname, "");

   /*** Get the administrator information. */
   printf ("\n\nOne person should be in charge of administering Caucus on\n"
           "your system.  That person is given full Caucus management\n"
           "capabilities, and automatically receives problem notices\n"
           "via e-mail.\n\n");
   pget ("Caucus Administrator e-mail: ", email, "");
   pget ("Caucus Administrator userid (in Caucus): ", admin, "");

   sprintf (temp, "ntins2 %s %s %s %s %s %s", userid, homedir,
            service, hostname, email, admin);
/* system  (temp); */
   printf ("\n%s\n", temp);
   exit   (0);
}

/*---------------------------------------------------*/
FUNCTION  void pget (char *prompt, char answer[], char *def) {
   do {
      printf ("\n%s", prompt);
      if (def[0])  printf ("(%s) ", def);
      fflush (stdout);
      gets   (answer);
      if (NOT answer[0]  &&  def[0])  strcpy (answer, def);
   } while (NOT answer[0]);
   return;
}
