
/*** TOPCAU.   "Top" layer of Caucus/NT installation programs.
/
/    Invoked as:
/       pathname\topcau
/
/    Arguments:
/
/    Purpose:
/       "Top" layer (run as an InstallShield "Express Extension") of 
/       Caucus/NT installation program(s).
/
/    How it works:
/       A Caucus/NT kit is downloaded as compacted, self-extracting,
/       InstallShield 2 Express file.  When the user runs (double-clicks
/       on) that file, it goes through its own machinations to unpack
/       itself, and then it runs TOPCAU.
/
/       TOPCAU in turn figures out what directory *it* is in, and then
/       runs CaucusNT with that directory as an argument.
/
/       CaucusNT (visual basic program) puts up screens that ask the
/       user important information needed to install Caucus (caucus userid,
/       hostname, etc.).  It then in turn runs NTINST2 (C program), which
/       does the actual installation (create userid, create Caucus service,
/       unpack caucus tar file, etc.)
/
/       When CaucusNT finally exits, TOPCAU deletes the files that
/       were included in the original kit, as they serve no further
/       purpose.
/
/    Exit status: 
/
/    Error Conditions:
/  
/    Known bugs:
/
/    Home:  xnt/topcau.c
/ */

/*** Copyright (C) 1998 Screen Porch LLC.  All rights reserved. */

/*: CR  3/12/98 11:40 2nd major version */

#include <stdio.h>
#include <windows.h>
#include <iostream.h>

main (int argc, char *argv[])
{
   char  pathname[512], temp[512];
   char *s;

   strcpy (pathname, argv[0]);

   for (s=pathname;   *s;   ++s)   if (*s =='/')  *s = '\\';

   for (--s;   s != pathname;   --s)  if (*s == '\\')  break;
   *s = '\0';

   if (pathname[0])  strcat (pathname, "\\");
   sprintf (temp, "%sCaucusNT.exe 1%s", pathname, pathname);
   system  (temp);

   sprintf (temp, "%sCaucusNT.exe", pathname);
   _unlink (temp);
   sprintf (temp, "%sMSVBVM50.DLL", pathname);
   _unlink (temp);
   sprintf (temp, "%sntins2.exe",   pathname);
   _unlink (temp);
}
