
/*** MKHTML.  Make default caucus.html file.
/
/    mkhtml (file, hostname, userid)
/   
/    Parameters:
/       char   *file;     (where to put the result)
/       char   *hostname; (name of www host)
/       char   *userid;   (caucus userid)
/
/    Purpose:
/       Create a reasonable default caucus.html caucus entry point file.
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Known bugs:
/
/    Home:  mkhtml.c
/ */

/*** Copyright (C) 1997 Screen Porch LLC.  All rights reserved. */

/*: CR  7/21/97 15:37 New function. */

#include <stdio.h>
#include "chixuse.h"
#include "ntcaucus.h"

FUNCTION  mkhtml (char *file, char *hostname, char *userid)
{
   FILE  *fp;

   nt_mkfile  (file, 0755);
   fp = fopen (file, "wt");
   fprintf (fp, 
      "<HTML>\n"
      "\n"
      "<HEAD>\n"
      "<TITLE>Caucus Start Page</TITLE>\n"
      "</HEAD>\n"
      "\n"
      "<BODY BGCOLOR=\"#FFFFFF\">\n"
      "\n"
      "<TABLE WIDTH=100%% CELLSPACING=0 CELLPADDING=0 BGCOLOR=\"#FFFFFF\">\n");

   fprintf (fp, 
      "<TR>\n"
      "<TD VALIGN=bottom>\n"
      "   <H1>Start Page</H1>\n"
      "</TD>\n");

   fprintf (fp, 
      "<TD VALIGN=bottom ALIGN=right>\n"
      "   <A HREF=\"http://screenporch.com\"><IMG\n"
      "       SRC=\"http://%s/~%s/GIF40/lcaucus1.gif\" WIDTH=115 HEIGHT=50\n"
      "       ALT=\"Caucus\" BORDER=0></A>\n"
      "</TD>\n"
      "</TABLE>\n\n", hostname, userid);

   fprintf (fp, 
      "<P>\n"
      "&nbsp;Start here to use the Caucus conferencing system.\n"
      "\n"
      "<P>\n"
      "<UL>\n");
   fprintf (fp, 
      "<TABLE>\n"
      "<TR>\n"
      "<TD><B>First time at this page?</B></TD>\n"
      "<TD>&nbsp;&nbsp;&nbsp;</TD>\n"
      "\n"
      "<TD>Contact the Webmaster at this host for a userid.</TD>\n");
/*
      "<TD>You may \n"
      " <A HREF=\"http://$1/reg/swebsock/0/0/REG31/register.cml\">\n"
      "    self-register</A> a userid and password.</TD>\n"
      "\n"
*/
   fprintf (fp, 
      "<TR><TD>&nbsp;</TD>\n"
      "\n"
      "<TR>\n"
      "<TD><B>Already have a userid?</B></TD>\n"
      "<TD></TD>\n"
      "<TD>Go on to the\n"
      " <A\n"
      "  HREF=\"http://%s/sweb/swebsock.exe/0/0/SP40/center.cml?0+0+x+x+x+x+x+x\">\n"
      "     Caucus Center</A>.</TD>\n"
      "</TABLE>\n"
      "</UL>\n"
      "\n", hostname);
   fprintf (fp, 
      "<P>\n"
      "<HR>\n"
      "</BODY>\n"
      "</HTML>\n");
   fclose (fp);

   return (1);
}
