/*** CLTEST.   Test merge_clist().
/
/    Invoked as:
/       cltest   caucus_id
/
/    Arguments:
/       caucus_id    full pathname of directory containing Caucus database.
/
/    Purpose:
/
/    How it works:
/
/    Exit status:
/
/    Error Conditions:
/ 
/    Side effects:
/
/    Related functions:
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/cltest.c
/ */

/*** Copyright (C) 1995 Camber-Roth.  All rights reserved. */

/*: CR 10/16/95 14:29 New program. */

#include <stdio.h>
#include "chixuse.h"
#include "api.h"
#include "text.h"
#include "caucus.h"

#define P(x)  printf (x)

main (argc, argv)
   int    argc;
   char  *argv[];
{
   char     answer[20];
   int      cnum, ok;
   Initapi  init, a_mak_init();
   Clist    al, bl, this;
   Person   person;
   Chix     userid;

   if (argc < 2) {
      printf ("usage:  cltest  caucus_dir\n");
      exit   (1);
   }

   userid = chxalloc (L(20), THIN, "picus userid");

   /*** Initialize the API. */
   init = a_mak_init("picus init");
   chxcpy (init->confid, chxquick(argv[1], 0));
   a_init (init);
   chx_init (ASCII);

   person = a_mak_person("picus person");

   if (parse_attach_map (CQ("attach_map")) < 0) {
      printf ("Couldn't parse attach_map.\n");
      exit   (1);
   }

   /*** If a first-time user, register user. */
   sysuserid (userid);
   chxcpy (person->owner, userid);
   ok = a_get_person (person, P_EVERY, A_WAIT);
   switch (ok) {
      case A_OK:       break;
      case A_NOPERSON: zregister ();  break;
      case A_BADARG:   printf ("Bug in picus: arg to a_get_person.\n"); break;
      case A_DBERR:    printf ("Caucus DB error: a_get_person.\n"); break;
      default:         printf ("Unknown problem in picus.\n"); break;
   }

   /*** Allocate a conference list. */
   al = a_mak_clist("al");

   /*** Conference loop. */
   while (1) {
      bl = a_mak_clist("bl");
      printf ("\n: ");   fflush (stdout);
      gets (answer);
      if (answer[0] == '\0')  break;
      chxcpy (bl->lname, CQ(answer));
      a_get_clist (bl, P_EVERY, A_WAIT);
      merge_clist (al, bl);
      a_fre_clist (bl);

      printf ("---Conferences------\n");
      for (this=al->next;   this!=NULL;   this=this->next) {
         printf ("%2d  %s\n", this->cnum, ascquick(this->lname));
      }
      printf ("--------------------\n");
   }

   a_exit();
   a_fre_clist (al);
   a_fre_init  (init);
   exit (0);
}
