/*** ZADDRESP.   Add an item or response.
/
/    zaddresp (cnum, isresp);
/
/    Parameters:
/       int       cnum;     (conference num)
/       int       isresp;   (1=>resp, 0=>item)
/
/    Purpose:
/       Add an item or a response to this conference.  Ask user for
/       everything.
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  picus
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/zaddresp.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: CR 12/04/92 17:12 New function. */
/*: CR 12/07/92 10:39 Use L('\n') in chxcatval(). */
/*: JV  6/03/93 11:43 Use P_RESP instead of P_EVERY. */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  zaddresp (cnum, isresp)
   int    cnum, isresp;
{
   char   answer[100];
   int    item, ok;
   Resp   resp;

   resp = a_mak_resp("zaddresp resp");
   resp->cnum = cnum;

   if (isresp) {
      printf ("Which Item? ");
      gets   (answer);
      sscanf (answer, "%d", &item);
      resp->inum = item;
   }
   else {
      printf ("Enter title: ");
      gets   (answer);
      chxcpy (resp->title, CQ(answer));
      resp->inum = -1;
   }

   chxcpy    (resp->author, CQ("Chortles Wrath"));
   sysuserid (resp->owner);

   printf ("Enter text.  '.' by itself ends.\n");
   while (1) {
      gets (answer);
      if (answer[0]=='.')  break;
      chxcat    (resp->text->data, CQ(answer));
      chxcatval (resp->text->data, THIN, L('\n'));
   }

   ok = a_add_resp (resp, P_RESP, A_WAIT);
   if (ok != A_OK)  printf ("error code=%d\n", ok);

   a_fre_resp (resp);
   return (1);
}
