/*** ZCHGPER.   Change info about user.
/
/    zchgper (which);
/
/    Parameters:
/       int which;   // Which field: name(=0), phone(=1), intro(=2) //
/
/    Purpose:
/       Change personal registration info about user.
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  picus
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/zchgper.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: JV 12/04/92 10:32 New function. */
/*: JV 12/07/92 15:36 Chix Fix. */
/*: CR  2/22/93 23:02 Change values of WHICH. */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  zchgper (which)
   int which;
{
   int  ok, success, i;
   int4   mask;
   char answer[40];
   Person person;
   Chix   userid, temp;

   userid = chxalloc (L(20), THIN, "zchgper userid");
   temp   = chxalloc (L(20), THIN, "zchgper temp");
   sysuserid (userid);

   person = a_mak_person("zchgper person");
   chxcpy (person->owner, userid);

   /*** Get the appropriate info. */
   switch (which) { 
      case 0:  mask = P_NAME | P_LASTNM;
               printf ("What would you like your name to be? ");
               gets   (answer);
               chxcpy (person->name, CQ(answer));
               for (i=1;   chxtoken (temp, nullchix, i, person->name) != -1; 
                    ++i)   chxcpy (person->lastname, temp); 
               jixreduce (person->lastname);
               break;

      case 1:  mask = P_PHONE;
               printf ("What is your phone number? ");
               gets   (answer);
               chxcpy (person->phone, CQ(answer));
               break;

      case 2:  mask = P_TEXT;
               printf ("\nEnter a new brief introduction.\n");
               printf ("To end, press <RETURN> at the beginning of a line.\n");
               chxclear (person->intro->data);
               while (printf (">"), gets (answer), strlen (answer) != 0) {
                  chxcat (person->intro->data, CQ(answer));
                  chxcat (person->intro->data, CQ("\n"));
                  person->intro->lines++;
               }
               break;

      default: printf ("Bug in picus: zchgper arg = %d.\n", which);
               return (0);
   }

   ok = a_chg_person (person, mask, A_WAIT);
   if (ok != A_OK) {
      printf ("a_chg_person failed, code=%d\n", ok);
      DONE   (ok);
   }

   DONE (A_OK);

done:
   chxfree (userid);
   a_fre_person (person);
   return (success);
}
