/*** ZCHGRESP.   Change an item or response.
/
/    zchgresp (cnum, isresp);
/
/    Parameters:
/       int       cnum;     (conference num)
/       int       isresp;   (1=>resp, 0=>item)
/
/    Purpose:
/       Add an item or a response to this conference.  Ask user for
/       everything.
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  picus
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/zchgresp.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: CR 12/06/92 23:57 New function. */
/*: CR 12/07/92 10:40 Use L('\n') in chxcatval(). */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  zchgresp (cnum, isresp)
   int    cnum, isresp;
{
   char   answer[100];
   int    inum, rnum, ok;
   Resp   resp;

   resp = a_mak_resp("zchgresp resp");
   resp->cnum = cnum;

   if (isresp) {
      printf ("Enter item (blank) response #s: ");
      gets   (answer);
      sscanf (answer, "%d %d", &inum, &rnum);
      resp->inum = inum;
      resp->rnum = rnum;
   }
   else {
      printf ("Enter item #s: ");
      gets   (answer);
      sscanf (answer, "%d", &inum);
      resp->inum = inum;
      resp->rnum = 0;
   }

   printf ("Enter replacement text.  '.' by itself ends.\n");
   while (1) {
      gets (answer);
      if (answer[0]=='.')  break;
      chxcat    (resp->text->data, CQ(answer));
      chxcatval (resp->text->data, THIN, L('\n'));
   }

   ok = a_chg_resp (resp, P_TEXT, A_WAIT);
   if (ok != A_OK)  printf ("error code=%d\n", ok);

   a_fre_resp (resp);
   return (1);
}
