/*** ZCHGSET.   Change current user's SETtings.
/
/    zchgset();
/
/    Parameters:
/
/    Purpose:
/       Change one of this user's settings.
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  picus
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/zchgset.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: CR 12/13/92 12:30 New function. */
/*: CK  3/01/93 16:54 Zero must be int4. */
/*: JV  5/03/93 12:50 Make zero int4 for chxvalue. */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */
/*: JZ 10/18/93 10:38 Remove dust bunnies. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  zchgset()
{
   Person me;
   int    ok, n_value, which;
   int4   zero;
   Chix   t_value;
   char   answer[40];

   t_value = chxalloc (L(30), THIN, "zchgset t_value");
   me      = a_mak_person("zchgset me");
   sysuserid (me->owner);

   ok = a_get_person (me, P_SETTING, A_WAIT);
   if (ok != A_OK)  goto done;

   printf ("Which option: ");
   gets   (answer);
   sscanf (answer, "%d", &which);

   printf ("New value: ");
   gets   (answer);
   chxcpy (t_value, CQ(answer));
   zero = L(0);
   n_value = chxint4 (t_value, &zero);

   chg_setting (me->setopts, which, t_value, n_value);
   ok = a_chg_person (me, P_SETTING, A_WAIT);
   if (ok != A_OK)  printf ("zchgset: a_chg_person: %d\n", ok);

done:
   a_fre_person (me);
   chxfree (t_value);
   return;
}
