/*** ZCUSPORG.   Change Primary Organizer id.
/
/    zcusporg (cnum);
/
/    Parameters:
/       int       cnum;     (conference num)
/
/    Purpose:
/       Request the userid@chn of the new primary organizer.
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  picus
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/zcusporg.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: CR 11/27/92 18:25 New function. */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  zcusporg (cnum)
   int    cnum;
{
   Conf   conf;
   int    ok;
   char   answer[40];

   if (cnum < 0)  return;

   printf ("userid@chn of new organizer: ");
   gets   (answer);

   conf = a_mak_conf("zcusporg conf");
   conf->cnum = cnum;
   chxcpy (conf->owner, CQ(answer));

   ok = a_chg_conf (conf, P_OWNER, A_WAIT);
   printf ("%s\n", (ok==A_OK ? "Succeeded." : "Failed"));

done:
   a_fre_conf (conf);
   return;
}
