/*** ZDELSUBJ.   Delete a subject.
/
/    zdelsubj (cnum, name, id);
/
/    Parameters:
/       int       cnum;     (conference num)
/       char     *name;     (subject name)
/       Chix      id;       (psubject owner id)
/
/    Purpose:
/       Delete a subject in this conference.
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  picus
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/zdelsub.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: CR  2/23/93 23:48 New function. */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  zdelsubj (cnum, name, id)
   int    cnum;
   char  *name;
   Chix   id;
{
   Subj   subj;
   int    ok, success;

   if (cnum < 0)  return(0);

   subj  = a_mak_subj("zdelsubj subj");

   chxcpy   (subj->namepart, CQ(name));
   chxcpy   (subj->owner, id);
   subj->cnum = cnum;

   ok = a_del_subj (subj, P_EVERY, A_WAIT);
   if (ok != A_OK) {
      printf ("error code=%d\n", ok);
      FAIL;
   }
   SUCCEED;

done:
   a_fre_subj  (subj);
   return (success);
}
