/*** ZFORGET.   Forget an item in this conference.
/
/    zforget (cnum);
/
/    Parameters:
/       int       cnum;     (this conference)
/
/    Purpose:
/       Prompt user for an item number, then forget that item.
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  picus
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/zforget.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: CR 12/10/92 21:10 New function. */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  zforget (cnum)
   int    cnum;
{
   Pstat  pstat;
   char   answer[40];
   int    item, ok;

   printf ("Forget which item: ");
   gets   (answer);
   sscanf (answer, "%d", &item);

   pstat = a_mak_pstat("zforget pstat");
   pstat->cnum = cnum;
   sysuserid (pstat->owner);
   ok = a_get_pstat (pstat, P_EVERY, A_WAIT);
   if (ok != A_OK)
      printf ("Zforget: a_get_pstat failed: %d\n", ok);

   else if (item <= pstat->items) {
      pstat->resps[item] = -2;
      ok = a_chg_pstat (pstat, P_EVERY, A_WAIT);
      if (ok != A_OK)  printf ("Zforget: a_chg_pstat failed: %d\n", ok);
   }

done:
   a_fre_pstat (pstat);
}
