/*** ZJOIN.   Prompt user for conference name, return conference number.
/
/    cnum = zjoin (clist, answer);
/
/    Parameters:
/       int       cnum;     (returned conf num)
/       Clist     clist;    (list of available conferences)
/       char     *answer;   (what the user typed)
/
/    Purpose:
/       Prompt user for conference name, return conference number.
/
/    How it works:
/
/    Returns: conference number, or -1.
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  picus
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/zjoin.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: CR 11/19/92 19:36 New function. */
/*: CR 12/10/92 20:20 Add membership checking/joining. */
/*: CR  2/22/93 22:00 Add answer arg. */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  zjoin (clist, answer)
   Clist  clist;
   char   answer[];
{
   Clist  this, scan_clist();
   Pstat  pstat;
   Chix   name;
   int    ok;

   printf ("Enter name of conference, or 0 to exit: ");
   gets (answer);

   name = chxalloc (L(20), THIN, "zjoin name");
   chxcpy (name, CQ(answer));
   jixreduce (name);

   this = scan_clist (clist, name);

   chxfree (name);

   if (this == (Clist) NULL)  return (-1);

   /*** If not a member of this conference, officially join it. */
   pstat = a_mak_pstat("zjoin pstat");
   pstat->cnum = this->cnum;
   sysuserid (pstat->owner);
   ok = a_get_pstat (pstat, P_EVERY, A_WAIT);
   if (ok == A_NOTMEMBR)   ok = a_add_pstat (pstat, P_EVERY, A_WAIT);
   if (ok != A_OK)         printf ("pstat function returned %d.\n", ok);

   a_fre_pstat (pstat);
   
   return (this->cnum);
}
