/*** ZLAB.   List All items Brief in this conference.
/
/    zlab (cnum);
/
/    Parameters:
/       int       cnum;     (conference num)
/
/    Purpose:
/       Display the item number, #resps, and title for each item.
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  picus
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/zlab.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: CR 12/07/92  0:25 New function. */
/*: CR  1/21/93 18:00 Put quotes around title. */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  zlab (cnum)
   int    cnum;
{
   Cstat  cstat;
   Resp   resp;
   int    ok, i;
   char   temp[200];

   if (cnum < 0)  return;

   cstat = a_mak_cstat("zlab cstat");
   resp  = a_mak_resp ("zlab resp");

   cstat->cnum = resp->cnum = cnum;
   ok = a_get_cstat (cstat, P_EVERY, A_WAIT);
   if (ok != A_OK)  goto done;

   for (i=1;   i<=cstat->items;   ++i) {
      if (cstat->resps[i] < 0)  continue;
      resp->inum = i;
      resp->rnum = 0;
      ok = a_get_resp (resp, P_TITLE, A_WAIT);
      if (ok != A_OK)  continue;
      sprintf (temp, "%2d (%3d) '%s'", i, cstat->resps[i], 
                ascquick(resp->title));
      temp[79] = '\0';
      printf ("%s\n", temp);
   }

done:
   a_fre_cstat (cstat);
   a_fre_resp (resp);
   return;
}
