/*** ZLAP.   List People (intra- or inter-conf) by name part or ALL.
/
/    zlap (cnum);
/
/    Parameters:
/       int       cnum;     (conference num)
/
/    Purpose:
/       List (one per line) full names of people who match one or both of:
/       * They are in conf CNUM
/       * Their name includes a certain initial (?) substring
/
/    How it works:
/       CNUM == 0 means inter-conf, otherwise just look for members
/       of conf CNUM.
/
/    Returns:
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  picus
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/zlap.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: JV 12/14/92 16:17 New function. */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */

#include <stdio.h>
#include "chixuse.h"
#include "api.h"
#include "null.h"

extern union null_t null;

FUNCTION  zlap (cnum)
   int    cnum;
{
   char     namepart[80];
   People   people;
   Person   person;
   Namelist p;

   if (cnum < 0)  return;

   people = a_mak_people("zlap people");
   person = a_mak_person("zlap person");

   people->cnum = cnum;

   printf ("Enter namepart or <RETURN> for ALL: ");
   gets   (namepart);
   chxofascii   (people->namepart, namepart);

   if (a_get_people (people, P_EVERY, A_WAIT) != A_OK) goto done;

   for (p = people->ids->next; p != null.nl; p = p->next) {
      chxcpy (person->owner, p->str);
      if (a_get_person (person, P_NAME, A_WAIT) == A_OK) 
         printf ("%s\n", ascquick (person->name));
   }

done:
   a_fre_person (person);
   a_fre_people (people);
   return;
}
