/*** ZLISTBY.   List items by... title, author, subject.
/
/    zlistby (cnum, name, kind, id);
/
/    Parameters:
/       int       cnum;     (conference num)
/       char     *name;     (name of...)
/       int4      kind;     (list by what property?)
/       Chix      id;       (psubject owner)
/
/    Purpose:
/       List items that match NAME according to property KIND.
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  picus
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/zlistby.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: CR  2/23/93 23:48 New function. */
/*: CK  3/01/93 16:46 return success. */
/*: CN  5/18/93 21:13 Extend for P_AND testing. */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  zlistby (cnum, name, kind, id)
   int    cnum;
   char  *name;
   int4   kind;
   Chix   id;
{
   static Namex  namex = NULL;
   Resp   resp;
   Rlist  rthis;
   int    ok, item, success;
   char   temp[200];

   if (cnum < 0)  return(0);

   if (namex == NULL) namex = a_mak_namex("zlistby namex");
   resp  = a_mak_resp("zlistby resp");
   chxcpy (namex->namepart, CQ(name));
   chxcpy (namex->owner, id);
   namex->cnum = cnum;

   ok = a_get_namex (namex, kind, A_WAIT);
   if (ok != A_OK) {
      printf ("error code=%d\n", ok);
      FAIL;
   }

   resp->cnum = cnum;
   for (rthis=namex->rlist->next;   rthis!=(Rlist) NULL;   rthis=rthis->next) {
      for (item=rthis->i0;   item<=rthis->i1;   ++item) {
         resp->inum = item;
         resp->rnum = 0;
         ok = a_get_resp (resp, P_TITLE, A_WAIT);
         if (ok != A_OK)  continue;
         sprintf (temp, "%2d %2d %2d '%s'", item, rthis->r0, rthis->r1, 
                         ascquick(resp->title));
         temp[79] = '\0';
         printf ("%s\n", temp);
      }
   }
   SUCCEED;
   
done:
   a_fre_resp  (resp);
   return (success);
}
