/*** ZLISTSUBJ.   List subjects by name.
/
/    zlistsubj (cnum, name, id);
/
/    Parameters:
/       int       cnum;     (conference num)
/       char     *name;     (subject name)
/       Chix      id;       (psubject owner)
/
/    Purpose:
/       Display all subjects in conference CNUM that match NAME. 
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  picus
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/zlistsub.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: CR  2/22/93 23:48 New function. */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  zlistsubj (cnum, name, id)
   int    cnum;
   char  *name;
   Chix   id;
{
   Namelist this;
   Subj   subj;
   int    ok, success;

   if (cnum < 0)  return(0);

   subj  = a_mak_subj("zlistsub subj");

   chxcpy   (subj->namepart, CQ(name));
   chxcpy   (subj->owner, id);
   subj->cnum = cnum;

   ok = a_get_subj (subj, P_EVERY, A_WAIT);
   if (ok != A_OK) {
      printf ("error code=%d\n", ok);
      FAIL;
   }

   for (this=subj->names->next;   this!=(Namelist) NULL;  this=this->next) {
      printf ("  %s\n", ascquick(this->str));
   }
   SUCCEED;

done:
   a_fre_subj  (subj);
   return (success);
}
