/*** ZSHOWCONF.   Display all information about conference CNUM.
/
/    zshowconf (cnum);
/
/    Parameters:
/       int       cnum;     (conference num)
/
/    Purpose:
/       Display all information about conference CNUM.
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  picus
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/zshowcon.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: CR 11/19/92 19:36 New function. */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */
/*: JZ  9/28/93 16:44 Add file library flag. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  zshowconf (cnum)
   int    cnum;
{
   Conf   conf;
   int    ok;

   if (cnum < 0)  return;

   conf = a_mak_conf("zshowcon conf");

   conf->cnum = cnum;
   ok = a_get_conf (conf, P_EVERY, A_WAIT);
   if (ok != A_OK)  goto done;

   printf ("%-20s cnum=%3d, chg=%d, add=%d, vis=%d, lib=%d, sub=%d\n", 
           ascquick (conf->lname), cnum, conf->change, conf->add,
           conf->visible, conf->library, conf->subject);
   printf ("  organizer=%s\n", ascquick (conf->owner));
   
   zshowchix ("Introduction", conf->intro->data);
   zshowchix ("Greeting",     conf->greet->data);
   zshowchix ("Userlist",     conf->userlist->data);

done:
   a_fre_conf (conf);
   return;
}
