/*** ZSHOWPER.   Display info about a person.
/
/    zshowper ();
/
/    Parameters:
/
/    Purpose:
/       Display information about a person based on their userid
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  picus
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/zshowper.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: JV 12/03/92 14:02 New function. */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */
/*: JZ 10/18/93 10:40 Remove dust bunnies. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  zshowper ()
{
   int  ok, success;
   char answer[40];
   Person person;
   Chix   name;

   printf ("Enter userid of person: ");
   gets (answer);

   name = chxalloc (L(20), THIN, "zshowper name");
   chxcpy (name, CQ(answer));
   jixreduce (name);   

   person = a_mak_person("zshowper person");
   chxcpy (person->owner, name);
   ok = a_get_person (person, P_EVERY, A_WAIT);
   if (ok != A_OK) {
      printf ("a_get_person failed, code=%d\n", ok);
      DONE   (ok);
   }

   /*** Display info */
   printf ("Userid:    %s\n", ascquick (person->owner));
   printf ("Last Name: %s\n", ascquick (person->lastname));
   printf ("Full Name: %s\n", ascquick (person->name));
   printf ("Phone:     %s\n", ascquick (person->phone));
   printf ("Intro:\n%s\n",    ascquick (person->intro->data));
   printf ("Settings:  %s\n", ascquick (person->setopts));
   printf ("Last on:  %s\n",  ascquick (person->laston));

   DONE (A_OK);

done:
   chxfree (name);
   a_fre_person (person);
   return (success);
}
