/*** ZSHOWRESP.   Display a selected response. 
/
/    zshowresp (cnum);
/
/    Parameters:
/       int       cnum;     (conference num)
/
/    Purpose:
/       Ask the user for an item & response number.  Display that response.
/
/    How it works:
/
/    Returns:
/
/    Error Conditions:
/  
/    Side effects: 
/
/    Related functions:
/
/    Called by:  picus
/
/    Operating system dependencies:
/
/    Known bugs:
/
/    Home:  zpicus/zshowresp.c
/ */

/*** Copyright (C) 1992 Camber-Roth.  All rights reserved. */

/*: CR 12/04/92 15:48 New function. */
/*: CR 12/11/92 13:16 Chxnextl last arg is int4 *. */
/*: CR  1/21/93 18:03 Show title, too. */
/*: JV  6/01/93 10:13 Default item, r0 and r1, add sanity checking. */
/*: JV  6/01/93 10:24 Add indication of attachment. */
/*: CP  8/01/93 10:50 Add a_mak...() name arg. */

#include <stdio.h>
#include "caucus.h"
#include "chixuse.h"
#include "api.h"

FUNCTION  zshowresp (cnum)
   int    cnum;
{
   char   answer[40], att_name[80];
   int    item=0, r0=0, r1=0, ok;
   int4   pos;
   Resp   resp;
   Chix   line;

   printf ("Enter item#, 1st resp #, last resp #, separated by blanks.\n:");
   gets   (answer);
   sscanf (answer, "%d %d %d", &item, &r0, &r1);
   if (r1==0 || r1<r0) r1 = r0;

   line = chxalloc (L(100), THIN, "zshowresp line");
   resp = a_mak_resp("zshowres resp");
   resp->cnum = cnum;
   resp->inum = item;

   for (resp->rnum=r0;   resp->rnum<=r1;   ++resp->rnum) {
      ok = a_get_resp (resp, P_EVERY, A_WAIT);
      if (ok != A_OK)  break;

      att_name[0] = '\0';
      if (resp->attach->size) strcpy (att_name, ascquick (resp->attach->name));
      printf ("%d:%d) %-40s %-30s\n", item, resp->rnum, ascquick(resp->author),
                                      att_name);
      if (resp->rnum == 0) printf (" '%s'\n", ascquick(resp->title));
      for (pos=0;   chxnextline (line, resp->text->data, &pos); )
         printf (" %s\n", ascquick (line));

      printf ("- - - - - -\n");
   }
   if (ok != A_OK)
      printf ("error code %d on %d:%d.\n", ok, item, resp->rnum);

   a_fre_resp (resp);
   chxfree    (line);
   return (1);
}
