#!/bin/sh
#
#---EXTEND.  Extend an evaluation copy of Caucus for another 30 days.
#
#   Invoked as:
#      ./extend
#
#   Purpose:
#      Provide the potential Caucus customer a simple way to extend
#      their evaluation copy for another 30 days.
#
#   How it works:
#      Builds a set of license codes that depend on today's date,
#      and then runs 'lice4' to write the new license block,
#      in both swebd and caucus_x.
#
#      Must be run from the main Caucus directory!!
#
#   History of revisions:
#: CR  5/15/97 14:49 New script, based on 'relicense'.
#: CR  3/08/98  1:51 Caucus 4.0 version.
#----------------------------------------------------------------------------

#---If Caucus is not installed in the same directory as this file,
#   change CHOME to be the full pathname of the Caucus directory.
CHOME=".";   export CHOME

echo
echo "              Caucus Evaluation Period Extension"
echo "              ----------------------------------"
echo
echo "If you have an evaluation copy of Caucus, you can use this script"
echo "to extend your evaluation period for another 30 days."
echo
echo "First, contact Screen Porch at 703 243 3001 (or sales@screenporch.com)"
echo "to obtain permission and a password to extend your evaluation."
echo
echo "Now, enter the password supplied by Screen Porch.  (Or just press"
echo "RETURN or ENTER to skip this for now.)"
read  password
if test "x$password" = "x"; then
   exit
fi

ship=`date +%Y`
this=`date +%j`
quote="'"
success=0

rm -f      $CHOME/BIN2/caucus_xtd
cp         $CHOME/BIN2/caucus_x             $CHOME/BIN2/caucus_xtd
chmod  700 $CHOME/BIN2/caucus_xtd
for sub in 0 1 2 3 4; do
   code=`echo $this + 100 - $sub | bc`
   result=`eval $CHOME/BIN2/lice4 \
           $CHOME/BIN2/caucus_xtd $quote$password$quote $ship $code -e 30 -f 5`
   if echo $result | grep -i "incorrect" >/dev/null; then
      :
   else
      success=1
      break
   fi
done
if test "$success" = "0"; then
   echo
   echo "The extension failed.  Please try again, and make sure to"
   echo "enter the password correctly.  Note that upper and lower case"
   echo "letters are treated differently."
   echo
   exit
fi
mv $CHOME/BIN2/caucus_x   $CHOME/BIN2/caucus_x.$ship$code
mv $CHOME/BIN2/caucus_xtd $CHOME/BIN2/caucus_x
chmod 4711 $CHOME/BIN2/caucus_x

rm -f      $CHOME/SWEB/swebd.$ship$code
mv         $CHOME/SWEB/swebd             $CHOME/SWEB/swebd.$ship$code
cp         $CHOME/SWEB/swebd.$ship$code  $CHOME/SWEB/swebd
chmod  700 $CHOME/SWEB/swebd
eval $CHOME/BIN2/lice4 \
           $CHOME/SWEB/swebd $quote$password$quote $ship $code -e 30 -f 5 \
                \>/dev/null
eval $CHOME/BIN2/lice4 \
           $CHOME/SWEB/swebs $quote$password$quote $ship $code -e 30 -f 5 \
                \>/dev/null
eval $CHOME/BIN2/lice4 \
           $CHOME/SWEB/sweba $quote$password$quote $ship $code -e 30 -f 5 \
                \>/dev/null
chmod 4711 $CHOME/SWEB/swebd $CHOME/SWEB/swebs $CHOME/SWEB/sweba

echo
if cmp $CHOME/SWEB/swebd $CHOME/SWEB/swebd.$ship$code >/dev/null; then
   echo "The extension failed.  Please try again, and make sure to"
   echo "enter the password correctly.  Note that upper and lower case"
   echo "letters are treated differently."
else
   expires=`$CHOME/BIN2/caucus_x | grep "Expire" | (read a b c d; echo $c $d)`
   echo "The extension succeeded.  Your evaluation copy of Caucus"
   echo "now expires on $expires."
fi
echo
#----------------------------------------------------------------------------
