echo off

REM ---ARCHIVER.   Archive a conference.
REM 
REM    Invoked as:
REM       archiver   confid  cnum   cname  clib  caucus
REM 
REM    Arguments:
REM       confid     full pathname of Caucus home directory.
REM       cnum       conference number
REM       cname      conference name
REM       clib       full pathname of library directory
REM       caucus     caucus userid
REM 
REM    Purpose:
REM       Archive a compressed copy of conference CNUM.
REM 
REM    How it works:
REM      
REM    Returns (writes to stdout):
REM       0  on success
REM       1  on bad arguments
REM       2  cnum does not exist.
REM       3  archive cname already exists
REM 
REM    History of revisions:
REM : CR 10/25/97 12:18 New script.
REM -------------------------------------------------------------------------

IF NOT "x%4"=="x" goto testdir
   echo 1
   exit

:testdir
IF EXIST %1\C%2 goto testarch
   echo 2
   exit

:testarch
IF NOT EXIST %1\ARCHIVE\%3 goto make1
   echo 3
   exit

:make1
IF NOT EXIST %4 goto make2
   cd %4
   pax -w -f ../%3.t .
   move ..\%3.t %1\C%2\LIBRARY.T >nul:

:make2
cd %1\C%2
pax -w -f ../%3.t .
del  LIBRARY.T             2>nul:
move ..\%3.t %1\ARCHIVE\%3  >nul:
compact /c   %1\ARCHIVE\%3  >nul:
cacls        %1\ARCHIVE\%3 /e /g %5:f             >nul:
cacls        %1\ARCHIVE\%3 /e /g administrators:f >nul:
cacls        %1\ARCHIVE\%3 /e /r everyone         >nul:

echo 0
