echo off

REM ---UNARCHIVER.   Restore a conference from an archive.
REM 
REM    Invoked as:
REM       unarchiver   confid  cnum   aname  clib  caucus
REM 
REM    Arguments:
REM       confid     full pathname of Caucus home directory.
REM       cnum       conference number
REM       aname      archive name
REM       clib       library directory
REM       caucus     Caucus userid
REM 
REM    Purpose:
REM 
REM    How it works:
REM      
REM    Returns (writes to stdout):
REM       0  on success
REM       1  on bad arguments
REM       2  cnum does not exist
REM       3  archive aname does not exist
REM 
REM    History of revisions:
REM : CR 10/27/97 12:18 New script.
REM ----------------------------------------------------------------------------

IF NOT "x%4"=="x" goto testdir
   echo 1
   exit

:testdir
IF EXIST %1\C%2 goto testarch
   echo 2
   exit

:testarch
IF EXIST %1\ARCHIVE\%3 goto unarch1
   echo 3
   exit


:unarch1

cd %1\C%2
rename trueconf trueconf.bak
copy %1\ARCHIVE\%3 archive.t >nul:
pax  -r  -o     -f archive.t
del                archive.t
cacls *.* /t /e /r everyone >nul:
cacls *.* /t /e /r none     >nul:
cacls *.* /t /e /p %5:f     >nul:
cacls *.* /t /e /p administrators:f >nul:

FOR /F %%v IN (trueconf) DO set oldname=%%v
del    trueconf
rename trueconf.bak trueconf

IF NOT EXIST LIBRARY.T goto last
IF EXIST %4\%oldname%  goto nolib

   move LIBRARY.T %4\%oldname%.t >nul:
   cd %4
   mkdir %oldname%
   cd    %oldname%
   pax -r -o -f ../%oldname%.t
   cd ..
   cacls %oldname% /t /e /r everyone >nul:
   cacls %oldname% /t /e /r none     >nul:
   cacls %oldname% /t /e /p %5:f     >nul:
   cacls %oldname% /t /e /p administrators:f >nul:
   cacls %oldname% /t /e /p everyone:r       >nul:
   del %oldname%.t
   echo 0
   exit

:nolib
del LIBRARY.T

:last
echo "0"
