$!---CV2LICE.  Script to ask Caucus licensing questions.
$!
$!   Invoked as:
$!      @cv2lice
$!
$!   Input symbol:
$!      prompt        pathname of prompter script
$!
$!   Output: results placed in the following symbols:
$!      expire        number of days from now license expires
$!      users         max simultaneous number of users
$!      mask          function mask bits (cmi=1, link=2, copyright=4, credit=8)
$!      cmi           allow cmi use? (y=yes)
$!      link          include CaucusLink (y=yes)
$!      copyrt        display copyright notice? (y=yes)
$!      credit        display CRedit copyright notice? (y=yes)
$!      sysid         list of systemids ("-s sysid1 -s sysid2...")
$!
$!   Purpose:
$!      Ask the user all the appropriate questions about Caucus
$!      licensing.
$!
$!   How it works:
$!      For each symbol listed above, asks the appropriate
$!      licensing question of the user.  If the user just presses
$!      return, supplies an appropriate default.
$!
$!   Known bugs:
$!
$!   History of revisions:
$!: CR  4/01/93 13:00 New script for Vax/VMS.
$!----------------------------------------------------------------------------
$!
$ text=="Enter expiration as # of days from now (0): "
$ defa=="0"
$ @'prompt'
$ expire=='answer'
$!---------------
$ text=="Enter max simultaneous # of users      (0): "
$ defa=="0"
$ @'prompt'
$ users=='answer'
$!---------------
$ text=="Allow Caucus Mail Interface (CMI)?     (y): "
$ defa=="y"
$ @'prompt'
$ cmi=="''answer'"
$!---------------
$ text=="Include CaucusLink?                    (n): "
$ defa=="n"
$ @'prompt'
$ link=="''answer'"
$!---------------
$ text=="Display copyright notice?              (y): "
$ defa=="y"
$ @'prompt'
$ copyrt=="''answer'"
$!---------------
$ text=="Display CRedit copyright notice?       (y): "
$ defa=="y"
$ @'prompt'
$ credit=="''answer'"
$!---------------
$ 
$ sysid==""
$ 
$ write sys$output  " "
$ write sys$output  "Enter the list of system ids for this kit."
$ write sys$output  "A blank line ends the list."
$ 
$loop:
$    read/prompt="> " sys$command ans
$    if ans + "x" .eqs. "x" THEN goto end_loop
$    sysid == "''sysid'" + " -s " + ans
$    write sys$output sysid
$    goto loop
$end_loop:
$ 
$!---Set the MASK bits according to CMI, LINK, and COPY.
$ mask==0
$ if cmi    .eqs. "y"  .or.  cmi    .eqs. "Y"  then mask == mask + 1
$ if link   .eqs. "y"  .or.  link   .eqs. "Y"  then mask == mask + 2
$ if copyrt .eqs. "y"  .or.  copyrt .eqs. "Y"  then mask == mask + 4
$ if credit .eqs. "y"  .or.  credit .eqs. "Y"  then mask == mask + 8
$!----------------------------------------------------------------------------
