$!
$!---- CINSTALL.  Caucus version 2.4 installation script: Vax/VMS.
$!
$!   Invoked as:
$!      @cinstall
$!
$!   Parameters:
$!
$!   Purpose:
$!      Installation of Caucus on Vax/VMS consists of 2 steps:
$!         1) Copying the Caucus files from the distribution media to 
$!            "caucus" userid directory, 
$!
$!         2) Running cinstall to set up command files & directories.
$!
$!   How it works:
$!
$!   Known bugs:
$!
$!   History of revisions:
$!: CV  4/09/93 23:59 Vax/VMS version.
$!: JV  6/23/93 16:06 Add cmi_send.
$!----------------------------------------------------------------------------
$!
$ set noon
$ write sys$output " "
$ write sys$output "Starting Caucus 2.4/VV installation... please wait."
$!
$!-------Get current directory CWD, as in "sys$user:[caucus"  (no ]!)
$ cwd = f$environment("default")
$ brk = f$locate("]",cwd)
$ cwd = f$extract(0,brk,cwd)
$!
$!
$!-------------------Make command files-----------------------------
$!
$!-----Make CV2DEF: definitions of Caucus & Caucuscheck foreign commands
$ open /write comfile cv2def.com
$ line = "$ cv2 :== @''cwd']cv2.com"
$ write comfile line
$ line = "$ cv2check :== @''cwd']cv2check.com"
$ write comfile line
$ close comfile
$
$!-----Make CV2.COM
$ open /write comfile cv2.com
$ line = "$ cau := $''cwd'.bin2]caucus_x"
$ write comfile line
$ write comfile "$ define/user sys$input sys$command"
$ line = "$ cau ''cwd' ''p1' -y master.opt"
$ write comfile line
$ close comfile
$!
$!----Make CV2CAP.COM
$ open /write comfile cv2cap.com
$ write comfile "$ set nocontrol=y"
$ write comfile "$ set message/nofac/noide/nosev/notex"
$ line = "$ cau := $''cwd'.bin2]caucus_x"
$ write comfile line
$ write comfile "$ define/user sys$input sys$command"
$ line = "$ cau ''cwd' ''p1' -y captive.opt"
$ write comfile line
$ write comfile "$ logout/full"
$ close comfile
$!
$!----Make CV2CHECK.COM
$ open /write comfile cv2check.com
$ line = "$ cck := $''cwd'.bin2]cauchk_x"
$ write comfile line
$ line = "$ cck ''cwd' ''p1'"
$ write comfile line
$ close comfile
$!
$!----Make CV2START.COM
$ open /write comfile cv2start.com
$ line = "$ cmt := $''cwd'.bin2]caumnt_x"
$ write comfile line
$ write comfile "$ define/user sys$input sys$command"
$ line = "$ cmt ''cwd' -m -y master.opt"
$ write comfile line
$ close comfile
$!
$!----Make CV2PASS.COM
$ open /write comfile cv2pass.com
$ line = "$ cmt := $''cwd'.bin2]caumnt_x"
$ write comfile line
$ write comfile "$ define/user sys$input sys$command"
$ line = "$ cmt ''cwd' -s -y master.opt"
$ write comfile line
$ close comfile
$!
$!----Make CV2KILL.COM
$ open /write comfile cv2kill.com
$ line = "$ cmt := $''cwd'.bin2]caumnt_x"
$ write comfile line
$ write comfile "$ define/user sys$input sys$command"
$ line = "$ cmt ''cwd' -k -y master.opt"
$ write comfile line
$ close comfile
$!
$!----Make CV2REMOVE.COM
$ open /write comfile cv2remove.com
$ line = "$ cmt := $''cwd'.bin2]caumnt_x"
$ write comfile line
$ write comfile "$ define/user sys$input sys$command"
$ line = "$ cmt ''cwd' -r -y master.opt"
$ write comfile line
$ close comfile
$!
$!----Make REGISTER.COM
$ open /write comfile register.com
$ line = "$ cmt := $''cwd'.bin2]caumnt_x"
$ write comfile line
$ write comfile "$ define/user sys$input sys$command"
$ line = "$ cmt ''cwd' -p 'p1' -y master.opt"
$ write comfile line
$ close comfile
$!
$!
$!----Make CV2MKMD.COM
$ cwd = f$environment("default")
$ brk = f$locate("]",cwd)
$ cwd = f$extract(0,brk,cwd)
$ open /write comfile cv2mkmd.com
$ write comfile "$ if p2 + ""x"" .nes. ""x"" THEN goto good"
$ write comfile "$    write sys$output ""Usage: @CV2MKMD text_file number"" "
$ write comfile "$    goto done"
$ write comfile "$ good:"
$ line = "$ makemd := $''cwd'.bin2]makemd_x"
$ write comfile line
$ write comfile "$ set def [.dic2]"
$ write comfile "$ makemd ''cwd'.misc]dicti 'p1' 'p2'"
$ write comfile "$ set def [-]"
$ write comfile "$ done:"
$ close comfile
$!
$!---Make the Ckermit command file
$ open /write comfile [.bin2]ckermit.com
$ line = "$ define/user sys$input sys$command"
$ write comfile "''line'"
$ line = "$ ckerm := $" + cwd + ".bin2]ckermit.exe"
$ write comfile "''line'"
$ line = "$ ckerm 'p1' 'p2' 'p3'"
$ write comfile "''line'"
$ close comfile
$!
$!---Add M_ckermit, etc. macros to the SYSMACRO file.
$ set prot=(o:rwed) [.dic2]sysmac0.
$ open /append comfile [.dic2]sysmac0.
$ line = ":M_ckermitrec"
$ write comfile "''line'"
$ line = "!@" + cwd + ".bin2]ckermit.com -ra $2"
$ write comfile "''line'"
$ line = ":M_ckermitsend"
$ write comfile "''line'"
$ line = "!@" + cwd + ".bin2]ckermit.com -s  $2"
$ write comfile "''line'"
$ line = ":M_delfile"
$ write comfile "''line'"
$ line = "!del $2\;*"
$ write comfile "''line'"
$ line = ":M_import_mail"
$ write comfile "''line'"
$ line = "!@" + cwd + "]cmi_import.com " + cwd + "]cmi_import.in $2"
$ write comfile "''line'"
$ line = ":M_copyin_mail"
$ write comfile "''line'"
$ line = "!@" + cwd + "]cmi_import.com " + cwd + "]cmi_copyin.in $2"
$ write comfile "''line'"
$ line = ":mes_Fcmisend1"
$ write comfile "''line'"
$ line = "@" + cwd + "]cmi_send.com %s %s"
$ write comfile "''line'"
$ line = ":mes_Fcmisend2"
$ write comfile "''line'"
$ line = " %s"
$ write comfile "''line'"
$ close comfile
$!
$!
$!-----------If new installation, set up directories MISC, USER, C001.
$!           Otherwise, throw them away.
$!
$ if f$search("misc.dir") .eqs. ""  THEN goto newinstall
$    kdir := @'cwd']kdir.com
$    kdir new_misc
$    kdir new_user
$    kdir new_c001
$    goto donedir
$newinstall:
$    set prot=(o:rwed) new_misc.dir,new_c001.dir,new_user.dir
$    rename new_misc.dir misc.dir
$    rename new_c001.dir c001.dir
$    rename new_user.dir user.dir
$!
$    set prot=(s:rwed,o:rwed,g,w) [.misc]*.*
$    set prot=(s:rwed,o:rwed,g,w) [.c001]*.*
$    set prot=(s:rwed,o:rwed,g,w) [.user]*.*
$    set prot=(s:rwed,o:rwed,g,w) [.user.*]*.*
$    set prot=(s:rwe, o:rwe, g,w) *.dir
$donedir:
$!
$! If the groups directory doesn't exist, create it.
$ if f$search("groups.dir") .nes. "" THEN goto donegroup
$   cre/dir [.groups]
$donegroup:
$!
$!
$!----Recompile dictionary 0 in all cases.
$ set prot=(s:rwed,o:rwed,g,w) [.dic2]*.*
$ @cv2mkmd diction0 0
$ write sys$output " "
$!
$!----------------------Set File Permissions-----------------
$ allusers = "prot=(s:rwed,o:rwed,g:e,w:e)"
$ manager  = "prot=(s:rwed,o:rwed,g,w)"
$ set 'allusers' bin2.dir
$ set 'allusers' [.bin2]caucus_x.exe,cauchk_x.exe,ckermit.exe,ckermit.com
$ set 'allusers' cv2.com,cv2check.com,cv2cap.com,cv2def.com
$ set prot=(s:rwed,o:rwed,g:re,w:re) cmi*.*
$!
$ set 'manager'  [.bin2]caumnt_x.exe,makemd_x.exe
$ set 'manager'  cv2start.com,cv2kill.com,cv2pass.com,cv2remove.com
$ set 'manager'  cv2mkmd.com,relicense.com,register.com
$!
$!
$!----------------------Tell system manager what to do next---------
$ write sys$output " "
$ write sys$output "*******************************************************"
$ write sys$output "* WARNING!  You must recompile all dictionaries (with *"
$ write sys$output "* cv2mkmd) that were compiled under rev 2.3 of Caucus.*"
$ write sys$output "*******************************************************"
$ write sys$output " "
$ write sys$output "Caucus installation is nearly complete."
$ write sys$output " "
$ write sys$output "You must now proceed to install the files:"
$ line = "   " + cwd + ".bin2]caucus_x.exe"
$ write sys$output "''line'"
$ line = "   " + cwd + ".bin2]cauchk_x.exe"
$ write sys$output "''line'"
$ write sys$output " "
$ write sys$output "with SYSPRV and SYSLCK"
$ write sys$output " "
$ write sys$output "and the file:"
$ line = "   " + cwd + ".bin2]caumnt_x.exe"
$ write sys$output "''line'"
$ write sys$output " "
$ write sys$output "with SYSLCK, as described in the installation instructions."
$!----------------------------------------------------------------------------
