$!
$! ---- Distributed Caucus Version 1.1 VMS installation script.
$!      Last update 17-AUG-92.
$! 
$!      Copyright and revision history:
$!        Copyright (C) 1992 Camber-Roth.  All rights reserved.
$! 
$! --------------------------------
$!  Change History:
$! 
$!  JV 17-AUG-92: Create this.
$! 
$! --------------------------------
$! 

$ set noon
$ write sys$output " "
$ write sys$output "Beginning CaucusLink Version 1.1 installation..."

$ write sys$output " "
$ cwd = f$environment("default")
$ brk = f$locate("]",cwd)
$ cwd = f$extract(0,brk,cwd)

$!---------------------------Make command files---------------------
$!
$!-----Make RECEIVE: Receive and Unpack incoming transaction files.
$!echo  $bin/recvall_x  $cwd 200000                            >receive
$!echo  exec $bin/xfu_x $cwd -y net.opt                       >>receive
$ open/write recfile receive.com
$ line =  "$ rec := $''cwd'.bin2]recvall_x"
$ write recfile line
$ line = "$ rec " + cwd + " 200000"
$ write recfile line
$ close recfile
$
$!-----Make SHIP: Ship outoing transport files.
$!echo  exec $bin/shipall_x $cwd ship   $cwd/SCRIPTS/shiphost  >ship
$ open/write shipfile ship.com
$ line = "$ ship := $''cwd'.bin2]shipall_x"
$ write shipfile line
$ line = "$ ship ''cwd'  ship ''cwd'.scripts]shiphost"
$ write shipfile line
$ close shipfile
$!
$!-----Make RESHIP: Reship transport files that are old.
$!echo  exec $bin/shipall_x $cwd reship $cwd/SCRIPTS/shiphost  >reship
$ open/write reshfile reship.com
$ line = "$ ship := $''cwd'.bin2]shipall_x"
$ write reshfile line
$ line = "$ ship ''cwd' reship ''cwd'.scripts]shiphost"
$ write reshfile line
$ close reshfile
$!
$!-----Make SHIPHOST: script to ship all files to one host.
$!echo "MAILRC=$cwd/cau.mailrc; export MAILRC"  >SCRIPTS/shiphost
$!echo "exec $bin/shiphost_x \$@"              >>SCRIPTS/shiphost
$ open/write hostfile 'cwd'.scripts]shiphost.com
$ line = "$ host := $''cwd'.bin2]shiphost_x ''p1' ''p2' ''p3' ''p4' ''p5'"
$ write hostfile line
$ close hostfile
$!
$!-----Make DCPACK: Package transactions into transport files.
$!echo  exec $bin/xfp_x $cwd -y net.opt         >dcpack
$ open/write packfile dcpack.com
$ line = "$ pack := $''cwd'.bin2]xfp_x"
$ write packfile line
$ line = "$ pack ''cwd' -y net.opt"
$ write packfile line
$ close packfile
$!
$!-----Make DCUNPACK: Unpackage transport files and digest transactions.
$!echo  exec $bin/xfu_x $cwd -y net.opt         >dcunpack
$ open/write upackfile dcunpack.com
$ line = "$ unpack := $''cwd'.bin2]xfu_x"
$ write upackfile line
$ line = "$ unpack ''cwd' -y net.opt"
$ write upackfile line
$ close upackfile
$!
$!-----Make NETMAINT: Script to run netmaint.
$!echo exec $bin/netmnt_x $cwd                       >>netmaint
$ open/write netfile netmaint.com
$ line = "$ netmaint := $''cwd'.bin2]netmnt_x"
$ write netfile line
$ write comfile "$ define/user sys$input sys$command"
$ line = "$ netmaint ''cwd'"
$ write netfile line
$ close netfile

$! 
$!   If this is a new installation create the network database.
if test ! -d PARSEBAY
$ if f$search("parsebay.dir") .eqs. ""
$  THEN
$   copy [.NEW_LINK]*.* [.MISC]*.*
$   cre/dir [.PARSEBAY]
$   cre/dir [.REPARSE]
$   cre/dir [.SHIP001], [.SHIP001.CANTSHIP], [.SHIP001.RESHIP]
$   cre/dir [.RECV001], [.RECV001.CHUNK],    [.RECV001.RERECV]
$   open/write chunkfile [.RECV001]chunkctr.
$   write chunkfile "0"
$   close chunkfile

   mgrid=
   while test x$mgrid = x; do
      echo
      echo Please enter the Caucus ID of the person who is the Caucus Manager.
      echo This must NOT be the same as the ID that owns the Caucus files.
      read mgrid
   done
$   open/write/append infofile [.MISC]sysinfo.
$   write infofile 'mgrid'
$   write infofile "1 0 0 0"
$   write infofile "0"
$   write infofile "3"
$   write infofile "0 0 0"
$   write infofile "1 1"
$   write infofile "1 1"
$   close infofile
$ ENDIF
$ delete [.NEW_LINK]*.*;*
$ delete NEW_LINK.DIR;*

$! --Try to set up the default scheduling of the CaucusLink utilities.
$ submit/nokeep/noprint/after="+1" linkbat.com
$
$ write sys$output "The CaucusLink batch procedure has been scheduled."
$ write sys$output "See the file LINKBAT.COM for more information."
$!
$!  Set file permissions.
$!
$ manager  = "prot=(s:rwed,o:rwed,g,w)"
$ set 'manager' receive.com ship.com reship.com dcpack.com dcunpack.com
$ set 'manager' netmaint.com net.opt
$ set 'manager' [.SCRIPTS]*.*
$ set 'manager' [.BIN2]recsplit_x.exe  [.BIN2]recvall_x.exe  [.BIN2]recvmeth_x.exe
$ set 'manager' [.BIN2]shipall_x.exe   [.BIN2]shiphost_x.exe
$ set 'manager  [.BIN2]xfp_x.exe       [.BIN2]xfu_x.exe
$ set 'manager' [.BIN2]netmnt_x.exe


$ write sys$output ""
$ write sys$output "CaucusLink installation is complete."
$ write sys$output ""
