$!---FIXMASTER.COM   Fix the 'masteres' file for a specific conference.
$!
$!   Invoked as:
$!      @fixmaster  conference
$!
$!   Arguments:
$!      conference   name of conference directory, e.g. "C005".
$!
$!   Purpose:
$!      If a conference 'masteres' file gets screwed up, 'fixmaster'
$!      can rebuild it from the item/response partfiles.
$!
$!   How it works:
$!      Must be run from the Caucus directory.
$!
$!      Asks the user for the name of organizer.
$!
$!      The old masteres file is placed in '_masteres.old'.
$!
$!   History of revisions:
$!: CR  4/09/93 12:17 Vax/VMS version.
$!----------------------------------------------------------------------------
$!
$ set noon
$!
$ if "''p1'" .nes. "" THEN goto checkdir
$    write sys$output "Usage:  fixmaster conference_directory"
$    write sys$output " (e.g. 'fixmaster C005')"
$    goto done
$!
$checkdir:
$ if f$search("''p1'.dir") .nes. "" THEN goto fixit
$    write sys$output "Directory ''p1' does not exist."
$    goto done
$!
$fixit:
$ cwd = f$environment("default")
$ brk = f$locate("]",cwd)
$ cwd = f$extract(0,brk,cwd)
$ fm == "$''cwd'.bin2]fmaster.exe"
$!
$ set def [.'p1']
$ set message/nofac/noid/nosev/notext
$ del   _masteres.old;*
$ rename masteres.;1 _masteres.old;1
$ del    masteres.;*
$ set message/fac/id/sev/text
$!
$ open/write outfile _fmast.tmp
$loop:
$   name = f$search("%%%%%%%%%%.", 1)
$   if "''name'" .eqs. "" THEN goto loopover
$   brk = f$locate("]", name)
$   short = f$extract (brk+1,11,name)
$   write outfile "''short'"
$   goto loop
$loopover:
$ close outfile
$!
$ define/user sys$input sys$command
$ fm  _fmast.tmp masteres.;1
$ del _fmast.tmp;*
$ set def [-]
$!
$done:
$!----------------------------------------------------------------------------
