$!---TESTCONF.COM  Test the format of item/response partfiles for a conference.
$!
$!   Invoked as:
$!      @testconf  conference  output
$!
$!   Arguments:
$!      conference   name of conference directory, e.g. "C005".
$!      output       name of output file
$!
$!   Purpose:
$!      Check item/response files for bad format, notably missing
$!      or out of sequence response numbers.
$!
$!   How it works:
$!      Must be run from the Caucus directory.
$!
$!      Produces a list of errors in the 'output' file.
$!
$!   History of revisions:
$!: CR  4/09/93 12:17 Vax/VMS.
$!----------------------------------------------------------------------------
$!
$ if "''p2'" .nes. "" THEN goto checkdir
$    write sys$output "Usage:  @testconf conference output"
$    write sys$output " (e.g. 'testconf C005 err.log')"
$    goto done
$!
$checkdir:
$ if f$search("''p1'.dir") .nes. "" THEN goto fixit
$    write sys$output "Directory ''p1' does not exist."
$    goto done
$!
$fixit:
$ cwd = f$environment("default")
$ brk = f$locate("]",cwd)
$ cwd = f$extract(0,brk,cwd)
$ ls == "$''cwd'.bin2]ls.exe"
$ tr == "$''cwd'.bin2]testresp.exe"
$!
$ set def [.'p1']
$ set message/nofac/noid/nosev/notext
$ del _testc.*;*
$ set message/fac/id/sev/text
$!
$ open/write outfile _testc.tmp
$loop:
$   name = f$search("%%%%%%%%%%.", 1)
$   if "''name'" .eqs. "" THEN goto loopover
$   brk = f$locate("]", name)
$   short = f$extract (brk+1,11,name)
$   write outfile "''short'"
$   goto loop
$loopover:
$ close outfile
$!
$ tr  _testc.tmp    _testc.out
$ del _testc.tmp;*
$!
$ rename  _testc.out;1 [-]'p2'
$ set def [-]
$!
$done:
$!----------------------------------------------------------------------------
