#
#---MACROS.I    Define Caucus "macros" for this interface.
#
#==============================================================
#

#===Sub-macros, used by other macros:

#---%js_open_win(name)    Javascript to open a new window
#   Property          Values           Means
#     toolbar           1, 0 (on, off)   (back,forward buttons, etc)
#     location          1, 0             (current URL field)
#     directories       1, 0             (directory buttons - ugh)
#     status            1, 0             (status line at bottom)
#     menubar           1, 0             (menu bar - file, edit, view etc.)
#     scrollbars        1, 0             (enables scroll bars when needed)
#     resizable         1, 0             (resize windows? note spelling!)
#     width             pixels           (initial width of window)
#     height            pixels           (initial height of window)
eval $mac_define (js_open_win \
          win = window.open ('', '@1',\
          'resizable=1,toolbar=1,scrollbars=1,menubar=1,location=1,status=1,\
          width=\$word(1 \$new_win()),height=\$word(2 \$new_win())'); )

#------------------------------------------
#===Simple text manipulation (HTML) macros:

#---%bold (text), %b(text)
eval $mac_define (bold <B>@@</B>)
eval $mac_define (b    <B>@@</B>)

#---%tt (text)
eval $mac_define (tt <TT>@@</TT>)

#---%blockquote (text)
eval $mac_define (blockquote <BLOCKQUOTE>@@</BLOCKQUOTE>)

#---%italic(text), %i(text)
eval $mac_define (italic <I>@@</I>)
eval $mac_define (i      <I>@@</I>)

#---%big(text)
eval $mac_define (big <BIG>@@</BIG>)

#---%small(text)
eval $mac_define (small <SMALL>@@</SMALL>)

#---%sub(text)
eval $mac_define (sub <SUB>@@</SUB>)

#---%sup(text)
eval $mac_define (sup <SUP>@@</SUP>)

#---%sub(strike)
eval $mac_define (strike <STRIKE>@@</STRIKE>)

#---%color (colorname text)
eval $mac_define (color <FONT COLOR="@1">\$rest(2 @@)</FONT>)

#------------------------------------------
#==="Goto location" macros:

#---%url (actual_url, text of link)
eval $mac_define (url <A HREF="@1" \
           onClick="%js_open_win(fromcau)" TARGET="fromcau"\
           >\$if (\$empty(@2) @1 \$rest(2 @@))</A>)

#---%target(newx, newy)
#eval $mac_define (target TARGET="_blank")
 eval $mac_define (target \$char(32)onClick="\
       win = window.open ('', 'fromcau', 'width=@1,height=@2,\
          resizable=1,toolbar=1,scrollbars=1,menubar=1,location=1,status=1');" \
               TARGET="fromcau" )

#---%response (rnum)
#eval $mac_define (response <A HREF="http:/caucus/\$cl_name(\$(cnum))/\
#                  \$(vi_inum):@1">\$if (@1 Response&nbsp;@1 the item)</A>)
eval $mac_define (response <A HREF="\%special(\$(cnum) \$(vi_inum) @1)">\
                  \$if (@1 Response&nbsp;@1 the item)</A>)

#---%item (inum [rnum])
#eval $mac_define (item <A HREF="http:/caucus/\$cl_name(\$(cnum))/@1\
#                  \$if (\$not_empty(@2) :@2)">Item @1\
#                  \$if (\$not_empty(@2) :@2)</A>)
eval $mac_define (item <A HREF="\%special(\$(cnum) @1 @2 0)">\
                   Item @1\$if (\$not_empty(@2) :@2)</A>)

#---%conference (conf_name [inum [rnum]])
#eval $mac_define (conference \
#                  \$if (\$not (\$cl_access(\$cl_list(@1))) <U>@1</U> \
#                  <A HREF="http:/caucus/@1\
#                  \$if (\$not_empty(@2) /@2)\
#                  \$if (\$not_empty(@3) :@3)">\
#                    \$upper1(\$replace(_ 32 @1))\
#                  \$if (\$not_empty(@2) &nbsp;Item&nbsp;@2)\
#                  \$if (\$not_empty(@3) :@3)</A>))
eval $mac_define (conference \
                   \$set (cthis \$word (1 \$cl_list(@1)))\
                   \$set (ctnam \$upper1(\$replace(_ 32 @1)))\
                   \$if (\$not (\$cl_access(\$(cthis))) <U>@1</U> \
                      \$ifthen (\$empty(@2) \
                         <A HREF="\%special(\$(cthis))">\$(ctnam)</A>)\
                      \$ifthen (\$not_empty(@2) \
                         <A HREF="\%special(\$(cthis) @2 @3 0)">\
                         \$(ctnam)&nbsp;Item&nbsp;@2\
                         \$if (\$not_empty(@3) :@3)</A>)\
                   )\
                 )

#---%readrange (startitem enditem name)
#   Named link to read range of items in current conference.
eval $mac_define (readrange <A HREF="readrange.cml?\$arg(3)+@1+@2">\
                  \$rest(3 @@)</A>)

#---%special(cnum inum rnum)   translation from http:/caucus/etc forms
eval $mac_define (special \
        \$ifthen (\$empty(@1) \$(href)/center.cml?\$(nch)+\$(nxt)+x+x+x+x+x+x)\
        \$ifthen (\$and (\$not_empty(@1) \$empty(@2)) \
           \$(href)/confhome.cml?\$(nch)+\$(nxt)+@1+x+x+x+x+x)\
        \$ifthen (\$and (\$not_empty(@1) \$not_empty(@2)) \
           \$(href)/viewitem.cml?\$(nch)+\$(nxt)+@1+@2+@3+x+x+x#here)\
     )

#------------------------------------------
#===File upload macros
#
#---%liburl(userid file)   URL of file in library
#   Build URL out of Caucus LIB directory, conf name, userid (@1) and 
#   filename (@2).  Use the following logic to determine conf name
#   (patch to handle responses copied from another conference)
#      if (page is viewitem.cml) {
#         if (response was copied)  use 1st word of $re_copied() as conf name
#         else                      use current conf name
#      }
#      else                         use current conf name
eval $mac_define (liburl $http_lib()/\
 \$if (\$greater (\$str_index (viewitem.cml \$page_return (\$(nxt) #)) -1) \
     \$set (ftemp \$word (1 \$re_copied(\$(vi_cnum) \$(vi_inum) \$(response))))\
     \$if (\$empty (\$(ftemp)) \$cl_name(\$(cnum)) \$(ftemp)) \
                               \$cl_name(\$(cnum)))/@1/@2)

#---%libimg(userid file)   IMG file in library
eval $mac_define (libimg <IMG SRC="\%liburl(@1 @2)">)

#---%liblink(userid file)   link to file in library
eval $mac_define (liblink <A HREF="\%liburl(@1 @2)" \
                  onClick="%js_open_win(fromcau)" TARGET="fromcau"\
                  >\%liburl(@1 @2)</A>)

#---%libname(userid file name)   named link to file in library
eval $mac_define (libname <A HREF="\%liburl(@1 @2)" \
                  onClick="%js_open_win(fromcau)" TARGET="fromcau"\
                  >\$rest (3 @@)</A>)

#------------------------------------------
#===Other misc macros.

#---%person(userid)
eval $mac_define (person <A HREF="person.cml?\$(nch)+\$(nxt)+\
                  \$arg(3)+\$arg(4)+\$arg(5)+\$arg(6)+\$arg(7)+\$arg(8)+\
                  @1">\$per_name(@1)</A>)
               
#---%mailto (email_address Name)
eval $mac_define (mailto <A HREF="mailto:@1" \
           >\$if (\$empty(@2) @1 \$rest(2 @@))</A>)

#---%telnet (host_address Name)
eval $mac_define (telnet <A HREF="telnet://@1" \
	>\$if (\$empty(@2) @1 \$rest(2 @@))</A>)

#------------------------------------------
#===Operational macros used inside Caucus.
#
#---%location(url)   Replaces all uses of "Location:" directive
#       to go to another CML file.  Acts as an effective work-around for the
#       IE 4 bug (see http://gamgee.acad.emich.edu/~roth/ie_location.html).
#       If the URL has no #fragment, or is not IE 4, %location just spits
#       out the appropriate "Location:" directive.  Otherwise, it produces
#       a tiny HTML page that sets location.href to the proper url.

eval $mac_define (location \
    Pragma: no-cache$newline()\
    Expires: Thu, 01 Dec 1994 16:00:00 GMT$newline()\
    \$unquote(\
    \$if (\$or (\$equal (\$str_index (# @1) -1) \
                \$not (\$(is_explorer4)) ) \
         \$quote(Location: @1\$newline()\$newline()) \
         Content-type: text/html$newline()$newline()\
         <HTML><HEAD></HEAD>$newline()\
         <BODY BGCOLOR="#FFFFFF">$newline()\
         <SCRIPT LANGUAGE="JavaScript">$newline()\
            location.href = '@1';$newline()\
         </SCRIPT></BODY></HTML>)))

#---%chk(X) macro, used in cus_en*.cml.  If X is in table CHK,
#   output a "CHECKED" tag (for <INPUT TYPE=checkbox...> stuff).
eval $mac_define (chk \$if (\$tablefind (@1 \$(chk)) CHECKED))

#---%en_var(user conf var)  Get value of e-mail notification variable.
eval $mac_define (en_var \
        \$ifthen (      @1  \$user_var (\$userid() @3_@2)) \
        \$ifthen (\$not(@1) \$conf_var (@2         @3   )) )

#---%set_en_var(user conf var values...)  Set value of e-mail 
#   notification variable.
eval $mac_define (set_en_var \
        \$ifthen (      @1  \$set_user_var (\$userid() @3_@2 \$rest(4 @@))) \
        \$ifthen (\$not(@1) \$set_conf_var (@2         @3    \$rest(4 @@))) )

#---%hdhash (link_title)   header.i/trailer.i self-click
#  Probably not needed...
#eval $mac_define (hdhash <A HREF="" onClick="location.hash='top';return false;">@@)

#===================================================================
