#
#---BODY.I   Include file for <BODY> tag.
#
#   Usage:
#     include $(dir)/body.i  $arg(3)   [field1  field2  field3  field4 ]
#
#     where the arguments "field1" thru "field4" are additional fields that
#     you want inside the <BODY ...> tag.
#
#     Note that for most CML files that are not "inside" a conference
#     (e.g., center.cml), arg(3) is "x", and body.i knows how to
#     interpret that.  
#
#     Files that do NOT follow the standard argument list (in which arg(3) 
#     is always "x" or the conference number) should explicitly supply an 
#     "x" in place of $arg(3) when using this include file.  (This includes 
#     many of the help sub-window files.)
#
#   Purpose:
#     To provide a simple(?) way to implement different screen backgrounds
#     for different conferences, w/o changing (more than one line of)
#     all the other CML files.  See custom.cml part IV, and custombf.cml
#     for more details.
#
#   Revision: 5/13/97  CR
#
#------------------------------------------------------------------

if   $equal ($inc(1) x)
   "<BODY $(body_bg)                 $inc(2) $inc(3) $inc(4) $inc(5)>
end

elif $empty ($conf_var ($inc(1) conf_colors))
   "<BODY $(body_bg)                 $inc(2) $inc(3) $inc(4) $inc(5)>
end

else
   "<BODY $conf_var($inc(1) conf_colors) $inc(2) $inc(3) $inc(4) $inc(5)>
end
#-----------------------------------------------------------------
