#
#---IRESOLVE.I   Resolve an item selection into a triplet list of items.
#
#   Input: (variables)
#      ikey      selection key (all, new, num, etc. -- see iselect.i)
#      idata     selection data (needed for keys name, num, author, etc.)
#      iconf     conference number
#
#   Output:
#      items          triplet list of items selected
#      label_some     if not empty: what to call them
#      label_none     if empty:     what to call them
#      nitems         triplet list of items w new material
#      nlable_some    what to call the 'nitems' list
#-----------------------------------------------------------------------

set items
set label_some
set label_none

set nitems $it_listrnew   ($(iconf))  \
           $it_listiunseen($(iconf))     $it_listinew($(iconf))
set nlabel_some all the new material

if $equal ($(ikey) new)
   set items $(nitems)
   set label_some all the new material
   set label_none <B>There are no items with new discussion.</B>
   set nitems
   set nlabel_some
end
 
elif $equal ($(ikey) all)
   count inum 1 $it_last($(iconf))
      if $it_visib ($(iconf) $(inum))
         set items $(items) $(iconf) $(inum) 0
      end
   end
   set label_some all the items
   set label_none <B>There are no items in this conference.</B>
end

elif $equal ($(ikey) mine)
   set items $it_parse ($(iconf) author $lower($my_name()) )
   set label_some all my items
   set label_none <B>You have no items in this conference.</B>
end

elif $equal ($(ikey) author)
   set items $it_parse ($(iconf) author $(idata))
   set label_some items by '$(idata)'
   set label_none <B>There are no items by '$(idata)'</B>.
end

elif $equal ($(ikey) since)
   set items $it_parse ($(iconf) since $(idata))
   set label_some items active since $(idata)
   set label_none <B>There are no items with activity since $(idata)</B>.
end

elif $equal ($(ikey) past)
   set items $it_parse ($(iconf) since -$(idata))
   set label_some items active in past $(idata) days
   set label_none <B>There are no items with activity in past $(idata) days</B>.
end
 
elif $equal ($(ikey) forgot)
   count inum 1 $it_last($(iconf))
      if $and ($it_exists($(iconf) $(inum)) $not ($it_visib($(iconf) $(inum))))
         set items $(items) $(iconf) $(inum) 0
      end
   end
   set label_some forgotten items
   set label_none <B>There are no forgotten items.</B>
end

elif $equal ($(ikey) none)
   set items
   set label_some
   set label_none
end

elif $or ($equal ($(ikey) name) $equal ($(ikey) num))
   set items $it_parse ($(iconf) $(idata))
   set label_some the requested items
   set label_none <B>No items matched '$(idata)'.</B>
end
#-----------------------------------------------------------------------
