#
#---VIEWITEM.I     Response box area at end of item.
#
#
#---At this point, we are at the "bottom" of the item.  If the item
#   is not frozen/readonly, we'll put up the text box for their response.
#
#   In either case, we have to put up one or more "submit" buttons
#   for the user to press.  Some of them go "on" to the next page,
#   which is typically the next item in arg(8), or (if there
#   are no more items), the conf home page or the caucus center page.
#----------------------------------------------------------------


#---So first we have to determine the TARGET_NAME -- the description of where
#   the button will take us.  It should be one of:
#    "next item"        (if there are still items in the triplet list)
#     CML page index "hidden" at the end of the triplet list
#     original caller of viewitem.cml

#---Look for the next item in the triplet list.
set vi_next     $plus ($arg(7) 3)
set vi_temp     $rest ($(vi_next) $($arg(8)) )
set vi_nextconf $word (1 $(vi_temp))
if $empty($(vi_nextconf))
   set vi_nextconf 0
end

if $equal ($(vi_cnum) $(vi_nextconf))
   set target_name next item
end
else
   set target_name <b>$upper1 ($replace (_ 32 $cl_name($(vi_nextconf))))</b>
end


#---If there aren't any more, get an index for the page to go to  (TARGET),
#   and its description.
set target
if $empty ($word (2 $(vi_temp)) )
   set target      $if ($(vi_nextconf) $(vi_nextconf) $arg(2))
   set target_name $rest (4 $page_get ($(target)))
end
if $empty ($(target_name))
   set target_name $(center_name)
end

#---Remember last response, in case additional responses get added
#   while this user is thinking & writing.
set vi_rlast $it_resps($(vi_cnum) $(vi_inum))

"<FORM METHOD=POST ACTION="viewf.cml?$(nch)+$(nxt)+\
    $(vi_cnum)+$(vi_inum)+$it_resps($(vi_cnum) $(vi_inum))+x+$arg(7)+$arg(8)">

#---Pass button.
"<TABLE CELLSPACING=0  CELLPADDING=0  WIDTH=100%>
"<TR>
"<TD>
   include $(dir)/manipulate.i 1
"</TD>
"<TD  ALIGN=right>
   "<TABLE CELLSPACING=0  CELLPADDING=0>
   "<TR>
   "<TD><B>On to $(target_name):</B>
   "    <IMG SRC="$(icon)/clearpix.gif" WIDTH=8 HEIGHT=1 ALT=""></TD>
   "<TD><INPUT TYPE="image" NAME="pass" BORDER=0 $(src_pass) HSPACE=2></TD>
   "</TABLE>
"</TD>
"</TABLE>
"<HR>



#---Frozen or 'readonly' items...
if $or ($it_frozen($(vi_cnum) $(vi_inum))  $equal($cl_access($(vi_cnum)) 1))
   "<TABLE CELLSPACING=0 CELLPADDING=0 WIDTH=100%>
   "<TR>
   "<TD>
   if $it_frozen($(vi_cnum) $(vi_inum))
      "This item is <B>frozen</B>.&nbsp;  No more responses may be added.
   end
   else
      "You have been given "read only" access to this conference.&nbsp;
      "Contact the organizer,
      "<A HREF="person.cml?$(nch)+$(nxt)+\
       $(vi_cnum)+$(vi_inum)+$(response)+x+$arg(7)+$arg(8)+$co_org($(vi_cnum))">
      "$per_name($co_org($(vi_cnum)))</A>,
      " for more information.
   end
   "</TD>
end


#---Writeable items -- put up text box, etc.
else

   #---Enter your (whatever) text, or upload a file.
   "<A NAME="textbox">
   "<TABLE CELLSPACING=0 CELLPADDING=0>
   "<TR>
   "<TD>Enter your </TD>
   "<TD>
        include $(dir)/resptype.i   tp_resp  0 $arg(10)
   "</TD>
   "<TD>response in the box,
   "    <IMG SRC="$(icon)/clearpix.gif" WIDTH=10 HEIGHT=1 ALT=""><B>or</B> </TD>

   "<TD><INPUT TYPE="image" NAME="upload" BORDER=0 $(src_upload) HSPACE=3></TD>
   "<TD> a file.</TD>
   if $bit_and (32 $re_bits($(vi_cnum) $(vi_inum) 0))
      "<TR><TD COLSPAN=5>Your response will be <B>anonymous</B>.</TD>
   end
   "</TABLE>
   "</A>

   #---Actual textbox.
   "<TEXTAREA WRAP=virtual NAME="tx_resp" ROWS=$(rows) COLS=$(cols)
   if $not_empty($arg(9))
      ">$t2esc($($arg(9)))</TEXTAREA>
   end
   else
      "></TEXTAREA>
   end
   "<INPUT TYPE="hidden" NAME="unique_box" VALUE="$unique()">

   #---All the buttons below the textbox.
   "<TABLE CELLSPACING=0 CELLPADDING=0>
#  "<TABLE CELLSPACING=0 CELLPADDING=0 BORDER>
   "<TR >
   "<TD><INPUT TYPE="submit" NAME="submit" VALUE="Post+View">&nbsp; </TD>
   "<TD>it now.</TD>

   "<TD>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
   "<TD>
      if $empty($arg(9))
         "<INPUT TYPE="reset" VALUE="Clear Box">
      end
   "</TD>
   "<TD>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
   "<TD>
       include $(dir)/boxsize.i
   "</TD>

   "<TR>
   "<TD><INPUT TYPE="submit" NAME="submit" VALUE="Post + Go">&nbsp; </TD>
   "<TD>to $(target_name)</TD>

   "<TD></TD>
   "<TD >Forget this item? <INPUT TYPE=checkbox NAME=forget
      "$if ($not ($it_visib ($(vi_cnum) $(vi_inum))) CHECKED)></TD>
   "<TD></TD>
end

"<TD COLSPAN=2><A HREF="whoseen.cml?$(nch)+$(nxt)+\
   $(vi_cnum)+$(vi_inum)+$it_resps()+x+$arg(7)+$arg(8)">
"  Who has seen this item?</A></TD>
"</TABLE>

"</FORM>
#----------------------------------------------------------------
