$!---CV2KIT.COM.  Caucus kit-making script.
$ set nover
$!
$!   Invoked as:
$!      cv2kit   [saveset]
$!
$!   Parameters:
$!      saveset       put kit in this backup saveset file.
$!
$!   Purpose:
$!      CV2KIT prepares a Caucus (and optionally CaucusLink) kit for 
$!      the current platform.
$!
$!   How it works:
$!      If "saveset" is specified then cv2kit assumes it is a relative 
$!      file name, and writes the kit to a saveset in the $CHOME directory.
$!
$!      Otherwise, the script asks the user for the name of a tape,
$!      and automatically asks the operator to mount it.
$!
$!   Notes:
$!
$!   History of revisions:
$!: JV  8/12/92 12:00 Vax version of 2.3 cv2kit
$!: CR  3/31/93 17:00 In progress...
$!: CR  6/15/93 17:35 Translate password "'s to +'s.
$!----------------------------------------------------------------------------
$!
$ licensead = "18EDC"
$ licexfuad = "1517C"
$!
$ if licensead .nes. "FFFF" then goto maketape
$    write sys$output "You must first change LICENSEAD in CV2KIT.COM."
$    goto alldone
$!
$!==================Section A: prepare files=======================
$maketape:
$ write sys$output " "
$ write sys$output "Making a Caucus 2.4 kit."
$ write sys$output " "
$ write sys$output "   ... working ... "
$ write sys$output " "
$ set def 'CHOME']
$ on control_y THEN goto alldone
$!
$!---Clean up any old stuff.
$ set message/nofac/noid
$ set message/nosev/notext
$ del [.v2target.bin2]*_x.exe;*
$ del [.v2target.bin2]*.com;*
$ del [.v2target.new_misc]*.*;*
$ del [.v2target.new_link]*.*;*
$ del [.v2target]*.com;*
$ del [.v2target]*.opt;*
$ set message/fac/id
$ set message/sev/text
$!
$! Now copy all of the other vanilla Caucus files and programs.
$ copy [.v2disk.bin2]*.exe    [.v2target.bin2]
$ copy [.v2disk.bin2]*.com    [.v2target.bin2]
$ copy [.v2disk.new_misc]*.*  [.v2target.new_misc]
$ copy [.v2disk]*.com         [.v2target]
$ copy [.v2disk]*.opt         [.v2target]
$ copy [.v2disk]*.in          [.v2target]
$ copy [.v2disk0]caucus_x.exe [.v2target.bin2]caucus_x.exe
$!
$!========Section B: ask license questions.================================
$ prompt == "''CHOME'.vax]prompt.com"
$ @'CHOME'.vax]cv2lice.com
$!
$ open/read infile 'CHOME'.v2disk0]ship24.
$ read  infile ship
$ read  infile code
$ close infile
$ code = code + 1
$!
$!======Section C: License Caucus=============================================
$ set def [.v2target.bin2]
$ lice2     == "$''CHOME'.vax]lice2.exe"
$ licepass  == "$''CHOME'.vax]licepass.exe"
$ set message/nofac/noid
$ set message/nosev/notext
$ del pass.out;*
$ del patch.out;*
$ set message/fac/id
$ set message/sev/text
$ open/write  outfile pass.out
$ define/user sys$output outfile
$ licepass "''ship'" 'code' -e 'expire' -u 'users' -f 'mask' 'sysid'
$ close outfile
$!
$!---Read the password generated by LICEPASS.
$ open/read infile pass.out
$ read  infile password
$ close infile
$!
$!---Translate any "s to +'s, else DCL will get confused.
$fix_password:
$ pos = f$locate("""",password)
$ if pos .gt. 6 then goto all_fixed
$    left = f$extract (0,pos,password)
$    rite = f$extract (pos+1,10,password)
$    password = left + "+" + rite
$    goto fix_password
$all_fixed:
$!
$ lice2 'CHOME'.v2target.bin2]caucus_x.exe "''password'" "''ship'" 'code' -
        -e 'expire' -u 'users' -f 'mask' 'sysid' -a 'licensead' -v patch.out
$ patch @patch.out
$ del *.jnl;*
$ del patch.out;*
$ del pass.out;*
$ purge
$ run caucus_x
$ set def 'CHOME']
$!
$!
$!========Section D: include CaucusLink?===================================
$ if clink + "x" .eqs. "yx"
$  THEN
$    set def 'CHOME']
$    copy [.v1dist.bin2]*.exe    [.v2target.bin2]
$    copy [.v1dist.new_link]*.*  [.v2target.new_link]
$    copy [.v1dist.scripts]*.com [.v2target.scripts]
$    copy [.v1dist]*.com         [.v2target]
$    copy [.v1dist]*.opt         [.v2target]
$    copy [.v2disk0]xfu_x.exe    [.v2target.bin2]
$!
$    set def 'chome'.v2target.bin2]
$    set message/nofac/noid/nosev/notext
$    del patch.out;*
$    set message/fac/id/sev/text
$    lice2 'CHOME'.v2target.bin2]xfu_x.exe "''password'" "''ship'" 'code' -
       -e 'expire' -u 'users' -f 'mask' "''sysid'" -a 'licexfuad' -v patch.out
$    patch @patch.out
$    del patch.out;*
$    del *.jnl;*
$    purge
$!
$    read/prompt="Enter Caucus Host Name for this kit: " sys$command chn
$    open /write chnfile  [.v2target.new_link]sysinfo
$    write chnfile "''chn'"
$    write chnfile "''chn'"
$    close chnfile
$ ENDIF
$!
$! Now mount the tape and make it.
$ if p1 + "x" .eqs. "x" THEN goto istape
$    inquire wait "Press RETURN to make kit for testing purposes"
$    write sys$output " "
$    write sys$output "   ... working ..."
$    backup [.v2target...]*.*  'CHOME']'p1'/save/block=2048
$    goto tapedone
$!
$istape:
$    read/prompt="What is the tape name? " sys$command tape
$    request/reply "May I have tape ''tape' for 10 minutes?"
$    read/prompt="What tape did the operator give you? " sys$command drive
$    allocate 'drive'
$    mount/foreign/density=1600/comment=" ''tape' (write ring)" 'drive':
$    write sys$output " "
$    write sys$output "   ... working ..."
$    backup/rewind/log [.v2target...]*.*;  'drive':cv2.bck/label=caucus
$    dismount 'drive':
$    deallocate 'drive':
$!
$tapedone:
$ set noon
$!
$!---Rewrite the ship24 serial code record file.
$ set def 'CHOME'.v2disk0]
$ del ship24.;*
$ open/write outfile ship24.
$ write outfile ship
$ write outfile code
$ close outfile
$
$!---Clean up.
$alldone:
$ write sys$output "Cleaning up, please wait..."
$ set message/nofac/noid/nosev/notext
$ set def 'CHOME']
$ del [.v2target.bin2]*.exe;*
$ del [.v2target.bin2]*.com;*
$ del [.v2target.new_misc]*.*;*
$ del [.v2target.scripts]*.*;*
$ del [.v2target]*.opt;*
$ del [.v2target]*.com;*
$ set message/fac/id/sev/text
$!----------------------------------------------------------------------------
